package com.boco.nbd.wios.core.config;

import com.boco.nbd.cams.core.entity.config.ConfigDic;
import com.boco.nbd.cams.core.entity.config.ConfigIntDic;
import com.boco.nbd.wios.core.entity.AlgorithmDic;
import com.boco.nbd.wios.core.entity.ReportEntry;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/11 9:18
 * @version:V1.0
 * @description:ConfigDicProperties
 * @modify:
 */
@Data
@Configuration(proxyBeanMethods = false)
@EnableConfigurationProperties(ConfigDicProperties.class)
@ConfigurationProperties("cams")
public class ConfigDicProperties {

    private String name;

    /**
     * 数值类枚举
     */
    private List<ConfigDic> enumNumberConfig;

    /**
     * 字符值类枚举
     */
    private List<ConfigDic> enumStringConfig;

    /**
     * 处理时限
     */
    private List<ConfigIntDic> dueDate;

    /**
     * 评分自动计算算法
     */
    private List<AlgorithmDic> scoreAlgorithm;

    /**
     * 报告配置实体
     */
    private List<ReportEntry> reportEntry;

}
