package com.boco.nbd.wios.downloadfile.fileio;

import com.boco.nbd.wios.downloadfile.model.CptDataStore;
import com.boco.nbd.wios.downloadfile.model.DataStoreTypeEnum;
import com.boco.nbd.wios.downloadfile.service.DataStoreService;
import com.ihidea.core.support.SpringContextLoader;
import com.ihidea.core.support.exception.ServiceException;

/**
 * @author yong
 */
public class FileIoFactory {

    public static IFileIo getInstance(String dataStoreName) {

        IFileIo fileIo;
        DataStoreService dataStoreService = SpringContextLoader.getBean(DataStoreService.class);
        CptDataStore cptDataStore = dataStoreService.getInfoByName(dataStoreName);
        if (DataStoreTypeEnum.DB.getKey().equals(cptDataStore.getType())) {
            fileIo = SpringContextLoader.getBean(FileIoDb.class);
        } else if (DataStoreTypeEnum.LOCAL.getKey().equals(cptDataStore.getType())) {
            fileIo = SpringContextLoader.getBean(FileIoLocal.class);
        } else if (DataStoreTypeEnum.OSS.getKey().equals(cptDataStore.getType())) {
            fileIo = SpringContextLoader.getBean(FileIoOSS.class);
        } else {
            throw new ServiceException("没有找到类型为:" + cptDataStore.getType() + "的数据存储方式!");
        }

        return fileIo;
    }
}
