package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.bo.OemBo;
import com.boco.nbd.wios.manage.entity.bo.OemVo;
import com.boco.nbd.wios.manage.service.impl.OemService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AgentExport implements Export<OemVo> {
    
    @Autowired
    private OemService oemService;
    
    @Override
    public List<OemVo> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        OemBo condition = mapper.readValue(json, OemBo.class);
        List<OemVo> oemList = oemService.getList(condition);
        int no = 1;
        for (int i = 0; i < oemList.size(); i++) {
            OemVo item = oemList.get(i);
            item.setNo(no++);
            if (item.getManualDispatchOrder() != null) {
                item.setManualDispatchOrderStr(item.getManualDispatchOrder().intValue() == 0 ? "否" : "是");
            }
        }
        return oemList;
    }
    
}
