package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.bo.ScoreSupplierDTO;
import com.boco.nbd.wios.manage.service.impl.ScoreSupplierService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务商评分主表记录的excel导出
 * @author haica
 */
@Service("Score_supplierExport")
public class ScoreSupplierExport implements Export<ScoreSupplierDTO> {
    
    @Autowired
    private ScoreSupplierService scoreSupplierService;
    
    @Override
    public List<ScoreSupplierDTO>  getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        ScoreSupplierDTO condition = mapper.readValue(json, ScoreSupplierDTO.class);
        return scoreSupplierService.getList(condition);
    }
    
}
