package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.bo.SupplierBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierVo;
import com.boco.nbd.wios.manage.service.impl.SupplierService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务商导出
 * 
 * @author
 * @version
 */
@Service
public class SupplierExport implements Export<SupplierVo> {
    
    @Autowired
    private SupplierService supplierService;
    
    @Override
    public List<SupplierVo> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        SupplierBo condition = mapper.readValue(json, SupplierBo.class);
        List<SupplierVo> list = supplierService.getList(condition);
        int no = 1;
        for (SupplierVo vo : list) {
            vo.setNo(no++);
        }
        return list;
    }
    
}
