package com.boco.nbd.wios.export.impl;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.entity.vo.VisitOrderVO;
import com.boco.nbd.wios.flow.service.IOrderService;
import com.boco.nbd.wios.manage.entity.bo.OrderBo;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/11/23 16:35
 * @version:V1.0
 * @description:回访订单导出
 * @modify:
 */
@Service
public class VisitOrderExport implements Export<Map<String, Object>> {
    
    @Autowired
    private IOrderService orderService;

    @SuppressWarnings("unchecked")
    @Override
    public List<Map<String, Object>> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        OrderBo condition = mapper.readValue(json, OrderBo.class);
        List<VisitOrderVO> orderList = orderService.getVisitOrderDate(condition);
        List<Map<String, Object>> returnList = new ArrayList<>(8);
        for (VisitOrderVO order : orderList) {
            Map<String, Object> map = BeanUtil.beanToMap(order);
            returnList.add(map);
        }
        return returnList;
    }
}
