package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.dto.WarehouseDTO2;
import com.boco.nbd.wios.manage.entity.dto.WarehouseQuery2;
import com.boco.nbd.wios.manage.service.impl.WarehouseService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 仓库导出
 * 
 * @author xgl
 * @version [版本号, 2020年10月28日]
 */
@Service("WareHouseExport")
public class WarehouseExport implements Export<WarehouseDTO2> {
    
    @Autowired
    private WarehouseService warehouseService;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<WarehouseDTO2> getExportList(String json) throws Exception {

        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        WarehouseQuery2 condition = mapper.readValue(json, WarehouseQuery2.class);
        condition.setIsWarehousePage(2);
        List<WarehouseDTO2> list = warehouseService.qryWarehouseDetailList(condition);
        int no = 1;
        for (WarehouseDTO2 vo : list) {
            vo.setNo(no++);
        }
        return list;
    }
    
}
