package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.bo.WarrantyOrder;
import com.boco.nbd.wios.manage.entity.bo.WarrantyOrderBo;
import com.boco.nbd.wios.manage.service.impl.OrderService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
public class WarrantyOrderExport implements Export<Map<String, Object>> {
    
    @Autowired
    private OrderService orderService;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<Map<String, Object>> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        WarrantyOrderBo condition = mapper.readValue(json, WarrantyOrderBo.class);
        List<WarrantyOrder> orderList = orderService.getWarrantyOrders(condition);
        List<Map<String, Object>> returnList = new ArrayList<Map<String, Object>>();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        int no = 1;
        for (WarrantyOrder order : orderList) {
            Map<String, Object> map = mapper.readValue(mapper.writeValueAsString(order), Map.class);
            map.put("no", no++);
            if (order.getStartTime() != null) {
                map.put("startTimeStr", sdf.format(order.getStartTime()));
            }
            if (order.getEndTime() != null) {
                map.put("endTimeStr", sdf.format(order.getEndTime()));
            }
            returnList.add(map);
        }
        return returnList;
    }
    
}
