package com.boco.nbd.wios.flow.entity;

/**
 * @author liwenxiang
 * @Description 常量
 * @date 2021/7/23 9:47
 */
public class Constant {

    /**
     * 构造函数
     */
    private Constant() {
        throw new IllegalStateException("Add a private constructor to hide the implicit public one.");
    }

    /**
     * 预约用户短信模板
     */
    public static final String APPOINTMENT_USER = "appointmentUser";

    /**
     * 服务商拒单通知模板
     */
    public static final String BUSINESS_REFUSED = "businessRefused";

    /**
     * 安装预约时间变更确认模板
     */
    public static final String APPOINTMENT_TIME_CONFIRM = "appointmentTimeConfirm";

    /**
     * 安装预约时间变更通知模板
     */
    public static final String APPOINTMENT_TIME_NOTIFY = "appointmentTimeNotify";

    /**
     * @Description 默认派单数量
     */
    public static final Integer DISPATCH_NUM = 5;

    /**
     * 车主电话字段=>需要做权限控制，没有权限导出不包含
     */
    public static final String USER_PHONE = "userPhone";

    /**
     * 用户电话权限字典Id
     */
    public static final Integer USER_PHONE_DICTIONARY_ID = 217;

    /**
     * 基本信息页签字段=>由于这些字段几乎不怎么变化，暂时后端用常量定义
     */
    public static final String BASE_ORDER_FIELD = "id,outOrderId,userName,userPhone,userSex,vehicleModel,vehicleChassisNo,vehicleParkingNo,vehicleParkingStatus,invoiceTime,oemName,packType,wallboxModel,itemModel,oemAgentName,oemAgentInfo,oemAgentContactName,oemAgentContactPhone,installSupplierName,regionName,address,manuDispatchEnable,surveyBeforeSaleEnable,shipno,estateType,hasIndependentParking,installPosition,propertyAgree,electricExpand,needErectPile,type,status,expandStatus,expandFailReason,isConnect,isNeedSurvey,wantHomeTime,installEmergencyLevel,connectPersonName,remark";

    /**
     * 勘测页签字段
     */
    public static final String SURVEY_ORDER_FIELD = "userName,userPhone,vehicleModel,outOrderId,address,latitude,longitude,surveyDate,oemAgentName,oemAgentContactName,oemAgentContactPhone,installSupplierName,installStaffName,installStaffPhone,surveyPackType,surveyWallboxModel,surveyItemModel,houseType,parkingType,parkingPositionNo,parkingInfo,parkingCondition,installPosition,openAir,installType,propertyCompany,propertyContact,propertyPhone,propertyAgree,propertyReason,powerType,transformerSpecificValue,accessCircuitCapacity,upperCircuitBreaker,upperLine,measuredPhaseVoltage,measuredPhaseCurrent,cableMeter,cableType,signalType,overStandard,cableInstallType,needErectPile,needSpecialConstruction,prepareInfo,surveyResult,surveyRemark,planInfo,signalIntensity,surveyStaffName,surveyStaffPhone,vehicleParkingNo";

    /**
     * 安装页签字段
     */
    public static final String INSTALL_ORDER_FIELD = "userName,userPhone,installStaffName,installStaffPhone,oemAgentCode,oemAgentName,vehicleChassisNumber,orderId,installPackType,installWallboxModel,installItemModel,wallboxNo,wallboxQuantity,houseType,parkingType,address,electricExpand,expandMethod,expandFee,installPowerType,installPowerPosition,parkingNo,realInstallType,realCableMeter,realCableType,realCableInstallType,debugCheck,trainContent,clientRate";
}
