package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.util.LambdaUtils;
import com.boco.nbd.wios.flow.sms.aliyun.exception.SmsException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName AppointmentUserBO
 * @Description 预约用户短信模板
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/30 9:56
 * @Version V1.0
 */
@Data
public class AppointmentUserBO implements Serializable {

    @ApiModelProperty("到达时间")
    private String arrivalTime;

    @ApiModelProperty("工程师姓名")
    private String name;

    @ApiModelProperty("工程师联系方式")
    private String phone;

    public AppointmentUserBO() {

    }

    /**
     * 构造函数
     *
     * @param time
     * @param name
     * @param phone
     */
    public AppointmentUserBO(String time, String name, String phone) {
        if (StrUtil.isEmpty(time)) {
            throw new SmsException(LambdaUtils.getFieldApiModelProperty(AppointmentUserBO::getArrivalTime) + "为空");
        }
        if (StrUtil.isEmpty(name)) {
            throw new SmsException(LambdaUtils.getFieldApiModelProperty(AppointmentUserBO::getName) + "为空");
        }
        if (StrUtil.isEmpty(phone)) {
            throw new SmsException(LambdaUtils.getFieldApiModelProperty(AppointmentUserBO::getPhone) + "为空");
        }
        this.name = name;
        this.arrivalTime = time;
        this.phone = phone;
    }

}
