package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.collection.CollUtil;
import com.boco.nbd.cams.core.util.LambdaUtils;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.entity.po.OrderSurveyPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/7/15 15:54
 * @version:V1.0
 * @description:BaseSubmitFlowBO
 * @modify:
 */
@Data
public class BaseSubmitFlowBO {

    @ApiModelProperty(value = "当前节点例如：101", required = true, example = "101")
    private Integer currentNode;

    @ApiModelProperty(value = "任务编号（必须）", required = true)
    private String taskId;

    @ApiModelProperty(value = "工单号（必须）", required = true)
    private String workId;

    @ApiModelProperty(value = "更新标识，只更新不提交", hidden = true)
    private Boolean updateBusiness;

    @ApiModelProperty(value = "提交表单参数", required = true)
    private Map<String, Object> formData;

    /**
     * 转换
     *
     * @return
     */
    public LocalSubmitFlowBO toBo() {
        LocalSubmitFlowBO bo = new LocalSubmitFlowBO();
        bo.setCurrentNode(this.getCurrentNode());
        bo.setTaskId(this.getTaskId());
        bo.setWorkId(this.workId);
        if (this.formData == null) {
            this.formData = new HashMap<>(1);
        }
        bo.setFormData(this.formData);
        if (CollUtil.isNotEmpty(this.formData)) {
            //经纬度字段 转换处理
            String lat = LambdaUtils.getFieldName(OrderPO::getAddressLat);
            if (this.formData.containsKey(lat)) {
                bo.getFormData().put(LambdaUtils.getFieldName(OrderSurveyPO::getLatitude), this.formData.get(lat));
            }
            String lng = LambdaUtils.getFieldName(OrderPO::getAddressLng);
            if (this.formData.containsKey(lng)) {
                bo.getFormData().put(LambdaUtils.getFieldName(OrderSurveyPO::getLongitude), this.formData.get(lng));
            }
        }

        return bo;
    }
}
