package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/4 14:08
 * @version:V1.0
 * @description:FieldBO
 * @modify:
 */
@Data
public class ColumnBO implements Serializable {

    @ApiModelProperty(value = "字段显示名")
    private String title;

    @ApiModelProperty(value = "form表单显示名")
    private String formTitle;

    @ApiModelProperty(value = "关联父field")
    private String parentFieldTitle;

    @ApiModelProperty(value = "字段名")
    private String dataIndex;

    @ApiModelProperty(value = "值类型,查询条件")
    private String valueType;

    @ApiModelProperty(value = "值枚举,查询条件")
    private List valueEnum;

    @ApiModelProperty(value = "在Table中不展示此列")
    private Boolean hideInTable;

    @ApiModelProperty(value = "在Form中不展示此列")
    private Boolean hideInForm;

    @ApiModelProperty(value = "查询表单中的权重，权重大排序靠前")
    private Integer order;

    @ApiModelProperty(value = "排序")
    private Integer orderBy;
}
