package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.boco.nbd.framework.workflow.entity.constant.FlowConstants;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author:cao hai
 * @date:2022/8/30 16:03
 * @version:V1.0
 * @description:首联人选择
 * @modify:
 */
@Data
public class ConnectSelectBO {

    @ApiModelProperty(value = "已选index")
    private Integer index;

    /**
     * 对象
     */
    private List<ConnectUserConfigBO> items;


    /**
     * 对象转换
     *
     * @param items
     * @return
     */
    public static ConcurrentHashMap<String, ConnectSelectBO> create(List<ConnectConfigBO> items) {
        ConcurrentHashMap<String, ConnectSelectBO> result = new ConcurrentHashMap<>(10);
        List<ConnectConfigBO> list = new ArrayList<>(10);
        for (ConnectConfigBO config : items) {
            if (StrUtil.isEmpty(config.getEndNumber())) {
                continue;
            }
            List<String> endNumbers = Arrays.asList(config.getEndNumber().split(FlowConstants.COMMA));
            for (String endNumber : endNumbers) {
                ConnectConfigBO bo = new ConnectConfigBO();
                BeanUtil.copyProperties(config, bo);
                bo.setEndNumber(endNumber);
                list.add(bo);
            }
        }
        for (ConnectConfigBO config : list) {
            ConnectSelectBO bo = new ConnectSelectBO();
            bo.setIndex(0);
            bo.setItems(new ArrayList<>(4));
            if (result.containsKey(config.getEndNumber())) {
                bo = result.get(config.getEndNumber());
            }
            bo.getItems().add(ConnectUserConfigBO.toBo(config));
            result.put(config.getEndNumber(), bo);
        }
        return result;
    }
}
