package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.util.StrUtil;
import com.bestvike.linq.Linq;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/9/29 21:21
 * @version:V1.0
 * @description:FilterFieldsBO
 * @modify:
 */
@Data
public class FilterFieldsBO {

    /**
     * 构造函数
     *
     * @param items
     */
    public FilterFieldsBO(List<MenuFieldBO> items) {
        //判断是否存在转义字段
        this.repeatField = new ArrayList<>(4);
        List<String> baseField = Linq.of(items).select(s -> s.getDataIndex()).toList();
        List<String> fields = new ArrayList<>(10);
        Map<String, String> matchField = new HashMap<>(5);
        items.forEach(s -> {
            if (StrUtil.isNotEmpty(s.getMatchField())) {
                matchField.put(s.getMatchField(), s.getDataIndex());
                if (baseField.contains(s.getMatchField())) {
                    repeatField.add(s.getMatchField());
                }
                fields.add(s.getMatchField());
            } else {
                fields.add(s.getDataIndex());
            }
        });
        this.filterFields = fields;
        this.matchField = matchField;

    }

    /**
     * 字段
     */
    private List<String> filterFields;

    /**
     * 特殊处理字段
     */
    private Map<String, String> matchField;

    /**
     * 重复字段 add 2022-10-31 特殊字符转义处理字段如果是原先就存在的删除 有问题
     */
    private List<String> repeatField;
}
