package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.flow.entity.po.GroupPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @author:cao hai
 * @date:2022/6/23 10:45
 * @version:V1.0
 * @description:GroupBO
 * @modify:
 */
@Data
public class GroupBO {

    private Long groupId;

    @ApiModelProperty("组名称")
    private String groupName;

    @ApiModelProperty("厂家")
    private Long vendorId;

    @ApiModelProperty("厂家")
    private String vendorName;

    @ApiModelProperty("组描述")
    private String groupDescription;

    @Transient
    @ApiModelProperty("绑定的用户")
    private String userIds;

    /**
     * to po
     *
     * @return
     */
    public GroupPO toPo() {
        GroupPO po = new GroupPO();
        BeanUtil.copyProperties(this, po);

        return po;
    }
}
