package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.util.LambdaUtils;
import com.boco.nbd.framework.workflow.annotation.EnumConvert;
import com.boco.nbd.framework.workflow.entity.exception.FlowException;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.logging.log4j.util.LambdaUtil;

import javax.persistence.Transient;
import javax.validation.constraints.NotNull;

/**
 * @author:cao hai
 * @date:2022/9/27 8:55
 * @version:V1.0
 * @description:ManualSapBo
 * @modify:
 */
@Data
public class ManualSapBo {

    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "墙盒品牌")
    private String installWallboxModel;

    @ApiModelProperty(value = "墙盒设备型号")
    private String installItemModel;

    @ApiModelProperty(value = "合同编号")
    private Integer contractId;

    @ApiModelProperty(value = "增项费用")
    private String itemFees;

    @ApiModelProperty(value = "高附加值材料")
    private String itemHighAdd;


    public static OrderPO toPo(ManualSapBo bo) {
        if (bo == null) {
            throw new FlowException("重推Sap参数为空.");
        }
        OrderPO po = new OrderPO();
        if (StrUtil.isEmpty(bo.getId())) {
            throw new FlowException(LambdaUtils.getFieldApiModelProperty(ManualSapBo::getId) + "为空");
        }
        po.setId(bo.getId());
        if (StrUtil.isEmpty(bo.getInstallWallboxModel())) {
            throw new FlowException(LambdaUtils.getFieldApiModelProperty(ManualSapBo::getInstallWallboxModel) + "为空");
        }
        po.setInstallWallboxModel(bo.getInstallWallboxModel());
        if (StrUtil.isEmpty(bo.getInstallItemModel())) {
            throw new FlowException(LambdaUtils.getFieldApiModelProperty(ManualSapBo::getInstallItemModel) + "为空");
        }
        po.setInstallItemModel(bo.getInstallItemModel());

        if (StrUtil.isEmpty(bo.getItemFees())) {
            throw new FlowException(LambdaUtils.getFieldApiModelProperty(ManualSapBo::getItemFees) + "为空");
        }
        po.setItemFees(bo.getItemFees());
        if (StrUtil.isEmpty(bo.getItemHighAdd())) {
            throw new FlowException(LambdaUtils.getFieldApiModelProperty(ManualSapBo::getItemHighAdd) + "为空");
        }
        po.setItemHighAdd(bo.getItemHighAdd());
        return po;
    }

}
