package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.boco.nbd.framework.workflow.entity.exception.FlowException;
import com.boco.nbd.wios.flow.entity.po.GroupPO;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/7/2 15:30
 * @version:V1.0
 * @description:SimpleSubmitFlowBO
 * @modify:
 */
@Data
public class SimpleSubmitFlowBO extends BaseSubmitFlowBO {

    @ApiModelProperty("候选人")
    private String userNames;

    /**
     * 类型转换
     *
     * @return
     */
    @Override
    public LocalSubmitFlowBO toBo() {
        LocalSubmitFlowBO bo = super.toBo();
        List<String> users = new ArrayList<>(1);
        if (StrUtil.isNotEmpty(this.getUserNames())) {
            users = new ArrayList<>(Arrays.asList(StrUtil.split(this.getUserNames(), ",")));
        }
        bo.setUserNames(users);
        return bo;
    }

}
