package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.util.LambdaUtils;
import com.boco.nbd.wios.flow.sms.aliyun.exception.SmsException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TimeNotifyBO
 * @Description 安装预约时间变更通知模板
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/30 9:57
 * @Version V1.0
 */
@Data
public class TimeNotifyBO implements Serializable {

    @ApiModelProperty("订单号")
    private String workId;

    @ApiModelProperty("变更时间")
    private String time;

    public TimeNotifyBO() {

    }

    /**
     * 构造函数
     *
     * @param workId
     * @param time
     */
    public TimeNotifyBO(String workId, String time) {
        if (StrUtil.isEmpty(time)) {
            throw new SmsException(LambdaUtils.getFieldApiModelProperty(TimeNotifyBO::getTime) + "为空");
        }
        this.workId = workId;
        this.time = time;
    }

}
