package com.boco.nbd.wios.flow.entity.bo;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.boco.nbd.framework.workflow.entity.exception.FlowException;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/7/27 10:21
 * @version:V1.0
 * @description:UpdateBusinessBO
 * @modify:
 */
@Data
public class UpdateBusinessBO {


    @ApiModelProperty(value = "工单号（必须）", required = true)
    private String workId;

    @ApiModelProperty(value = "提交表单参数", required = true)
    private Map<String, Object> formData;


    /**
     * 验证
     */
    public void localVerify() {
        if (StrUtil.isEmpty(this.getWorkId())) {
            throw new FlowException("workId is empty.");
        }
        if (CollUtil.isEmpty(this.getFormData())) {
            throw new FlowException("formData is empty.");
        }
    }

}
