package com.boco.nbd.wios.flow.entity.po;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.flow.entity.bo.FlowVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author:cao hai
 * @date:2022/6/22 13:39
 * @version:V1.0
 * @description:FlowPO
 * @modify:
 */
@Data
@Table(name = "tv3_lug_flows")
public class FlowPO implements Serializable {

    @Id
    @Column(name = "flow_id")
    private Long flowId;

    @Column(name = "category_name")
    @ApiModelProperty(value = "功能名称")
    private String categoryName;

    @Column(name = "flow_name")
    @ApiModelProperty(value = "流程名称")
    private String flowName;

    @Column(name = "flow_code")
    @ApiModelProperty(value = "流程标识")
    private String flowCode;

    /**
     * vo对象转换
     * @return
     */
    public FlowVO toVo(){
        FlowVO vo=new FlowVO();
        BeanUtil.copyProperties(this,vo);
        return vo;
    }


}
