package com.boco.nbd.wios.flow.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/22 13:59
 * @version:V1.0
 * @description:GroupPO
 * @modify:
 */
@Data
@Table(name = "tv3_lug_groups")
public class GroupPO implements Serializable {

    @Id
    @ApiModelProperty("组ID，唯一标示")
    private Long groupId;

    @ApiModelProperty("组名称")
    private String groupName;

    @ApiModelProperty("组描述")
    private String groupDescription;

    @ApiModelProperty("创建人ID")
    private Long createUserId;

    @ApiModelProperty("创建人名称")
    private String createUserName;


    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty("厂家")
    private Long vendorId;

    @ApiModelProperty("厂家")
    private String vendorName;

    @Transient
    @ApiModelProperty(value = "绑定的用户",hidden = true)
    private String userIds;

}
