package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.wios.flow.entity.bo.ColumnBO;
import com.boco.nbd.wios.flow.entity.bo.MenuFieldBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author:cao hai
 * @date:2022/7/7 13:09
 * @version:V1.0
 * @description:菜单字段模板
 * @modify:
 */
@Data
@Table(name = "tv3_menu_field")
public class MenuFieldPO implements Serializable {

    @Id
    @Column(name = "id")
    private Long id;

    @Id
    @Column(name = "menu_id")
    private String menuId;

    @ApiModelProperty(value = "字段显示名")
    @Column(name = "title")
    private String title;

    @ApiModelProperty(value = "字段名")
    @Column(name = "data_index")
    private String dataIndex;

    @ApiModelProperty(value = "匹配字段名")
    @Column(name = "match_field")
    private String matchField;

    @ApiModelProperty(value = "值类型,查询条件")
    @Column(name = "value_type")
    private String valueType;

    @ApiModelProperty(value = "关联field")
    @Column(name = "parent_field_title")
    private String parentFieldTitle;

    @ApiModelProperty(value = "是否隐藏,0 否 1 是")
    @Column(name = "hidden")
    private Integer hidden;

    @ApiModelProperty(value = "顺序")
    @Column(name = "order_by")
    private Integer order;

    @ApiModelProperty(value = "配置字段类型 0 table字段,1 from字段,2 导出字段")
    @Column(name = "filed_type")
    private Integer filedType;

    /**
     * 对象转换
     *
     * @return
     */
    public ColumnBO toTableBo() {
        ColumnBO bo = new ColumnBO();
        bo.setTitle(this.title);
        bo.setDataIndex(this.dataIndex);
        bo.setValueType(this.valueType);
        bo.setHideInTable(this.hidden == 1);
        bo.setHideInForm(true);
        bo.setParentFieldTitle(this.parentFieldTitle);
        bo.setOrderBy(this.order);
        return bo;
    }

    /**
     * @return
     */
    public ColumnBO toFormBo() {
        ColumnBO bo = new ColumnBO();
        bo.setTitle(this.title);
        bo.setDataIndex(this.dataIndex);
        bo.setValueType(this.valueType);
        bo.setHideInTable(true);
        bo.setHideInForm(false);
        bo.setParentFieldTitle(this.parentFieldTitle);
        bo.setOrderBy(0);
        bo.setOrder(-this.order);
        return bo;
    }

    /**
     * 对象转换
     *
     * @return
     */
    public MenuFieldBO toBaseField() {
        MenuFieldBO bo = new MenuFieldBO();
        bo.setTitle(this.title);
        bo.setMatchField(this.matchField);
        bo.setDataIndex(this.dataIndex);
        return bo;
    }
}
