package com.boco.nbd.wios.flow.entity.po;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.boco.nbd.wios.manage.contants.WiosConstant;
import lombok.Data;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description 主机厂级联关系实体类
 * @Author Yu
 * @Date 2022/7/14
 */
@Data
@Table(name = "t_oem_cascade")
public class OemCascadePO implements Serializable {
    /**
     * 级联关系ID
     */
    private String id;

    /**
     * 显示的名称
     */
    private String name;

    /**
     * 资源编码
     */
    private String materialsCode;

    /**
     * 父ID 根节点是oemCode
     */
    private String parentId;

    /**
     * 初始化墙盒套包类型、墙盒品牌、墙盒型号=>初始化数据特点 id长度为7,9,11
     * 如果后续初始化数据该特点消失=>该规则也就失效了
     *
     * @param list
     * @param size
     * @return
     */
    public static Map<Object, String> createMap(List<OemCascadePO> list, int size) {
        Map<Object, String> items = new HashMap<>(5);
        list.stream().forEach(s -> {
            if (StrUtil.isNotEmpty(s.getId()) && size == s.getId().length()) {
                //墙盒型号使用设备编码方便关联资源
                String key = WiosConstant.ITEM_MODEL_FLAG == size ? s.getMaterialsCode() : s.getId();
                items.put(key, s.getName());
            }
        });
        return items;
    }

}
