package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.framework.workflow.annotation.EnumConvert;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/7/18 15:39
 * @version:V1.0
 * @description:OrderInstallPO
 * @modify:
 */
@Data
@Table(name = "t_order_install")
public class OrderInstallPO implements Serializable {

    @Id
    @Column(name ="id")
    @ApiModelProperty(value = "ID")
    private Integer id ;

    @Column(name ="order_id")
    @ApiModelProperty(value = "订单编号")
    private String orderId ;

    @Column(name ="third_user_id")
    @ApiModelProperty(value = "第三方用户id")
    private String thirdUserId ;

    @Column(name ="pay_status")
    @ApiModelProperty(value = "支付状态 0：未支付 1：已支付")
    private Integer payStatus ;

    @Column(name ="vehicle_chassis_number")
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNumber ;

    @Column(name ="wallbox_no")
    @ApiModelProperty(value = "墙盒设备编号")
    private String wallboxNo ;

    @Column(name ="wallbox_quantity")
    @ApiModelProperty(value = "墙盒设备数量")
    private Integer wallboxQuantity ;

    @Column(name ="wallbox_item_id")
    @ApiModelProperty(value = "墙盒设备型号（对应物料id）")
    private String wallboxItemId ;

    @Column(name ="house_type")
    @ApiModelProperty(value = "住宅类型")
    @EnumConvert
    private Integer houseType ;

    @Column(name ="parking_type")
    @ApiModelProperty(value = "车位类型")
    @EnumConvert
    private Integer parkingType ;

    @Column(name ="address")
    @ApiModelProperty(value = "施工地址")
    private String address ;

    @Column(name ="electric_expand")
    @ApiModelProperty(value = "是否进行电力报装 0:否1：是")
    @EnumConvert(enumName = "yesOrNo")
    private Integer electricExpand ;

    @Column(name ="expand_method")
    @ApiModelProperty(value = "1:代报装 2：自主报装")
    @EnumConvert
    private Integer expandMethod ;

    @Column(name ="install_power_type")
    @ApiModelProperty(value = "电源点类型")
    @EnumConvert
    private String installPowerType ;

    @Column(name ="install_power_remark")
    @ApiModelProperty(value = "电源点说明")
    private String installPowerRemark ;

    @Column(name ="install_power_position")
    @ApiModelProperty(value = "电源接入点位置(配线箱编号)")
    private String installPowerPosition ;

    @Column(name ="parking_no")
    @ApiModelProperty(value = "车位号")
    private String parkingNo ;

    @Column(name ="real_install_type")
    @ApiModelProperty(value = "实际安装方式")
    @EnumConvert
    private Integer realInstallType ;

    @Column(name ="real_cable_type")
    @ApiModelProperty(value = "实际电缆规格")
    @EnumConvert
    private String realCableType ;

    @Column(name ="real_cable_meter")
    @ApiModelProperty(value = "实际长度电缆（米）")
    private String realCableMeter ;

    @Column(name ="real_cable_install_type")
    @ApiModelProperty(value = "电缆敷设方式 1-PVC电工管 2-JDG镀锌管 3-电缆桥架 4-其他")
    @EnumConvert
    private Integer realCableInstallType ;

    @Column(name ="predict_over_item")
    @ApiModelProperty(value = "增项费用 json存储")
    private String predictOverItem ;

    @Column(name ="predict_total_fee")
    @ApiModelProperty(value = "增项总费用")
    private Float  predictTotalFee;

    @Column(name ="expand_fee")
    @ApiModelProperty(value = "报装费用")
    private Float  expandFee;

    @Column(name ="debug_check")
    @ApiModelProperty(value = "调试检查json")
    private String debugCheck ;

    @Column(name ="attachment")
    @ApiModelProperty(value = "附件交付")
    private String attachment ;

    @Column(name ="train_content")
    @ApiModelProperty(value = "培训内容")
    private String trainContent ;

    @Column(name ="install_remark")
    @ApiModelProperty(value = "安装备注")
    private String installRemark ;

    @Column(name ="user_wallbox_pic")
    @ApiModelProperty(value = "用户与墙盒合影")
    private String userWallboxPic ;

    @Column(name ="wallbox_nameplate_pic")
    @ApiModelProperty(value = "墙盒铭牌")
    private String wallboxNameplatePic ;

    @Column(name ="void_open_pic")
    @ApiModelProperty(value = "空开")
    private String voidOpenPic ;

    @Column(name ="leakage_protect_pic")
    @ApiModelProperty(value = "漏保")
    private String leakageProtectPic ;

    @Column(name ="client_rate")
    @ApiModelProperty(value = "客户评分")
    private Integer clientRate ;

    @Column(name ="client_signature")
    @ApiModelProperty(value = "客户签字")
    private String clientSignature ;

    @Column(name ="install_attachment_files")
    @ApiModelProperty(value = "安装附件")
    private String installAttachmentFiles ;

    @Column(name ="create_account")
    @ApiModelProperty(value = "创建人")
    private String createAccount ;

    @Column(name ="create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime ;

    @Column(name ="modify_account")
    @ApiModelProperty(value = "修改人")
    private String modifyAccount ;

    @Column(name ="modify_time")
    @ApiModelProperty(value = "修改时间")
    private Date modifyTime ;

}
