package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.framework.workflow.annotation.EnumConvert;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/7/18 15:35
 * @version:V1.0
 * @description:OrderSurveyPO
 * @modify:
 */
@Data
@Table(name = "t_order_survey")
public class OrderSurveyPO implements Serializable {

    @Id
    @Column(name ="id")
    @ApiModelProperty(value = "ID")
    private Integer id ;

    @Column(name ="order_id")
    @ApiModelProperty(value = "订单编号")
    private String orderId ;

    @Column(name ="house_type")
    @EnumConvert()
    @ApiModelProperty(value = "住宅类型 1-普通高层 2-商业两住 3-别墅 4-公司 5-厂房 6-自建房 7-其他")
    private Integer houseType ;

    @Column(name ="parking_type")
    @ApiModelProperty(value = "车位类型 1-自主产权 2-长期租赁 3-不固定 4-其他")
    @EnumConvert()
    private Integer parkingType ;

    @Column(name ="parking_info")
    @ApiModelProperty(value = "车位描述 （车库位置、车位号或其他）")
    private String parkingInfo ;

    @Column(name ="parking_condition")
    @ApiModelProperty(value = "车位环境 1-地上 2-地下")
    @EnumConvert
    private Integer parkingCondition ;

    @Column(name ="install_type")
    @ApiModelProperty(value = "安装方式 1-壁挂 2-立式 3-其他")
    @EnumConvert
    private Integer installType ;

    @Column(name ="type")
    @ApiModelProperty(value = "类型 1：勘察 3：安装变更")
    @EnumConvert
    private Integer type ;

    @Column(name ="property_company")
    @ApiModelProperty(value = "物业公司")
    private String propertyCompany ;

    @Column(name ="property_contact")
    @ApiModelProperty(value = "物业联系人")
    private String propertyContact ;

    @Column(name ="property_phone")
    @ApiModelProperty(value = "物业电话")
    private String propertyPhone ;

    @Column(name ="property_agree")
    @ApiModelProperty(value = "物业态度 1-同意 2-不同意")
    @EnumConvert
    private Integer propertyAgree ;

    @Column(name ="property_reason")
    @ApiModelProperty(value = "物业不同意原因")
    private String propertyReason ;

    @Column(name ="power_type")
    @ApiModelProperty(value = "电力来源")
    @EnumConvert
    private String powerType ;

    @Column(name ="upper_circuit_breaker")
    @ApiModelProperty(value = "上端断路器规格（A）")
    private String upperCircuitBreaker ;

    @Column(name ="upper_line")
    @ApiModelProperty(value = "上端线径规格（mm2）")
    private String upperLine ;

    @Column(name ="allow_power")
    @ApiModelProperty(value = "可安装功率大小（KW）")
    private String allowPower ;

    @Column(name ="cable_type")
    @ApiModelProperty(value = "电缆规格（3X6、3X10、3X16 ）")
    private String cableType ;

    @Column(name ="signal_type")
    @ApiModelProperty(value = "信号类型 1-移动 2-电信 3-联通")
    @EnumConvert
    private Integer signalType ;

    @Column(name ="signal_intensity")
    @ApiModelProperty(value = "信号强度（dBm）")
    private String signalIntensity ;

    @Column(name ="over_standard")
    @ApiModelProperty(value = "费用是否超标 1-超标 0-未超标")
    @EnumConvert
    private Integer overStandard ;

    @Column(name ="cable_meter")
    @ApiModelProperty(value = "电缆施工长度")
    private String cableMeter ;

    @Column(name ="cable_install_type")
    @ApiModelProperty(value = "电缆敷设方式 1-PVC电工管 2-JDG镀锌管 3-电缆桥架 4-其他")
    @EnumConvert
    private Integer cableInstallType ;

    @Column(name ="prepare_info")
    @ApiModelProperty(value = "资料准备 json存储 (安装申请、产权复印件、身份证复印件、使用权证明书)")
    private String prepareInfo ;

    @Column(name ="survey_result")
    @ApiModelProperty(value = "勘察结论 1-同意安装 2-不满足安装 3-待定")
    @EnumConvert
    private Integer surveyResult ;

    @Column(name ="predict_over_item")
    @ApiModelProperty(value = "增项费用预估 json存储")
    private String predictOverItem ;

    @Column(name ="survey_remark")
    @ApiModelProperty(value = "勘察备注")
    private String surveyRemark ;

    @Column(name ="pictures")
    @ApiModelProperty(value = "图片链接 多张逗号分割")
    private String pictures ;

    @Column(name ="plan_info")
    @ApiModelProperty(value = "方案说明")
    private String planInfo ;

    @Column(name ="survey_attachment")
    @ApiModelProperty(value = "附件url")
    private String surveyAttachment ;

    @Column(name ="address")
    @ApiModelProperty(value = "勘测地址")
    private String address ;

    @Column(name ="latitude")
    @ApiModelProperty(value = "纬度")
    private String latitude ;

    @Column(name ="longitude")
    @ApiModelProperty(value = "经度")
    private String longitude ;

    @Column(name ="survey_date")
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private  Date surveyDate ;

    @Column(name ="contact_name")
    @ApiModelProperty(value = "联系人姓名")
    private String contactName ;

    @Column(name ="contact_phone")
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone ;

    @Column(name ="parking_position_no")
    @ApiModelProperty(value = "车位号")
    private String parkingPositionNo ;

    @Column(name ="install_position")
    @ApiModelProperty(value = "室内/室外 1/2")
    @EnumConvert()
    private Integer installPosition ;

    @Column(name ="open_air")
    @ApiModelProperty(value = "是否露天 0：否 1：是")
    @EnumConvert()
    private Integer openAir ;

    @Column(name ="transformer_specific_value")
    @ApiModelProperty(value = "变压器额定值")
    private String transformerSpecificValue ;

    @Column(name ="access_circuit_capacity")
    @ApiModelProperty(value = "可接入主断路器容量")
    private String accessCircuitCapacity ;

    @Column(name ="measured_phase_voltage")
    @ApiModelProperty(value = "实测相电压")
    private String measuredPhaseVoltage ;

    @Column(name ="measured_phase_current")
    @ApiModelProperty(value = "实测相电流")
    private String measuredPhaseCurrent ;

    @Column(name ="need_erect_pile")
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private Integer needErectPile ;

    @Column(name ="need_special_construction")
    @ApiModelProperty(value = "是否需要特殊施工 0：否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private Integer needSpecialConstruction ;

    @Column(name ="create_account")
    @ApiModelProperty(value = "创建人")
    private String createAccount ;

    @Column(name ="create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime ;

    @Column(name ="modify_account")
    @ApiModelProperty(value = "修改人")
    private String modifyAccount ;

    @Column(name ="modify_time")
    @ApiModelProperty(value = "修改时间")
    private Date modifyTime ;


}
