package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.framework.workflow.annotation.EnumConvert;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author:cao zqy
 * @date:2022/6/27
 * @version:V1.0
 * @description:t_Order_temp
 * @modify:
 */
@Data
@Table(name = "t_order_temp")
public class OrderTempPO implements Serializable {


    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "订单编号")
    private String id;

    @Column(name = "oem_id")
    @ApiModelProperty(value = "主机厂ID", required = true)
    private Integer oemId;


    @Column(name = "oem_code")
    @ApiModelProperty(value = "主机厂代码", required = true)
    private String oemCode;

    @Column(name = "oem_agent_id")
    @ApiModelProperty(value = "经销商id")
    private Integer oemAgentId;

    @Column(name = "oem_agent_info")
    @ApiModelProperty(value = "经销商信息")
    private String oemAgentInfo;

    @Column(name = "oem_agent_contact_name")
    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;

    @Column(name = "oem_agent_contact_phone")
    @ApiModelProperty(value = "经销商联系方式")
    private String oemAgentContactPhone;

    @Column(name = "out_order_id")
    @ApiModelProperty(value = "外部订单编号,车企安装单号", required = true)
    private String outOrderId;

    @Column(name = "contract_id")
    @ApiModelProperty(value = "合同编号")
    private Integer contractId;

    @Column(name = "supplier_contract_id")
    @ApiModelProperty(value = "服务商合同id")
    private Integer supplierContractId;

    @Column(name = "user_name")
    @ApiModelProperty(value = "车主姓名", required = true)
    private String userName;

    @Column(name = "user_phone")
    @ApiModelProperty(value = "车主电话", required = true)
    private String userPhone;

    @Column(name = "user_sex")
    @ApiModelProperty(value = "车主性别 0-女 1-男 2-未知")
    @EnumConvert()
    private String userSex;

    @Column(name = "contact_name")
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @Column(name = "contact_phone")
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;

    @Column(name = "region_id")
    @ApiModelProperty(value = "区域id", required = true)
    private String regionId;

    @Column(name = "warehouse_id")
    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    @Column(name = "address")
    @ApiModelProperty(value = "地址")
    private String address;

    @Column(name = "vehicle_model")
    @ApiModelProperty(value = "车型号")
    private String vehicleModel;

    @Column(name = "vehicle_chassis_no")
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNo;

    @Column(name = "vehicle_vin")
    @ApiModelProperty(value = "车辆识别号")
    private String vehicleVin;

    @Column(name = "vehicle_parking_no")
    @ApiModelProperty(value = "车位号")
    private String vehicleParkingNo;

    @Column(name = "vehicle_parking_status")
    @ApiModelProperty(value = "车位状态")
    private String vehicleParkingStatus;

    @Column(name = "survey_before_sale_enable")
    @ApiModelProperty(value = "是否为售车前预勘测 0:否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private String surveyBeforeSaleEnable;

    @Column(name = "manu_dispatch_enable")
    @ApiModelProperty(value = "是否需要人工派单 0：否 1：是")
    private String manuDispatchEnable;

    @Column(name = "wallbox_model")
    @ApiModelProperty(value = "墙盒品牌")
    @EnumConvert(enumName="")
    private String wallboxModel;

    @Column(name = "status")
    @ApiModelProperty(value = "订单状态")
    @EnumConvert()
    private Integer status;

    @Column(name = "type")
    @ApiModelProperty(value = "类型 1：普通订单 2：移桩订单")
    @EnumConvert()
    private Integer type;

    @Column(name = "expand_status")
    @ApiModelProperty(value = "报装状态 1：通过 2：不通过")
    @EnumConvert()
    private Integer expandStatus;

    @Column(name = "expand_fail_reason")
    @ApiModelProperty(value = "报装不通过原因")
    private String expandFailReason;

    @Column(name = "expand_fail_operate")
    @ApiModelProperty(value = "报装不通过后订单后续操作")
    private Integer expandFailOperate;

    @Column(name = "expand_remark")
    @ApiModelProperty(value = "报装备注")
    private String expandRemark;

    @Column(name = "survey_staff_id")
    @ApiModelProperty(value = "勘测员工编号")
    private Integer surveyStaffId;

    @Column(name = "survey_finish_time")
    @ApiModelProperty(value = "勘测完成时间")
    private Date surveyFinishTime;

    @Column(name = "survey_reserve_time")
    @ApiModelProperty(value = "预约勘测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveyReserveTime;

    @Column(name = "survey_client_name")
    @ApiModelProperty(value = "勘测客户姓名")
    private String surveyClientName;

    @Column(name = "survey_client_phone")
    @ApiModelProperty(value = "勘测客户手机号")
    private String surveyClientPhone;

    @Column(name = "survey_cams_phone")
    @ApiModelProperty(value = "注册CAMS PLUS 手机号")
    private String surveyCamsPhone;

    @Column(name = "survey_reserve_remark")
    @ApiModelProperty(value = "预约勘测备注")
    private String surveyReserveRemark;

    @Column(name = "install_supplier_id")
    @ApiModelProperty(value = "安装服务商编号")
    private Integer installSupplierId;

    @Column(name = "install_staff_id")
    @ApiModelProperty(value = "安装员工编号")
    private Integer installStaffId;

    @Column(name = "install_finish_time")
    @ApiModelProperty(value = "安装完成时间")
    private Date installFinishTime;

    @Column(name = "install_reserve_time")
    @ApiModelProperty(value = "预约安装时间")
    private Date installReserveTime;

    @Column(name = "install_client_name")
    @ApiModelProperty(value = "安装客户姓名")
    private String installClientName;

    @Column(name = "install_client_phone")
    @ApiModelProperty(value = "安装客户手机")
    private String installClientPhone;

    @Column(name = "install_cams_phone")
    @ApiModelProperty(value = "注册CAMS PLUS 手机号(安装)")
    private String installCamsPhone;

    @Column(name = "install_reserve_remark")
    @ApiModelProperty(value = "预约安装备注")
    private String installReserveRemark;

    @Column(name = "survey_finish_fail_reason")
    @ApiModelProperty(value = "勘察完成审核不通过原因")
    private String surveyFinishFailReason;

    @Column(name = "survey_rectify_fail_reason")
    @ApiModelProperty(value = "勘察整改审核不通过原因")
    private String surveyRectifyFailReason;

    @Column(name = "install_change_fail_reason")
    @ApiModelProperty(value = "安装变更审核不通过原因")
    private String installChangeFailReason;

    @Column(name = "install_finish_fail_reason")
    @ApiModelProperty(value = "安装完成审核不通过原因")
    private String installFinishFailReason;

    @Column(name = "install_rectify_fail_reason")
    @ApiModelProperty(value = "安装整改不通过原因")
    private String installRectifyFailReason;

    @Column(name = "close_order_reason")
    @ApiModelProperty(value = "关闭订单原因")
    private String closeOrderReason;

    @Column(name = "install_change_attachment_files")
    @ApiModelProperty(value = "变更安装附件")
    private String installChangeAttachmentFiles;

    @Column(name = "survey_reserve_fail_info")
    @ApiModelProperty(value = "预约勘察异常信息")
    private String surveyReserveFailInfo;

    @Column(name = "install_reserve_fail_info")
    @ApiModelProperty(value = "预约安装异常信息")
    private String installReserveFailInfo;

    @Column(name = "files")
    @ApiModelProperty(value = "附件地址")
    private String files;

    @Column(name = "description")
    @ApiModelProperty(value = "备注")
    private String description;

    @Column(name = "score")
    @ApiModelProperty(value = "评分")
    private Integer score;

    @Column(name = "visit_content")
    @ApiModelProperty(value = "回访内容，客户意见或建议")
    private String visitContent;

    @Column(name = "invoice_time")
    @ApiModelProperty(value = "发票日期")
    private Date invoiceTime;

    @Column(name = "estate_type")
    @ApiModelProperty(value = "小区类型 1：普通高层 2：商用两住 3：别墅 4：公司 5：厂房 6：自建房 7：其他")
    private String estateType;

    @Column(name = "has_independent_parking")
    @ApiModelProperty(value = "是否独立车位 0：否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private String hasIndependentParking;

    @Column(name = "install_position")
    @ApiModelProperty(value = "安装位置 1：室内 2：室外")
    @EnumConvert()
    private String installPosition;

    @Column(name = "property_agree")
    @ApiModelProperty(value = "物业态度 0：不同意 1：同意")
    @EnumConvert()
    private String propertyAgree;

    @Column(name = "electric_expand")
    @ApiModelProperty(value = "是否需要电力报装 0：否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private String electricExpand;

    @Column(name = "need_erect_pile")
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    @EnumConvert(enumName = "yesOrNo")
    private String needErectPile;

    @Column(name = "dispatch_time")
    @ApiModelProperty(value = "派单时间")
    private Date dispatchTime;

    @Column(name = "survey_submit_examine_time")
    @ApiModelProperty(value = "提交勘测审核时间")
    private Date surveySubmitExamineTime;

    @Column(name = "survey_approve_time")
    @ApiModelProperty(value = "勘测审核通过时间")
    private Date surveyApproveTime;

    @Column(name = "install_submit_examine_time")
    @ApiModelProperty(value = "安装提交审核时间")
    private Date installSubmitExamineTime;

    @Column(name = "install_approve_time")
    @ApiModelProperty(value = "安装审核通过时间")
    private Date installApproveTime;

    @Column(name = "return_visit_time")
    @ApiModelProperty(value = "回访时间")
    private Date returnVisitTime;

    @Column(name = "close_time")
    @ApiModelProperty(value = "订单关闭时间")
    private Date closeTime;

    @Column(name = "create_account")
    @ApiModelProperty(value = "创建人")
    private String createAccount;

    @Column(name = "create_account_name")
    @ApiModelProperty(value = "创建人")
    private String createAccountName;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Column(name = "modify_account")
    @ApiModelProperty(value = "修改人")
    private String modifyAccount;

    @Column(name = "modify_time")
    @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

    @Column(name = "item_model")
    @ApiModelProperty(value = "墙盒设备型号")
    private String itemModel;

    @Column(name = "survey_wallbox_model")
    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyWallboxModel;

    @Column(name = "survey_item_model")
    @ApiModelProperty(value = "墙盒设备型号（勘测）")
    private String surveyItemModel;

    @Column(name = "install_wallbox_model")
    @ApiModelProperty(value = "墙盒型号（安装）")
    private String installWallboxModel;

    @Column(name = "install_item_model")
    @ApiModelProperty(value = "墙盒设备型号（安装）")
    private String installItemModel;

    @Column(name = "address_lat")
    @ApiModelProperty(value = "地址纬度")
    private String addressLat;

    @Column(name = "address_lng")
    @ApiModelProperty(value = "地址经度")
    private String addressLng;

    @Column(name = "survey_follow_time")
    @ApiModelProperty(value = "预约勘测下次跟进时间")
    private Date surveyFollowTime;

    @Column(name = "install_follow_time")
    @ApiModelProperty(value = "预约安装下次跟进时间")
    private Date installFollowTime;

    @Column(name = "connect_person")
    @ApiModelProperty(value = "首联人")
    private String connectPerson;

    @Column(name = "connect_person_name")
    @ApiModelProperty(value = "首联人")
    private String connectPersonName;

    @Column(name = "want_home_time")
    @ApiModelProperty(value = "客户希望上门时间")
    private Date wantHomeTime;

    @Column(name = "install_emergency_level")
    @ApiModelProperty(value = "安装紧急程度 1:一般 2:紧急")
    @EnumConvert()
    private String installEmergencyLevel;

    @Column(name = "remark")
    @ApiModelProperty(value = "其他说明")
    private String remark;

    @Column(name = "is_connect")
    @ApiModelProperty(value = "是否联系上客户：0-否，1：是")
    @EnumConvert(enumName = "yesOrNo")
    private Integer isConnect;

    @Column(name = "is_need_survey")
    @ApiModelProperty(value = "是否需要勘测：0-否，1：是")
    @EnumConvert(enumName = "yesOrNo")
    private String isNeedSurvey;

    @Column(name = "shipno")
    @ApiModelProperty(value = "物流单号")
    private String shipno;

    /**
     * 新增扩展字段
     */
    @Column(name = "oem_name")
    @ApiModelProperty(value = "主机厂名称", required = true)
    private String oemName;

    /**
     * oem_agent_id
     */
    @Column(name = "oem_agent_name")
    @ApiModelProperty(value = "经销商名称", required = true)
    private String oemAgentName;


    @Column(name = "pack_type")
    @ApiModelProperty(value = "套包类型", required = true)
    private String packType;

    @ApiModelProperty(value = "安装服务商")
    @Column(name = "install_supplier_name")
    private String installSupplierName;

    @ApiModelProperty(value = "电工")
    @Column(name = "install_staff_name")
    private String installStaffName;

    @ApiModelProperty(value = "安装员工电话",hidden = true)
    @Column(name = "install_staff_phone")
    private String installStaffPhone;

    @ApiModelProperty(value = "勘察员工姓名",hidden = true)
    @Column(name = "survey_staff_name")
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话",hidden = true)
    @Column(name = "survey_staff_phone")
    private String surveyStaffPhone;

    @ApiModelProperty(value = " 勘测审核不通过次数")
    @Column(name = "survey_check_fail_num")
    private Integer surveyCheckFailNum;

    @ApiModelProperty(value = " 安装审核不通过次数")
    @Column(name = "install_check_fail_num")
    private Integer installCheckFailNum;

    @ApiModelProperty(value = "流程节点标识", hidden = true)
    @Column(name = "node_flag")
    private String nodeFlag;

    @ApiModelProperty(value = "是否同意:0 否，1 是")
    @Transient
    private Integer whether;


    @Column(name = "is_pick_car")
    @ApiModelProperty(value = "是否提车：是、否、已支付定金")
    private String isPickCar;

    @Column(name = "refuse_order_reason")
    @ApiModelProperty(value = "拒绝接单原因")
    private String refuseOrderReason;


    @ApiModelProperty(value = "变压器额定值")
    @Transient
    private String transformerSpecificValue;


    @ApiModelProperty(value = "可接入主断路器容量")
    @Transient
    private String accessCircuitCapacity;


    @ApiModelProperty(value = "上端断路器规格（a）")
    @Transient
    private String upperCircuitBreaker;


    @ApiModelProperty(value = "上端线径规格（mm2）")
    @Transient
    private String upperLine;


    @ApiModelProperty(value = "实测相电压")
    @Transient
    private String measuredPhaseVoltage;


    @ApiModelProperty(value = "实测相电流")
    @Transient
    private String measuredPhaseCurrent;


    @ApiModelProperty(value = "电缆施工长度")
    @Transient
    private String cableMeter;

    @ApiModelProperty(value = "选用电缆规格")
    @Transient
    private String cableType;

    @ApiModelProperty(value = "信号类型 1-移动 2-电信 3-联通")
    @Transient
    private Integer signalType;

    @ApiModelProperty(value = "信号强度（dbm）")
    @Transient
    private String signalIntensity;

    @ApiModelProperty(value = "费用是否超标 1-超标 0-未超标")
    @Transient
    private Integer overStandard;



    @ApiModelProperty(value = "电缆敷设方式(CableBuildMethod)")
    @Transient
    private Integer cableInstallType;



    @ApiModelProperty(value = "需要的资料准备")
    @Transient
    private String prepareInfo;

    @ApiModelProperty(value = "备注")
    @Transient
    private String surveyRemark;

    @ApiModelProperty(value = "方案说明")
    @Transient
    private String planInfo;

    @ApiModelProperty(value = "经销商销售代码 organization_code")
    @Transient
    private String oemAgentOrgCode;

    @ApiModelProperty(value = "墙盒设备数量")
    @Transient
    private Integer wallboxQuantity;

    @ApiModelProperty(value = "1:代报装 2：自主报装")
    @Transient
    private Integer expandMethod;

    @ApiModelProperty(hidden = true)
    @Transient
    private BigDecimal expandFee;

    @ApiModelProperty(value = "电源接入点位置(配线箱编号)")
    @Transient
    private String installPowerPosition;

    @ApiModelProperty(value = "充电桩安装车位号")
    @Transient
    private String parkingNo;

    @ApiModelProperty(value = "实际长度线缆（米）")
    @Transient
    private String realCableMeter;

    @ApiModelProperty(value = "实际电缆规格")
    @Transient
    private Integer realCableType;

    /**
     * 调试检查json
     */
    @ApiModelProperty(value = "调试检查json(ChargeDeviceCheck,CableInstallCheck)")
    @Transient
    private String debugCheck;

    @ApiModelProperty(value = "附件交付(AttachmentDeliver)")
    @Transient
    private String attachment;

    @ApiModelProperty(value = "现场培训内容")
    @Transient
    private String trainContent;

    @ApiModelProperty(value = "客户评价")
    @Transient
    private String clientRate;


    /**
     * 字段暂时不添加到数据库，处理到该部分业务时再完善
     */
    @ApiModelProperty(value = "发票号")
    @Transient
    private String invoiceNumber;

    @ApiModelProperty(value = "纬度")
    @Transient
    private String latitude;

    @ApiModelProperty(value = "经度")
    @Transient
    private String longitude;


    @Transient
    private String regionName;


}
