package com.boco.nbd.wios.flow.entity.po;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.manage.contants.WiosConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Arrays;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/21 10:46
 * @version:V1.0
 * @description:UsableSupplierPO
 * @modify:
 */
@Data
public class UsableSupplierPO {

    private Integer supplierId;

    private String supplierName;

    private String regionId;

    @ApiModelProperty(value = "主机厂")
    private String oemCode;

    @ApiModelProperty(value = "套包类型")
    private String packType;

    @ApiModelProperty(value = "级别")
    private String level;

    @ApiModelProperty(value = "日最大接单量")
    private Integer maxOrderQuantity;

    @ApiModelProperty(value = "综合评分")
    private Float finalScore;

    /**
     * 判断是否包含 region
     *
     * @param str
     * @return
     */
    public boolean regionContains(String str) {
        if (StrUtil.isEmpty(this.regionId)) {
            return false;
        }
        List<String> regions = Arrays.asList(this.regionId.split(CamsConstant.COMMA));
        return regions.contains(str);
    }

    /**
     * 判断是否包含 packType
     *
     * @param str
     * @return
     */
    public boolean packTypeContains(String str) {
        if (StrUtil.isEmpty(this.packType)) {
            return false;
        }
        List<String> packType = Arrays.asList(this.packType.split(CamsConstant.COMMA));
        return packType.contains(str);
    }

    /**
     * 判断是否包含 oemCode
     *
     * @param str
     * @return
     */
    public boolean oemContains(String str) {
        if (StrUtil.isEmpty(this.oemCode)) {
            return false;
        }
        List<String> oemCode = Arrays.asList(this.packType.split(CamsConstant.COMMA));
        return oemCode.contains(str);
    }
}
