package com.boco.nbd.wios.flow.entity.qo;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.manage.contants.WiosConstant;
import lombok.Data;

import java.util.Arrays;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/6/28 14:52
 * @version:V1.0
 * @description:SupplierContractQo
 * @modify:
 */
@Data
public class SupplierContractQo {

    /**
     * 构造函数
     *
     * @param regionId
     * @param orderId
     * @param idTree
     */
    public SupplierContractQo(Integer regionId, String orderId, String idTree) {
        this.regionId = regionId;
        this.orderId = orderId;
        this.idTree = idTree;
        if (StrUtil.isNotEmpty(idTree)) {
            String[] idTreeArr = idTree.split(CamsConstant.UNDER_LINE);
            this.idTreeList = Arrays.asList(idTreeArr);
        }
    }

    /**
     * 订单regionId
     */
    private Integer regionId;

    private String idTree;

    private String orderId;

    /**
     * 订单regionId对应idTree
     */
    private List<String> idTreeList;
}
