package com.boco.nbd.wios.flow.entity.react;

import com.boco.nbd.wios.manage.entity.bo.OemVo;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/4 16:55
 * @version:V1.0
 * @description:SelectBO:value 为Integer，兼容value为String 调整成object
 * @modify:
 */
@Data
public class SelectBO {

    private String label;

    private Object value;

    /**
     * 对象创建
     *
     * @param label
     * @param value
     * @return
     */
    public static SelectBO crate(String label, Object value) {
        SelectBO bo = new SelectBO();
        bo.setLabel(label);
        bo.setValue(value);
        return bo;
    }

    /**
     * 生成全部item
     *
     * @return
     */
    public static SelectBO crateBase() {
        SelectBO bo = new SelectBO();
        bo.setLabel("全部");
        bo.setValue(null);
        return bo;
    }

    /**
     * 转换
     *
     * @param list
     * @return
     */
    public static List<SelectBO> createOem(List<OemVo> list) {
        List<SelectBO> items = new ArrayList<>(8);
        items.add(crateBase());
        list.stream().forEach(s -> {
            SelectBO bo = SelectBO.crate(s.getName(), s.getId());
            items.add(bo);
        });
        return items;
    }

}
