package com.boco.nbd.wios.flow.entity.react;

import com.boco.nbd.wios.manage.entity.bo.RegionVo;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/4 16:42
 * @version:V1.0
 * @description:TreeSelectBO
 * @modify:
 */
@Data
public class TreeSelectBO {

    private String label;

    private String value;

    private List<TreeSelectBO> children;

    /**
     * 生成treeSelect
     *
     * @param regions
     * @return
     */
    public static List<TreeSelectBO> createRegion(List<RegionVo> regions) {
        List<TreeSelectBO> items = new ArrayList<>(2);
        for (RegionVo region : regions) {
            TreeSelectBO bo = new TreeSelectBO();
            bo.setLabel(region.getName());
            bo.setValue(region.getId() + "");
            bo.setChildren(createRegion(region.getChildren()));
            items.add(bo);
        }
        return items;
    }
}
