package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/28 14:32
 * @version:V1.0
 * @description:AppOrderInstallVO
 * @modify:
 */
@Data
public class AppOrderInstallVO {

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "工单号")
    private String orderId;

    @ApiModelProperty(value = "安装完成时间")
    private String installFinishTime;

    @ApiModelProperty(value = "增项费用明细")
    private List<AdditionFeeItem> additionFeeList;

    @ApiModelProperty(value = "增项总费用")
    private BigDecimal additionTotalFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "报装费用")
    private BigDecimal expandFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "总费用")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "账单id")
    private String billId;

    @ApiModelProperty(value = "账单状态 0-未支付 1-已支付")
    private Integer billStatus;

    @ApiModelProperty(value = "账单支付时间")
    private String billPayTime;

    @ApiModelProperty(value = "用户手机号")
    private String billUserPhone;

    @ApiModelProperty(value = "账单支付方式 0-未知 3-微信")
    private Integer billPayMethod;

    @ApiModelProperty(value = "工单状态")
    private Integer orderStatus;

    @ApiModelProperty(value = "工单状态说明")
    private String orderStatusText;

    @ApiModelProperty(value = "评价详情")
    private OrderScore orderScore;

    @Data
    public class AdditionFeeItem {

        @ApiModelProperty(value = "项目名称")
        private String name;

        @ApiModelProperty(value = "数量")
        private Integer quantity;

        @ApiModelProperty(value = "费用")
        private BigDecimal fee;
    }

    @Data
    public class OrderScore {

        @ApiModelProperty(value = "综合分数")
        private Double score;

        @ApiModelProperty(value = "评价内容")
        private String content;

        @ApiModelProperty(value = "评价图片，多个逗号分割")
        private String files;

        @ApiModelProperty(value = "评价时间")
        private String time;
    }
}
