package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author:cao hai
 * @date:2022/10/27 15:02
 * @version:V1.0
 * @description:AppOrderVO
 * @modify:
 */
@Data
public class AppOrderVO {

    @ApiModelProperty(value = "工单号")
    private String orderId;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "车主性别 0-女 1-男")
    private Integer userSex;

    @ApiModelProperty(value = "订单状态(全部)")
    private Integer status;

    @ApiModelProperty(value = "订单状态(1:接单 2：预约 3：勘察 4：安装 5：评价)")
    private Integer relativeStatus;

    @ApiModelProperty(value = "订单状态说明")
    private String statusText;

    @ApiModelProperty(value = "时间")
    private String time;

    @ApiModelProperty(value = "派单时间")
    private String dispatchTime;

    @ApiModelProperty(value = "勘测预约时间")
    private String surveyReserveTime;

    @ApiModelProperty(value = "开始勘测时间")
    private String surveyStartTime;

    @ApiModelProperty(value = "安装预约时间")
    private String installReserveTime;

    @ApiModelProperty(value = "开始安装时间")
    private String installStartTime;

    @ApiModelProperty(value = "回访时间")
    private String returnVisitTime;

    @ApiModelProperty(value = "联系人")
    private String contactName;

    @ApiModelProperty(value = "联系电话")
    private String contactPhone;

    @ApiModelProperty(value = "账单费用")
    private BigDecimal fee;

    @ApiModelProperty(value = "安装完成时间")
    private String installFinishTime;

    @ApiModelProperty(value = "账单id")
    private String billId;

    @ApiModelProperty(value = "账单状态 0-未支付 1-已支付")
    private Integer billStatus;

    @ApiModelProperty(value = "报装状态 1：通过 2：不通过")
    private Integer expandStatus;

    @ApiModelProperty(value = "报装不通过后订单后续操作 1：换其他用电类型继续安装  2：不安装了")
    private Integer expandFailOperate;

}
