package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author:cao hai
 * @date:2022/8/11 14:54
 * @version:V1.0
 * @description: OrderInstallItemVO
 * @modify:
 */
@Data
public class OrderInstallItemVO {

    /**
     * 1：勘察 2：安装 3：安装变更
     */
    @ApiModelProperty(hidden = true)
    private Integer type;

    /**
     * 物料类型 1-物料 2-增项 3-充电桩 4-高附加值材料
     */
    @ApiModelProperty(hidden = true)
    private Integer itemType;


    @ApiModelProperty(value = "物料编号")
    private String itemId;


    @ApiModelProperty(value = "项目名称")
    private String itemName;

    @ApiModelProperty(value = "型号")
    private String itemModel;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "单价（含税）")
    private BigDecimal ratePrice;

    @ApiModelProperty(value = "是否选中")
    private Boolean areSelect;

    @ApiModelProperty(value = "数量")
    private BigDecimal qunatity;

    @ApiModelProperty(value = "总费用")
    private BigDecimal fee;

    /**
     * 对应的合同itemId
     */
    @ApiModelProperty(value = "对应的合同itemId")
    private Integer contractItemId;

}
