package com.boco.nbd.wios.flow.entity.vo;

import cn.hutool.core.util.EnumUtil;
import com.boco.nbd.wios.flow.enums.RegionLevelEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/8/8 9:43
 * @version:V1.0
 * @description:RegionInfoVO
 * @modify:
 */
@Data
public class RegionInfoVO {

    @ApiModelProperty(value = "区域级别：1 全国 2 区域 3 省份 4 地市 5 区县")
    private Integer regionLevel;

    @ApiModelProperty(value = "国")
    private Integer countryId;

    private String countryName;

    @ApiModelProperty(value = "区域")
    private Integer areaId;

    private String areaName;

    @ApiModelProperty(value = "省")
    private Integer provinceId;

    private String provinceName;

    @ApiModelProperty(value = "地市")
    private Integer regionId;

    private String regionName;

    @ApiModelProperty(value = "区县")
    private Integer cityId;

    private String cityName;

    /**
     * 补全信息
     *
     * @param regionLevel
     * @param regionId
     * @param regionName
     */
    public void addRegionData(Integer regionLevel, Integer regionId, String regionName) {
        RegionLevelEnum levelEnum = EnumUtil.likeValueOf(RegionLevelEnum.class, regionLevel);
        if (levelEnum == null) {
            return;
        }
        switch (levelEnum) {
            case COUNTRY:
                this.countryId = regionId;
                this.countryName = regionName;
                break;
            case AREA:
                this.areaId = regionId;
                this.areaName = regionName;
                break;
            case PROVINCE:
                this.provinceId = regionId;
                this.provinceName = regionName;
                break;
            case REGION:
                this.regionId = regionId;
                this.regionName = regionName;
                break;
            case CITY:
                this.cityId = regionId;
                this.cityName = regionName;
                break;
            default:
                break;
        }
    }
}
