package com.boco.nbd.wios.flow.entity.vo;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.entity.po.VisitOrderPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

/**
 * @author:cao hai
 * @date:2022/11/23 18:08
 * @version:V1.0
 * @description:VisitOrderVO
 * @modify:
 */
@Data
@Slf4j
public class VisitOrderVO {

    @ApiModelProperty(value = "外部订单编号,车企安装单号")
    private String outOrderId;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "是否了解墙盒售后问题反馈渠道：0-否，1：是")
    private String knowAfterSalesChannel;

    @ApiModelProperty(value = "墙盒线缆的安装长度")
    private String installLength;

    @ApiModelProperty(value = "评分项1")
    private String scoreName1;

    @ApiModelProperty(value = "评分项1得分")
    private String score1;

    @ApiModelProperty(value = "评分项1描述")
    private String description1;

    @ApiModelProperty(value = "评分项2")
    private String scoreName2;

    @ApiModelProperty(value = "评分项得分")
    private String score2;

    @ApiModelProperty(value = "评分项2描述")
    private String description2;

    @ApiModelProperty(value = "评分项3")
    private String scoreName3;

    @ApiModelProperty(value = "评分项3得分")
    private String score3;

    @ApiModelProperty(value = "评分项3描述")
    private String description3;

    @ApiModelProperty(value = "评分项4")
    private String scoreName4;

    @ApiModelProperty(value = "评分项4得分")
    private String score4;

    @ApiModelProperty(value = "评分项4描述")
    private String description4;

    @ApiModelProperty(value = "评分项5")
    private String scoreName5;

    @ApiModelProperty(value = "评分项5得分")
    private String score5;

    @ApiModelProperty(value = "评分项5描述")
    private String description5;

    /**
     * 对象转换
     * @param po
     * @return
     */
    public static VisitOrderVO toVo(VisitOrderPO po) {
        VisitOrderVO vo = new VisitOrderVO();
        if (po == null) {
            return vo;
        }
        vo.setOutOrderId(po.getOutOrderId());
        vo.setScore(po.getScore());
        vo.setSource(po.getSource());
        vo.setUserName(po.getUserName());
        vo.setUserPhone(po.getUserPhone());
        vo.setScoreInfo(po.getScoreData());

        return vo;
    }


    /**
     * 解析
     * 格式:1,施工及时性,0.00,;,2,安装质量,0.00,;,3,着装、行为,0.00,;,4,服务态度,0.00,;,5,收费标准单价公示,0.00,;
     *
     * @param info
     */
    private void setScoreInfo(String info) {
        if (StrUtil.isEmpty(info)) {
            return;
        }
        try {
            String[] items = StrUtil.split(info, CamsConstant.SEMICOLON_FLAG);
            int size = 4;
            for (String item : items) {
                if (item.startsWith(CamsConstant.COMMA)) {
                    item = item.substring(1);
                }
                String[] scores = StrUtil.split(item, CamsConstant.COMMA);
                if (scores.length != size) {
                    continue;
                }
                int code = Integer.parseInt(scores[0] + "");
                switch (code) {
                    case 1:
                        this.scoreName1 = scores[1] + "";
                        this.score1 = scores[2] + "";
                        this.description1 = scores[3] + "";
                        break;
                    case 2:
                        this.scoreName2 = scores[1] + "";
                        this.score2 = scores[2] + "";
                        this.description2 = scores[3] + "";
                        break;
                    case 3:
                        this.scoreName3 = scores[1] + "";
                        this.score3 = scores[2] + "";
                        this.description3 = scores[3] + "";
                        break;
                    case 4:
                        this.scoreName4 = scores[1] + "";
                        this.score4 = scores[2] + "";
                        this.description4 = scores[3] + "";
                        break;
                    case 5:
                        this.scoreName5 = scores[1] + "";
                        this.score5 = scores[2] + "";
                        this.description5 = scores[3] + "";
                        break;
                    default:
                        break;
                }
            }
        } catch (Exception ex) {
            log.error("VisitOrderVO setScoreInfo error:", ex);
        }
    }


}
