package com.boco.nbd.wios.flow.enums;

/**
 * @author:cao hai
 * @date:2022/8/2 16:54
 * @version:V1.0
 * @description:FlowStateEnum
 * @modify:
 */
public enum FlowStateEnum {
    /**
     * 接单：对应流程图101至102节点（到103节点了就说明接单这步已经完成）
     * 勘察：对应流程图103至107节点，工单到108节点后就说明勘察步骤结束了
     * 安装：对应流程图108到112节点，工单到113节点后就说明安装步骤结束了
     * 竣工：对应从建单开始到安装审核结束（112节点）的全过程，到113节点了就说明已经竣工
     * 结算：对应流程图113到114节点，工单归档后就说明结算步骤结束了：
     */
    ACCEPT("首联", "101,102"), SURVEY("勘察", "103,104,105,106,107"),
    ELECTRIC_EXPAND("电力报装", "115"),
    INSTALL("安装", "108,109,110,111"), COMPLETED("审核", "112"),
    SETTLEMENT("结算", "113,114");

    FlowStateEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }


    /**
     * 枚举
     */
    private String key;

    public String getValue() {
        return value;
    }

    /**
     * 值
     */
    private String value;
}
