package com.boco.nbd.wios.flow.imports.impl;

import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.manage.entity.dto.MaterialsDTO;
import com.boco.nbd.wios.manage.service.impl.WarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 合同增项导入
 *
 * @author xgl
 * @version [版本号, 2020年10月24日]
 */
@Service
public class ContractItemExpandImport implements Import {

    @Autowired
    private WarehouseService warehouseService;

    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>)list.get(i);
            // 规格型号
            String model = childList.get(0);
            // 物料编码
            String code = childList.get(1);
            // 物料名称
            String name = childList.get(2);
            if (StringUtils.isEmpty(model) || StringUtils.isEmpty(code) || StringUtils.isEmpty(name)) {
                childList.add("error:参数不能未空");
                continue;
            }

            List<MaterialsDTO> itemList = warehouseService.qryMaterialsCount(name, code, model, 2);
            if (itemList.isEmpty()) {
                childList.add("error:增项不存在");
                continue;
            } else {
                childList.set(0, model + CamsConstant.UNDER_LINE + itemList.get(0).getId());
            }
        }
        return list;
    }

}
