package com.boco.nbd.wios.flow.imports.impl;


import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.flow.service.IOrderService;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.Arrays;
import java.util.List;

/**
 * @author yong
 */
@Service
public class ItemFeeInvoiceImport implements Import {
    @Autowired
    private IOrderService orderService;


    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            // 车企安装单号
            String outOrderId = childList.get(1);
            if (StringUtils.isEmpty(outOrderId)) {
                childList.add("error:缺少车企安装单号");
                continue;
            }

            OrderPO order = orderService.getOrderByOutOrderId(outOrderId);
            if (order == null) {
                childList.add("error:订单不存在");
                continue;
            } else {
                childList.set(1, outOrderId + CamsConstant.UNDER_LINE + order.getId());
            }
            //处于111/112/113/114或归档环节
            Integer[] nodes = {111, 112, 113, 114, 119};
            if (order.getNodeFlag() == null || !Arrays.asList(nodes).contains(order.getNodeFlag())) {
                FlowNodeEnum nodeEnum = FlowNodeEnum.getEnum(order.getNodeFlag());
                childList.add("error:增项费用未支付" + (nodeEnum == null ? "" : ",当前工单环节" + nodeEnum.getValue()));
                continue;
            }

            // 服务商收票状态
            childList.set(15, ProcessUtil.dayHandle(childList.get(15)));
            // 服务商付款状态
            childList.set(17, ProcessUtil.dayHandle(childList.get(17)));
        }
        return list;
    }

}
