package com.boco.nbd.wios.flow.imports.impl;

import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.flow.service.IOrderService;
import com.boco.nbd.wios.manage.entity.bo.Region;
import com.boco.nbd.wios.manage.mapper.def.RegionDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 主机厂合同区域价格导入
 *
 * @author xgl
 * @version [版本号, 2020年10月22日]
 */
@Service
public class OemContractPriceImport implements Import {

    @Autowired
    private RegionDao regionDao;

    @Autowired
    private IOrderService flowOrderService;

    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            // 区域名称
            String regionName = childList.get(0);
            if (StringUtils.isEmpty(regionName)) {
                childList.add("error:区域参数不能未空");
                continue;
            }
            Region region = regionDao.selectSingleByName(regionName);
            if (region == null) {
                childList.add("error:区域不存在");
                continue;
            } else {
                childList.set(0, regionName + CamsConstant.UNDER_LINE + region.getIdTree());
            }
            String packType = childList.get(1);
            if (StringUtils.isEmpty(packType)) {
                childList.add("error:套包类型参数不能未空");
                continue;
            }
            String packTypeId = flowOrderService.getPackTypeId(packType);
            if (packTypeId == null) {
                childList.add("error:墙盒类型不存在");
                continue;
            } else {
                childList.set(1, packType + CamsConstant.UNDER_LINE + packTypeId);
            }
        }
        return list;
    }

}
