package com.boco.nbd.wios.flow.imports.impl;

import com.boco.nbd.cams.core.constant.MessageConstant;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.manage.entity.bo.AccountCriteria;
import com.boco.nbd.wios.manage.entity.bo.Supplier;
import com.boco.nbd.wios.manage.mapper.def.AccountMapper;
import com.boco.nbd.wios.manage.mapper.def.SupplierDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * @author yong
 * 服务商收票
 */
@Service
public class SupplierImport implements Import {
    
    @Autowired
    private SupplierDao supplierDao;
    
    @Autowired
    private AccountMapper accountMapper;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>)list.get(i);
            // 编码
            String code = childList.get(0);
            // 服务商名称
            String supplierName = childList.get(1);
            // 管理账户
            String account = childList.get(7);
            // 类别
            String type = childList.get(8);
            if (StringUtils.isEmpty(code) || StringUtils.isEmpty(supplierName) || StringUtils.isEmpty(account)
                || StringUtils.isEmpty(type)) {
                childList.add("error:"+ MessageConstant.MISSING_PARAM);
                continue;
            }
            List<Supplier> supplierList = supplierDao.selectOnly(code, supplierName);
            if (!supplierList.isEmpty()) {
                childList.add("error:编码或服务商名称已存在");
                continue;
            }
            
            AccountCriteria accountCriteria = new AccountCriteria();
            accountCriteria.createCriteria().andAccountEqualTo(account);
            int count = accountMapper.countByExample(accountCriteria);
            if (count > 0) {
                childList.add("error:登录账户已存在");
                continue;
            }
            
            if (!"A".equals(type) && !"B".equals(type) && !"C".equals(type)) {
                childList.add("error:类型只能是ABC中的一个");
            }
        }
        return list;
    }
    
}
