package com.boco.nbd.wios.flow.imports.impl;


import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.entity.bo.Order;
import com.boco.nbd.wios.manage.entity.bo.Supplier;
import com.boco.nbd.wios.manage.mapper.def.OrderDao;
import com.boco.nbd.wios.manage.mapper.def.SupplierDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * @author yong
 */
@Service
public class SupplierInvoiceImport implements Import {
    @Autowired
    private OrderDao orderDao;

    @Autowired
    private SupplierDao supplierDao;


    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            // 车企安装单号
            String outOrderId = childList.get(1);
            if (StringUtils.isEmpty(outOrderId)) {
                childList.add("error:缺少车企安装单号");
                continue;
            }

            Order order = orderDao.selectByOutOrderId(outOrderId);
            if (order == null) {
                childList.add("error:订单不存在");
                continue;
            } else {
                childList.set(1, outOrderId + CamsConstant.UNDER_LINE + order.getId());
            }

            Supplier supplier = supplierDao.selectById(order.getInstallSupplierId());
            if ("A".equals(supplier.getLevel())) {
                childList.add("error:自建服务商团队不需要结算");
                continue;
            }

            // 服务商收票状态
            childList.set(15, ProcessUtil.dayHandle(childList.get(15)));
            // 服务商付款状态
            childList.set(17, ProcessUtil.dayHandle(childList.get(17)));
        }
        return list;
    }

}
