package com.boco.nbd.wios.flow.imports.impl;

import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.flow.imports.Import;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.contants.WiosConstant;
import com.boco.nbd.wios.manage.entity.bo.Order;
import com.boco.nbd.wios.manage.mapper.def.OrderDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * @author yong
 * 大众结算
 */
@Service
public class VwInvoiceImport implements Import {
    @Autowired
    private OrderDao orderDao;

    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            // 车企安装单号
            String outOrderId = childList.get(1);
            if (StringUtils.isEmpty(outOrderId)) {
                childList.add("error:缺少车企安装单号");
                continue;
            }

            Order order = orderDao.selectByOutOrderId(outOrderId);
            if (order == null) {
                childList.add("error:订单不存在");
                continue;
            } else {
                childList.set(1, outOrderId + CamsConstant.UNDER_LINE + order.getId());
            }
            // 套包内（设备）开票状态
            childList.set(10, ProcessUtil.dayHandle(childList.get(10)));
            // 套包内（设备）收款状态
            childList.set(12, ProcessUtil.dayHandle(childList.get(12)));
            // 车套包内（安装）开票状态
            childList.set(14, ProcessUtil.dayHandle(childList.get(14)));
            // 套包内（安装）收款状态
            childList.set(16, ProcessUtil.dayHandle(childList.get(16)));
        }
        return list;
    }

}
