package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.flow.entity.bo.OrderBO;
import com.boco.nbd.wios.flow.entity.po.*;
import com.boco.nbd.wios.flow.entity.qo.CamsOrderQo;
import com.boco.nbd.wios.manage.entity.bo.OrderBo;
import com.boco.nbd.wios.manage.entity.bo.OrderVo;
import com.ihidea.core.support.session.SessionInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/6/28 8:35
 * @version:V1.0
 * @description:FlowOrderMapper
 * @modify:
 */
public interface FlowOrderMapper extends BaseMapper3<OrderPO> {

    /**
     * 获取工单数据
     *
     * @param ids
     * @return
     */
    List<OrderBO> getOrderData(@Param("ids") List<String> ids);

    /**
     * 获取用户详情
     *
     * @param userIds
     * @return
     */
    List<SessionInfo> getUserMoreInfo(@Param("userIds") List<String> userIds);


    /**
     * 根据节点和时间获取订单集合
     *
     * @param nodeFlag
     * @param createTime
     * @return
     */
    List<OrderPO> getOrderByNodeFlagAndCreateTime(@Param("nodeFlag") Integer nodeFlag, @Param("createTime") String createTime);

    /**
     * 获取短信推送数据
     *
     * @param startTime
     * @param endTime
     * @return
     */
    List<SendMessagePO> getSendMessageData(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    /**
     * 获取pm用户
     *
     * @return
     */
    List<PmUserPO> getPmUser();

    /**
     * 获取可用安装服务商
     *
     * @return
     */
    List<UsableSupplierPO> getUsableSupplier();

    /**
     * 获取服务商接单信息
     *
     * @param supplierId
     * @param regionId
     * @return
     */
    List<SupplierReceivePO> getSupplierReceiveInfo(@Param("supplierId") Integer supplierId, @Param("regionId") String regionId);


    /**
     * 查询条件过滤数据
     *
     * @param qo
     * @return
     */
    List<OrderPO> selectOrderPO(CamsOrderQo qo);

    /**
     * 获取订单评分数据
     *
     * @param orderBo
     * @return
     */
    List<VisitOrderPO> getVisitOrderScore(OrderBo orderBo);

    //@Select("select o.* from t_order o inner join t_wallbox_apply w on o.id=w.order_id where o.id like concat('%', #{orderId}, '%') and w.check_status=2 and IFNULL(w.tracking_status,'0')='0'")
    List<OrderVo> getCanDeliveryOrder(@Param("orderId")String orderId,@Param("isproduct")boolean isproduct);

}
