package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.wios.flow.entity.bo.InstallationDataStatisticsBO;
import com.boco.nbd.wios.flow.entity.bo.InstallationDurationStatisticsBO;
import com.boco.nbd.wios.flow.entity.bo.ReportStatisticsBO;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/8/29
 **/
public interface ReportStatisticsMapper {


    /**
     * 全国流转和归档订单总量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getCountryOrderCount(ReportStatisticsBO bo);


    /**
     * 全国正常归档订单总量
     * @param bo
     * @return
     */
    List<InstallationDurationStatisticsBO> getCountryOrderCountNodeFlag199(ReportStatisticsBO bo);

    /**
     * 全国拒接数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getCountryRefuseTotal(ReportStatisticsBO bo);


    /**
     * 全国安装失败数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getCountryInstallationFailedTotal(ReportStatisticsBO bo);

    /**
     * 全国安装完成数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getCountryInstallationCompleteTotal(ReportStatisticsBO bo);

    /**区域订单总量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getAreaOrderCount(ReportStatisticsBO bo);


    /**
     * 区域正常归档订单总量
     * @param bo
     * @return
     */
    List<InstallationDurationStatisticsBO> getAreaOrderCountNodeFlag199(ReportStatisticsBO bo);

    /**
     * 区域拒接数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getAreaRefuseTotal(ReportStatisticsBO bo);


    /**
     * 区域安装失败数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getAreaInstallationFailedTotal(ReportStatisticsBO bo);


    /**
     * 区域安装完成数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getAreaInstallationCompleteTotal(ReportStatisticsBO bo);

    /**
     * 省份订单总量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getProvinceOrderCount(ReportStatisticsBO bo);


    /**
     * 省份正常归档订单总量
     * @param bo
     * @return
     */
    List<InstallationDurationStatisticsBO> getProvinceOrderCountNodeFlag199(ReportStatisticsBO bo);


    /**
     * 省份拒接数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getProvinceRefuseTotal(ReportStatisticsBO bo);

    /**
     * 省份安装失败数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getProvinceInstallationFailedTotal(ReportStatisticsBO bo);


    /**
     * 省份安装完成数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getProvinceInstallationCompleteTotal(ReportStatisticsBO bo);

    /**
     * 地市订单总量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getRegionOrderCount(ReportStatisticsBO bo);


    /**
     * 地市正常归档订单总量
     * @param bo
     * @return
     */
    List<InstallationDurationStatisticsBO> getRegionOrderCountNodeFlag199(ReportStatisticsBO bo);

    /**
     * 地市拒接数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getRegionRefuseTotal(ReportStatisticsBO bo);


    /**
     * 地市安装失败数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getRegionInstallationFailedTotal(ReportStatisticsBO bo);


    /**
     * 地市安装完成数量
     * @param bo
     * @return
     */
    List<InstallationDataStatisticsBO> getRegionInstallationCompleteTotal(ReportStatisticsBO bo);

    /**
     * 节点订单查询
     * @param regionLevel
     * @param region
     * @param installSupplierName
     * @param endTime
     * @param startTime
     * @param type
     * @return
     */
    List<String> getOrderByNodeFlag(@Param("regionLevel")String regionLevel,@Param("region") String region,@Param("installSupplierName") String installSupplierName,@Param("startTime")String startTime,@Param("endTime")String endTime,@Param("type")String type );

    /**
     * 安装完成安装数量（安装入场时间，安装离场时间均不为空的工单个数）
     * @param regionLevel
     * @param region
     * @param installSupplierName
     * @param startTime
     * @param endTime
     * @return
     */
    Integer getInstallationCompleteTotal(@Param("regionLevel")String regionLevel,@Param("region") String region,@Param("installSupplierName") String installSupplierName,@Param("startTime")String startTime,@Param("endTime")String endTime);


    /**
     * 查询归档工单
     * @param bo
     * @return
     */
    List<OrderPO> getOrderFiled(ReportStatisticsBO bo);




}
