package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.wios.flow.entity.bo.VisualManagementBO;
import com.boco.nbd.wios.flow.entity.bo.VisualManagementTowNumBO;
import com.boco.nbd.wios.flow.entity.qo.VisualManagementQo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: VisualManagementMapper
 * @Author: ZQY
 * @Date: 2022/10/26
 **/
public interface VisualManagementMapper {

    /**
     * 根据区域统计各个节点数量
     * @param qo
     * @return
     */
    List<VisualManagementBO>  getNodeFlagByArea(VisualManagementQo qo);


    /**
     * 根据服务商统计各个节点数量
     * @param qo
     * @return
     */
    List<VisualManagementBO> getNodeFlagByInstallSupplierl(VisualManagementQo qo);


    /**
     * 根据区域统计订单各个节点超时数量
     * @param qo
     * @return
     */
    List<VisualManagementBO> getOvertimeNodeFlagByAreaCount(VisualManagementQo qo);


    /**
     * 根据服务商统计订单各个节点超时数量
     * @param qo
     * @return
     */
    List<VisualManagementBO> getOvertimeNodeFlagByInstallSupplierl(VisualManagementQo qo);


    /**
     * 根据区域统计订单各个节点即将超时数量
     * @param qo
     * @return
     */
    List<VisualManagementBO> getAboutOvertimeNodeFlagByAreaCount(VisualManagementQo qo);

    /**
     * 根据服务商统计订单各个节点即将超时数量
     * @param qo
     * @return
     */
    List<VisualManagementBO> getAboutOvertimeNodeFlagByInstallSupplierl(VisualManagementQo qo);


    /**
     * 客户首联情况
     * @param qo
     * @return
     */
    List<VisualManagementTowNumBO>  getCustomerNode101ByArea(VisualManagementQo qo);

    /**
     * 服务商接单情况
     * @param qo
     * @return
     */
    List<VisualManagementTowNumBO> getOrderReceivingBySupplierl(VisualManagementQo qo);


    /**
     * 根据服务商ID查询区域接单情况
     * @param qo
     * @return
     */
    List<VisualManagementTowNumBO> getOrderReceivingByAreaAndSupplierlId(VisualManagementQo qo);


    /**
     * 服务商结算情况
     * @param qo
     * @return
     */
    List<VisualManagementTowNumBO> getOrderSettlementBySupplierl(VisualManagementQo qo);

    /**
     * 根据服务商ID查询区域结算情况
     * @param qo
     * @return
     */
    List<VisualManagementTowNumBO> getOrderSettlementByAreaAndSupplierlId(VisualManagementQo qo);


}
