package com.boco.nbd.wios.flow.process;

import com.boco.nbd.framework.workflow.entity.SubmitFlowRequest;
import com.boco.nbd.framework.workflow.entity.SubmitTypeEnum;
import com.boco.nbd.framework.workflow.flow.AbstractFlow;
import com.boco.nbd.wios.flow.entity.bo.LocalSubmitFlowBO;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import com.boco.nbd.wios.flow.service.IOrderService;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/30 17:05
 * @version:V1.0
 * @description:Process107
 * @modify:
 */
@Service("Process107")
public class Process107 extends AbstractFlow {

    @Autowired
    protected IOrderService orderService;

    /**
     * 预处理（业务数据调整）
     *
     * @param request
     */
    @Override
    protected void preProcess(SubmitFlowRequest request) {
        LocalSubmitFlowBO bo = (LocalSubmitFlowBO) request;
        if (SubmitTypeEnum.TaskFlow.equals(bo.getSubmitType())) {
            StringBuffer builder = new StringBuffer();
            boolean refuseFlag = ProcessUtil.compare(bo.getBusiness().getWhether(), 0);
            builder.append(FlowNodeEnum.NODE_107.getValue() + ":");
            builder.append(refuseFlag ? "不通过;" : "通过");
            if (refuseFlag) {
                Integer failNum = bo.getOldBusiness().getSurveyCheckFailNum();
                if (failNum == null) {
                    failNum = 0;
                }
                bo.getBusiness().setSurveyCheckFailNum(failNum + 1);
                builder.append(bo.getBusiness().getSurveyFinishFailReason());
                bo.setNextNodeEnum(FlowNodeEnum.NODE_106);
            } else {
                bo.getBusiness().setSurveyApproveTime(new Date());
                bo.setNextNodeEnum(FlowNodeEnum.NODE_108);
            }
            bo.setCommentMsg(builder.toString());
        }
    }

    /**
     * 验证参数
     *
     * @param request
     */
    @Override
    protected void verifyParam(SubmitFlowRequest request) {

    }

    /**
     * 后续处理
     *
     * @param request
     */
    @Override
    protected void postProcess(SubmitFlowRequest request) {

    }
}
