package com.boco.nbd.wios.flow.process;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.framework.workflow.entity.SubmitFlowRequest;
import com.boco.nbd.framework.workflow.entity.SubmitTypeEnum;
import com.boco.nbd.framework.workflow.flow.AbstractFlow;
import com.boco.nbd.wios.flow.entity.bo.LocalSubmitFlowBO;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import com.boco.nbd.wios.flow.service.IOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author:cao hai
 * @date:2022/6/30 17:06
 * @version:V1.0
 * @description:Process113
 * @modify:
 */
@Service("Process113")
public class Process113 extends AbstractFlow {

    @Autowired
    protected IOrderService orderService;

    /**
     * 预处理（业务数据调整）
     *
     * @param request
     */
    @Override
    protected void preProcess(SubmitFlowRequest request) {
        LocalSubmitFlowBO bo = (LocalSubmitFlowBO) request;
        if (SubmitTypeEnum.TaskFlow.equals(bo.getSubmitType())) {
            String installSupplierName = bo.getOldBusiness().getInstallSupplierName();
            String selfSupplier = "自建安装团队";
            if (StrUtil.isNotEmpty(installSupplierName) && installSupplierName.contains(selfSupplier)) {
                bo.setNextNodeEnum(FlowNodeEnum.NODE_END);
            } else {
                bo.setNextNodeEnum(FlowNodeEnum.NODE_114);
            }


            bo.setCommentMsg(FlowNodeEnum.NODE_113.getValue());
            if (StrUtil.isNotEmpty(bo.getBusiness().getMessage())) {
                bo.setCommentMsg(bo.getCommentMsg() + ";" + bo.getBusiness().getMessage());
            }
        }
    }

    /**
     * 验证参数
     *
     * @param request
     */
    @Override
    protected void verifyParam(SubmitFlowRequest request) {

    }

    /**
     * 后续处理
     *
     * @param request
     */
    @Override
    protected void postProcess(SubmitFlowRequest request) {
    }
}
