package com.boco.nbd.wios.flow.process;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.framework.workflow.entity.SubmitFlowRequest;
import com.boco.nbd.framework.workflow.entity.SubmitTypeEnum;
import com.boco.nbd.framework.workflow.flow.AbstractFlow;
import com.boco.nbd.wios.flow.entity.bo.LocalSubmitFlowBO;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import org.springframework.stereotype.Service;

/**
 * @author:cao hai
 * @date:2022/6/30 17:06
 * @version:V1.0
 * @description:Process114
 * @modify:
 */
@Service("Process114")
public class Process114 extends AbstractFlow {

    /**
     * 预处理（业务数据调整）
     *
     * @param request
     */
    @Override
    protected void preProcess(SubmitFlowRequest request) {
        LocalSubmitFlowBO bo = (LocalSubmitFlowBO) request;
        if (SubmitTypeEnum.TaskFlow.equals(bo.getSubmitType())) {
            bo.setCommentMsg(FlowNodeEnum.NODE_114.getValue());
            bo.setNextNodeEnum(FlowNodeEnum.NODE_END);
            if (StrUtil.isNotEmpty(bo.getBusiness().getMessage())) {
                bo.setCommentMsg(bo.getCommentMsg() + ";" + bo.getBusiness().getMessage());
            }
        }
    }

    /**
     * 验证参数
     *
     * @param request
     */
    @Override
    protected void verifyParam(SubmitFlowRequest request) {

    }

    /**
     * 后续处理
     *
     * @param request
     */
    @Override
    protected void postProcess(SubmitFlowRequest request) {

    }
}
