package com.boco.nbd.wios.flow.process;

import com.boco.nbd.framework.workflow.entity.SubmitFlowRequest;
import com.boco.nbd.framework.workflow.entity.SubmitTypeEnum;
import com.boco.nbd.framework.workflow.entity.exception.FlowException;
import com.boco.nbd.framework.workflow.flow.AbstractFlow;
import com.boco.nbd.wios.flow.entity.bo.LocalSubmitFlowBO;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/30 17:06
 * @version:V1.0
 * @description:Process115
 * @modify:
 */
@Service("Process115")
public class Process115 extends AbstractFlow {


    /**
     * 预处理（业务数据调整）
     *
     * @param request
     */
    @Override
    protected void preProcess(SubmitFlowRequest request) {
        LocalSubmitFlowBO bo = (LocalSubmitFlowBO) request;
        if (SubmitTypeEnum.Transfer.equals(bo.getSubmitType())) {
            bo.userNamesHandler();
            bo.setCommentMsg(bo.getCurrentNodeEnum().getValue() + "工单转派" + bo.getBusiness().getSurveyStaffName());
        } else if (SubmitTypeEnum.TaskFlow.equals(request.getSubmitType())) {
            //报装状态 1：通过 2：不通过
            boolean expandStatus = ProcessUtil.compare(bo.getBusiness().getExpandStatus(), 1);
            StringBuffer builder = new StringBuffer();
            builder.append(FlowNodeEnum.NODE_115.getValue() + ":");
            builder.append(expandStatus ? "通过" : "未通过;");
            if (expandStatus) {
                bo.getBusiness().setElectricExpandTime(new Date());
            } else {
                builder.append(bo.getBusiness().getExpandFailReason());
            }
            bo.setNextNodeEnum(FlowNodeEnum.NODE_104);
            bo.setCommentMsg(builder.toString());
            //下一节点流转至当前勘测电工
            if (bo.getOldBusiness().getSurveyStaffId() == null) {
                throw new FlowException(bo.getWorkId() + "下一节点操作用户缺失！");
            }
            bo.getUserNames().add(bo.getOldBusiness().getSurveyStaffId() + "");
        }
    }

    /**
     * 验证参数
     *
     * @param request
     */
    @Override
    protected void verifyParam(SubmitFlowRequest request) {

    }

    /**
     * 后续处理
     *
     * @param request
     */
    @Override
    protected void postProcess(SubmitFlowRequest request) {

    }
}
