package com.boco.nbd.wios.flow.service;

import com.boco.nbd.wios.flow.entity.vo.AppOrderDetailVO;
import com.boco.nbd.wios.flow.entity.vo.AppOrderInstallVO;
import com.boco.nbd.wios.flow.entity.vo.AppOrderVO;
import com.boco.nbd.wios.flow.entity.vo.AppPayBillVO;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfig;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/27 15:27
 * @version:V1.0
 * @description:IAppOrderService
 * @modify:
 */
public interface IAppOrderService {

    /**
     * 通过用户号码获取工单
     *
     * @param userPhone
     * @return
     */
    List<AppOrderVO> queryOrderList(String userPhone);

    /**
     * 获取订单详情
     * @param orderId
     * @return
     */
    AppOrderDetailVO getOrderDetail(String orderId);

    /**
     * 安装订单详情
     * @param orderId
     * @return
     */
    AppOrderInstallVO getInstallDetail(String orderId);

    /**
     * 查看报装说明
     * @param orderId
     * @return
     */
    MaterialConfig getExpandIntro(String orderId);

    /**
     * 查询账单
     * @param phone
     * @param orderId
     * @param status
     * @return
     */
    List<AppPayBillVO> qryBill(String phone, String orderId, Integer status);

    /**
     * 报装
     * @param orderId
     * @param expandStatus
     * @param expandFailReason
     * @param expandFailOperate
     */
    void expand(String orderId, Integer expandStatus, String expandFailReason, Integer expandFailOperate);
}
