package com.boco.nbd.wios.flow.service;

import com.boco.nbd.wios.flow.entity.qo.EvaluationStatisticsQo;

/**
 * @Description: 评价管理统计服务接口
 * @Author: ZQY
 * @Date: 2022/10/11
 **/
public interface IEvaluationStatisticsService {

    /**
     * 接单时效
     * @param qo
     * @return
     */
    float getOrderTakingTime(EvaluationStatisticsQo qo);


    /**
     * 返工单数
     * @param qo
     * @return
     */
    Integer  getReworkOrderCount(EvaluationStatisticsQo qo);


    /**
     * 勘测时效
     * @param qo
     * @return
     */
    float getOrderSurveyTime(EvaluationStatisticsQo qo);


    /**
     * 勘测资料上传时效
     * @param qo
     * @return
     */
    float getOrderSurveyDataUploadTime(EvaluationStatisticsQo qo);


    /**
     * 安装完成时效
     * @param qo
     * @return
     */
    float getOrderInstallationTime(EvaluationStatisticsQo qo);


    /**
     * 安装资料上传时效
     * @param qo
     * @return
     */
    float getOrderInstallationDataUploadTime(EvaluationStatisticsQo qo);


    /**
     *总体安装时效(无电力报装)
     * @param qo
     * @return
     */
    float getAllOrderInstallationNoElectricExpandTime(EvaluationStatisticsQo qo);

    /**
     *总体安装时效(电力报装)
     * @param qo
     * @return
     */
    float getAllOrderInstallationElectricExpandTime(EvaluationStatisticsQo qo);


    /**
     * 服务商累计安装完成率
     * @param qo
     * @return
     */
    float getInstallSupplierCompletionRate(EvaluationStatisticsQo qo);


    /**
     * 当月安装完成率
     * @param qo
     * @return
     */
    float getInstallCompletionRate(EvaluationStatisticsQo qo);


    /**
     * 统计未勘测、安装按约定时间到场数量
     * @param qo
     * @return
     */
    Integer getAppointmentTimeStatistics(EvaluationStatisticsQo qo);

}
