package com.boco.nbd.wios.flow.service;

import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.flow.entity.bo.OrderTempBO;
import com.boco.nbd.wios.flow.entity.po.OrderTempPO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author:cao ZQY
 * @date:20220/07/19
 * @version:V1.0
 * @description:IImportOrderService
 * @modify:
 */
public interface IImportOrderService extends IBaseDaoService3<OrderTempPO> {


    /**
     * 订单导入
     * @param file
     * @param type
     * @return
     */
    ResponseMessage2 importExcel(MultipartFile file,Integer type);


    /**
     * 查询列表
     * @param type
     * @return
     */
    List<OrderTempBO> getImportOrderAll(Integer type);

    /**
     * 删除导入订单
     * @param ids
     * @return
     */
     ResponseMessage2 deleteImportOrder(List<String> ids);


    /**
     * 生成订单
     * @param ids
     * @param stateAll
     */
     void addOrder(List<String> ids,String stateAll);

}
