package com.boco.nbd.wios.flow.service;

import com.boco.nbd.wios.flow.entity.bo.AppointmentUserBO;
import com.boco.nbd.wios.flow.entity.bo.BusinessRefusedBO;
import com.boco.nbd.wios.flow.entity.bo.TimeConfirmBO;
import com.boco.nbd.wios.flow.entity.bo.TimeNotifyBO;

/**
 * @ClassName INoticeService
 * @Description 阿里云短信通知业务
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/30 9:45
 * @Version V1.0
 */
public interface INoticeService {

    /**
     * 预约用户短信模板
     *
     * @param appointmentUser 预约用户信息
     * @param phone           接收人手机号码
     * @return 是否发送成功
     */
    boolean appointmentUser(AppointmentUserBO appointmentUser, String phone);

    /**
     * 服务商拒单通知模板
     *
     * @param businessRefused 服务商拒单信息
     * @param phone           接收人手机号码
     * @return 是否发送成功
     */
    boolean businessRefused(BusinessRefusedBO businessRefused, String phone);

    /**
     * 安装预约时间变更确认模板
     *
     * @param timeConfirm 安装预约时间变更确认信息
     * @param phone       接收人手机号码
     * @return 是否发送成功
     */
    boolean appointmentTimeConfirm(TimeConfirmBO timeConfirm, String phone);

    /**
     * 安装预约时间变更通知模板
     *
     * @param timeNotify 安装预约时间变更信息
     * @param phone      接收人手机号码
     * @return 是否发送成功
     */
    boolean appointmentTimeNotify(TimeNotifyBO timeNotify, String phone);

}
