package com.boco.nbd.wios.flow.service.impl;

import com.boco.nbd.framework.persistence.BaseDaoService3;
import com.boco.nbd.wios.flow.entity.po.GroupPO;
import com.boco.nbd.wios.flow.mapper.def.GroupMapper;
import com.boco.nbd.wios.flow.service.IGroupService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author:cao hai
 * @date:2022/6/23 10:42
 * @version:V1.0
 * @description:GroupServiceImpl
 * @modify:
 */
@Service
public class GroupServiceImpl extends BaseDaoService3<GroupPO, GroupMapper> implements IGroupService {
    /**
     * 删除用户组
     *
     * @param groupId
     * @return
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean deleteGroup(Long groupId) {
        this.mapper.deleteUserGroup(groupId);
        this.mapper.deleteNodeGroup(groupId);
        this.mapper.deleteByPrimaryKey(groupId);
        return true;
    }
}
