package com.boco.nbd.wios.flow.service.impl;

import com.boco.nbd.framework.persistence.BaseDaoService3;
import com.boco.nbd.wios.flow.entity.bo.OrderAbnormalBO;
import com.boco.nbd.wios.flow.entity.po.OrderAbnormalPO;
import com.boco.nbd.wios.flow.mapper.def.OrderAbnormalMapper;
import com.boco.nbd.wios.flow.service.IOrderAbnormalService;
import com.boco.nbd.wios.flow.service.IOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: OrderAbnormalServiceImpl
 * @Author: ZQY
 * @Date: 2022/7/12
 **/
@Service
public class OrderAbnormalServiceImpl extends BaseDaoService3<OrderAbnormalPO, OrderAbnormalMapper> implements IOrderAbnormalService {

    @Autowired
    private OrderAbnormalMapper orderAbnormalMapper;

    @Autowired
    private IOrderService orderService;

    @Override
    public List<OrderAbnormalBO> getOrderAbnormalAll() {

        Map<String, Map<Object, String>> maps = orderService.createEnumMap();
        List<OrderAbnormalBO> list=orderAbnormalMapper.getOrderAbnormalAll();

        Map<Object, String> statusMap = maps.get("status");
        Map<Object, String> overtimeTypeMap = maps.get("overtimeType");
        Map<Object, String> packTypeMap = maps.get("packType");
        Map<Object, String> wallboxModelMap = maps.get("wallboxModel");

        for(OrderAbnormalBO orderAbnormalBO:list){

            String status=null;
            String overtimeType=null;
            String packType=null;
            String wallboxModel=null;
            if(orderAbnormalBO.getStatus()!=null){
                status=statusMap.get(Integer.parseInt(orderAbnormalBO.getStatus()));
            }
            if(orderAbnormalBO.getOvertimeType()!=null){
                overtimeType=overtimeTypeMap.get(Integer.parseInt(orderAbnormalBO.getOvertimeType()));
            }
            if(orderAbnormalBO.getPackType()!=null){
                packType=packTypeMap.get(Integer.parseInt(orderAbnormalBO.getPackType()));
            }
            if(orderAbnormalBO.getWallboxModel()!=null){
                wallboxModel=wallboxModelMap.get(Integer.parseInt(orderAbnormalBO.getWallboxModel()));
            }



            orderAbnormalBO.setStatus(status);
            orderAbnormalBO.setOvertimeType(overtimeType);
            orderAbnormalBO.setPackType(packType);
            orderAbnormalBO.setWallboxModel(wallboxModel);
        }


        return orderAbnormalMapper.getOrderAbnormalAll();
    }
}
