package com.boco.nbd.wios.flow.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.boco.nbd.wios.flow.entity.bo.TaskInstBO;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.entity.vo.StatisticsProvinceVo;
import com.boco.nbd.wios.flow.enums.FlowNodeEnum;
import com.boco.nbd.wios.flow.mapper.def.FlowOrderMapper;
import com.boco.nbd.wios.flow.mapper.def.StatisticsMapper;
import com.boco.nbd.wios.flow.service.IStatisticsService;
import com.boco.nbd.wios.flow.util.CalculateHours;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.log.util.MapUtil;
import com.boco.nbd.wios.manage.entity.bo.Region;
import com.boco.nbd.wios.manage.mapper.def.RegionMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/8/16
 **/
@Service
@Slf4j
public class StatisticsServiceImpl implements IStatisticsService {

    @Resource
    private StatisticsMapper statisticsMapper;


    @Resource
    private FlowOrderMapper flowOrderMapper;

    @Resource
    private RegionMapper regionMapper;

    /**
     * 提供大屏页面订单总数6种数据接口
     * @param oemId
     * @param startTime
     * @param endTime
     * @return
     */
    @Override
    public Map<String, String> getOrderQuantity(String oemId, String startTime, String endTime) {
//        //归档订单总数
//        Integer filedOrderCount = statisticsMapper.selectFiledOrderCount("", null, "", oemId, "", startTime, endTime);
//        //流程订单总数
//        Integer flowOrderCount = statisticsMapper.selectFlowOrderCount("", null, "", oemId, "", startTime, endTime);
//        //派单订单总数=归档订单总数+流程订单总数
//        Integer orderCount = filedOrderCount + flowOrderCount;
//
//
//        //安装订单总数：统计数据库中所有归档和流转中且所在节点为113和114的订单个数
//        List<String> nodeFlgList = new ArrayList<>();
//        nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
//        nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");
//        //安装归档订单总数
//        Integer installFiledOrderCount = statisticsMapper.selectFiledOrderCount("", null, "", oemId, "", startTime, endTime);
//        //安装流程订单总数
//        Integer installFlowOrderCount = statisticsMapper.selectFlowOrderCount("", nodeFlgList, "", oemId, "", startTime, endTime);
//        //安装订单总数=安装归档订单总数+安装流程订单总数
//        Integer installOrderCount = installFiledOrderCount + installFlowOrderCount;


//        SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM-dd");
//        //当天新增归档订单总数
//        Integer dayFiledOrderCount = statisticsMapper.selectFiledOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, "", "", "");
//        //当天新增流程订单总数
//        Integer dayFlowOrderCount = statisticsMapper.selectFlowOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, "", "", "");
//        //当天新增派单订单总数=归档订单总数+流程订单总数
//        Integer dayOrderCount = dayFiledOrderCount + dayFlowOrderCount;
//
//
//        //当天完成归档订单总数
//        Integer dayFinishFiledOrderCount = statisticsMapper.selectFiledOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
//        //当天完成流程订单总数
//        Integer dayFinishFlowOrderCount = statisticsMapper.selectFlowOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
//        //当天完成派单订单总数=归档订单总数+流程订单总数
//        Integer dayFinishOrderCount = dayFinishFiledOrderCount + dayFinishFlowOrderCount;
//
//
//        SimpleDateFormat sdfMonth = new SimpleDateFormat("yyyy-MM");
//        //当月新增归档订单总数
//        Integer monthFiledOrderCount = statisticsMapper.selectFiledOrderCount(sdfMonth.format(System.currentTimeMillis()), null, "month", oemId, "", "", "");
//        //当月新增流程订单总数
//        Integer monthFlowOrderCount = statisticsMapper.selectFlowOrderCount(sdfMonth.format(System.currentTimeMillis()), null, "month", oemId, "", "", "");
//        //当月新增派单订单总数=归档订单总数+流程订单总数
//        Integer monthOrderCount = monthFiledOrderCount + monthFlowOrderCount;
//
//
//        //当月完成归档订单总数
//        Integer monthFinishFiledOrderCount = statisticsMapper.selectFiledOrderCount(sdfMonth.format(System.currentTimeMillis()), null, "month", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
//        //当月完成流程订单总数
//        Integer monthFinishFlowOrderCount = statisticsMapper.selectFlowOrderCount(sdfMonth.format(System.currentTimeMillis()), null, "month", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
//        //当月完成派单订单总数=归档订单总数+流程订单总数
//        Integer monthFinishOrderCount = monthFinishFiledOrderCount + monthFinishFlowOrderCount;

//        Map<String, String> allOrderCountMap = new HashMap<>(6);
//        allOrderCountMap.put("orderCount", orderCount + "");
//        allOrderCountMap.put("installOrderCount", installOrderCount + "");
//        allOrderCountMap.put("dayOrderCount", dayOrderCount + "");
//        allOrderCountMap.put("dayFinishOrderCount", dayFinishOrderCount + "");
//        allOrderCountMap.put("monthOrderCount", monthOrderCount + "");
//        allOrderCountMap.put("monthFinishOrderCount", monthFinishOrderCount + "");



        //派发订单总数
        Integer orderCount = statisticsMapper.getOrderCount(oemId,startTime,endTime);
        //完成订单总数
        List<String> nodeFlgList = new ArrayList<>();
        nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
        nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");
        nodeFlgList.add(FlowNodeEnum.NODE_END.getKey() + "");
        Integer installOrderCount = statisticsMapper.getFlowOrderCount(oemId,startTime,endTime,nodeFlgList);

        Map<String, String> allOrderCountMap = new HashMap<>(6);
        allOrderCountMap.put("orderCount",orderCount+"");
        allOrderCountMap.put("installOrderCount",installOrderCount+"");
        allOrderCountMap.put("installPercentage",orderCount == 0 ? "0":Math.round((float)installOrderCount/orderCount * 100)+"");



        return allOrderCountMap;
    }

    /**
     * 提供大屏页面省份订单总数接口
     * @param orderQuantityType
     * @param oemId
     * @param startTime
     * @param endTime
     * @return
     */
    @Override
    public List<StatisticsProvinceVo> getProvinceOrderQuantity(String orderQuantityType, String oemId, String startTime, String endTime) {

        List<StatisticsProvinceVo> list = null;
        //查询省份派发订单总量
        if ("1".equals(orderQuantityType)) {
            list = statisticsMapper.selectProvinceOrderCount("", null, "", oemId, "", startTime, endTime);
        } else if ("2".equals(orderQuantityType)) {
            //查询省份安装订单总数
            List<String> nodeFlgList = new ArrayList<>();
            nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
            nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");
            list = statisticsMapper.selectProvinceOrderCount("", nodeFlgList, "", oemId, "", startTime, endTime);
        } else if ("3".equals(orderQuantityType)) {
            //查询省份新增当天订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM-dd");
            list = statisticsMapper.selectProvinceOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, "", "", "");
        } else if ("4".equals(orderQuantityType)) {
            //查询省份完成当天订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM-dd");
            list = statisticsMapper.selectProvinceOrderCount(sdfDay.format(System.currentTimeMillis()), null, "day", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
        } else if ("5".equals(orderQuantityType)) {
            //查询省份新增当月订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM");
            list = statisticsMapper.selectProvinceOrderCount(sdfDay.format(System.currentTimeMillis()), null, "month", oemId, "", "", "");
        } else if ("6".equals(orderQuantityType)) {
            //查询省份完成当月订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM");
            list = statisticsMapper.selectProvinceOrderCount(sdfDay.format(System.currentTimeMillis()), null, "month", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
        }

        return list;
    }

    /**
     * 提供大屏页面省份钻取地市订单总数接口
     * @param orderQuantityType
     * @param provinceId
     * @param oemId
     * @param startTime
     * @param endTime
     * @return
     */
    @Override
    public Map<String, String> getAreaOrderQuantity(String orderQuantityType, String provinceId, String oemId, String startTime, String endTime) {
        Map<String, String> OrderCountMap = new HashMap<>(8);
        List<Map<String, String>> list = null;
        //查询区域派发订单总量
        if ("1".equals(orderQuantityType)) {
            list = statisticsMapper.selectAreaOrderCount(provinceId, "", null, "", oemId, "", startTime, endTime);
        } else if ("2".equals(orderQuantityType)) {
            //查询区域安装订单总数
            List<String> nodeFlgList = new ArrayList<>();
            nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
            nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");
            list = statisticsMapper.selectAreaOrderCount(provinceId, "", nodeFlgList, "", oemId, "", startTime, endTime);
        } else if ("3".equals(orderQuantityType)) {
            //查询区域新增当天订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM-dd");
            list = statisticsMapper.selectAreaOrderCount(provinceId, sdfDay.format(System.currentTimeMillis()), null, "day", oemId, "", "", "");
        } else if ("4".equals(orderQuantityType)) {
            //查询区域完成当天订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM-dd");
            list = statisticsMapper.selectAreaOrderCount(provinceId, sdfDay.format(System.currentTimeMillis()), null, "day", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
        } else if ("5".equals(orderQuantityType)) {
            //查询区域新增当月订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM");
            list = statisticsMapper.selectAreaOrderCount(provinceId, sdfDay.format(System.currentTimeMillis()), null, "month", oemId, "", "", "");
        } else if ("6".equals(orderQuantityType)) {
            //查询区域完成当月订单总数
            SimpleDateFormat sdfDay = new SimpleDateFormat("yyyy-MM");
            list = statisticsMapper.selectAreaOrderCount(provinceId, sdfDay.format(System.currentTimeMillis()), null, "month", oemId, FlowNodeEnum.getFlowNodeStr(FlowNodeEnum.NODE_110), "", "");
        }

        if (!list.isEmpty()) {
            for (Map<String, String> kv : list) {
                String key = null;
                String value = null;

                for (Map.Entry<String, String> entry : kv.entrySet()) {
                    if (entry.getKey().equals("regionName")) {
                        key = entry.getValue();
                    } else {
                        value = String.valueOf(entry.getValue());
                    }
                }
                OrderCountMap.put(key, value);
            }
        }

        return OrderCountMap;
    }

    /**
     * 获取每个月新增的订单总数接口
     * @param oemId
     * @return
     */
    @Override
    public List<Map<String, String>> getMonthOrderQuantity(String oemId) {
        //当前年份
        //时间处理获取前一个月和年份1月的字符串
        DateTime endDate = DateUtil.parse(DateUtil.formatDate(DateUtil.lastMonth()), "yyyy-MM");

        String startTime = DateUtil.format(endDate, "yyyy") + "-01";
        String endTime = DateUtil.format(endDate, "yyyy-MM");

        DateTime startDate = DateUtil.parse(startTime, "yyyy-MM");

        //获取时间之间的所有月份
        List<Date> lDate = ProcessUtil.findDates(startDate, endDate, Calendar.MONTH);

        //获取月度订单总数
        List<Map<String, String>> list = statisticsMapper.selectMonthOrderQuantity(startTime, endTime, null, oemId);

        log.info("获取月度订单统计开始时间：{}，结束时间：{}", startTime, endTime);
        Map<String, String> monthOrderQuantityMap = getMonthOrderQuantityMap(lDate, list);

        //前一年份
        DateTime beforeEndDate = DateUtil.offsetMonth(endDate, -12);
        DateTime beforeStartDate = DateUtil.offsetMonth(startDate, -12);
        //获取时间之间的所有月份
        List<Date> beforeLDate = ProcessUtil.findDates(beforeStartDate, beforeEndDate, Calendar.MONTH);

        //获取月度新增订单总数
        log.info("获取月度订单统计开始时间：{}，结束时间：{}", DateUtil.format(beforeStartDate, "yyyy-MM"), DateUtil.format(beforeEndDate, "yyyy-MM"));
        List<Map<String, String>> beforeList = statisticsMapper.selectMonthOrderQuantity(DateUtil.format(beforeStartDate, "yyyy-MM"), DateUtil.format(beforeEndDate, "yyyy-MM"), null, oemId);
        Map<String, String> beforeMonthOrderQuantityMap = getMonthOrderQuantityMap(beforeLDate, beforeList);


        List<Map<String, String>> monthOrderQuantityList = new ArrayList<>();
        monthOrderQuantityList.add(MapUtil.sortByKeyAsc(monthOrderQuantityMap));
        monthOrderQuantityList.add(MapUtil.sortByKeyAsc(beforeMonthOrderQuantityMap));

        return monthOrderQuantityList;


    }

    /**
     * 获取每个月完成的订单总数接口
     * @param oemId
     * @return
     */
    @Override
    public Map<String, String> getFinishMonthOrderQuantity(String oemId) {
        //时间处理获取前一个月和年份1月的字符串
        DateTime endDate = DateUtil.parse(DateUtil.formatDate(DateUtil.lastMonth()), "yyyy-MM");

        String startTime = DateUtil.format(endDate, "yyyy") + "-01";
        String endTime = DateUtil.format(endDate, "yyyy-MM");

        DateTime startDate = DateUtil.parse(startTime, "yyyy-MM");

        //获取时间之间的所有月份
        List<Date> lDate = ProcessUtil.findDates(startDate, endDate, Calendar.MONTH);

        List<String> nodeFlgList = new ArrayList<>();
        nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
        nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");

        //获取月度完成订单总数
        List<Map<String, String>> list = statisticsMapper.selectMonthOrderQuantity(startTime, endTime, nodeFlgList, oemId);

        log.info("获取月度订单统计开始时间：{}，结束时间：{}", startTime, endTime);
        Map<String, String> monthOrderQuantityMap = getMonthOrderQuantityMap(lDate, list);
        return MapUtil.sortByKeyAsc(monthOrderQuantityMap);
    }


    /**
     * 获取时效统计
     * @param nodeName1 开始节点名称
     * @param nodeName2 结束节点名称
     * @param nodeFlag 获取大于节点数据
     * @param workdayArr
     * @param naturalArr
     * @return
     */
    @Override
    public float getNodeFlagTime(String nodeName1, String nodeName2, Integer nodeFlag, String[] workdayArr, String[] naturalArr) {
        float time = 0;

        List<OrderPO> orderPOList = flowOrderMapper.getOrderByNodeFlagAndCreateTime(nodeFlag, DateUtil.today().substring(0, 7));

        for (OrderPO orderPO : orderPOList) {
            List<TaskInstBO> taskInstBOList1 = statisticsMapper.getTaskInstByInstIdAndName(orderPO.getProcessInsId(), nodeName1);
            List<TaskInstBO> taskInstBOList2 = statisticsMapper.getTaskInstByInstIdAndName(orderPO.getProcessInsId(), nodeName2);
            if (taskInstBOList1.size() > 0 && taskInstBOList2.size() > 0) {
                time += CalculateHours.calculateHour(DateUtil.formatDateTime(taskInstBOList1.get(0).getStartTime()), DateUtil.formatDateTime(taskInstBOList2.get(0).getStartTime()), workdayArr, naturalArr);
            }

        }
        return (float) (Math.round((time / orderPOList.size()) * 100)) / 100;

    }

    @Override
    public Map<String, Integer> getScoreSupplierBySupplier() {
        Date date = DateUtil.lastMonth();
        return MapUtil.getMap(statisticsMapper.getScoreSupplierBySupplier( DateUtil.format(date, "yyyy年MM月")));
    }

    @Override
    public Map<String, Integer> getScoreSupplierByRegion() {
        Date date = DateUtil.lastMonth();
        return MapUtil.getMap(statisticsMapper.getScoreSupplierByRegion( DateUtil.format(date, "yyyy年MM月")));
    }

    @Override
    public Map<String, Integer> getOrderQuantityGroupArea(String oemId, String startTime, String endTime) {

        Map<String, Integer> allOrder=MapUtil.getMap(statisticsMapper.getOrderCountGroupArea(oemId,startTime,endTime));

        List<String> nodeFlgList = new ArrayList<>();
        nodeFlgList.add(FlowNodeEnum.NODE_113.getKey() + "");
        nodeFlgList.add(FlowNodeEnum.NODE_114.getKey() + "");
        nodeFlgList.add(FlowNodeEnum.NODE_END.getKey() + "");
        Map<String, Integer> completeOrder=MapUtil.getMap(statisticsMapper.getFlowOrderCountGroupArea(oemId,startTime,endTime,nodeFlgList));

        Map<String,Integer> resultMap = new HashMap(7);

        List<Region> regionList = regionMapper.selectByParentId(1);


        for(Region region : regionList){

            if(allOrder.containsKey(region.getName())&&completeOrder.containsKey(region.getName())){

                resultMap.put(region.getName(),Math.round((float)(completeOrder.get(region.getName())) / (allOrder.get(region.getName())) * 100));

            }else{
                resultMap.put(region.getName(),0);
            }
        }




        return resultMap;
    }

    @Override
    public float getSatisfaction(String time) {
        Integer allCount = statisticsMapper.getInstallationAuditPassedOrderCount(time);
        Integer count = statisticsMapper.getDissatisfiedOrderCount(time);

        return allCount == 0 ? 0 : Math.round((float)(count) / (allCount) * 100);
    }


    private Map<String, String> getMonthOrderQuantityMap(List<Date> lDate, List<Map<String, String>> list) {
        Map<String, String> monthOrderQuantityMap = new HashMap<>(8);
        for (Map<String, String> kv : list) {
            String key = null;
            String value = null;
            for (Map.Entry<String, String> entry : kv.entrySet()) {
                if (entry.getKey().equals("time")) {
                    key = entry.getValue();
                } else {
                    value = String.valueOf(entry.getValue());
                }
            }
            monthOrderQuantityMap.put(key, value);
        }

        for (Date date : lDate) {
            // 当前日期不存在则新增
            String dateStr = DateUtil.format(date, "yyyy-MM");
            if (!monthOrderQuantityMap.containsKey(dateStr)) {
                monthOrderQuantityMap.put(dateStr, "0");
            }

        }
        return monthOrderQuantityMap;
    }

}
