package com.boco.nbd.wios.flow.sms.aliyun;

import lombok.Getter;
import lombok.Setter;
import org.springframework.lang.Nullable;

import java.util.Map;

/**
 * @ClassName AbstractHandlerProperties
 * @Description 抽象处理实现配置
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/28 9:58
 * @Version V1.0
 */
public abstract class AbstractHandlerProperties<T> {

    /**
     * 短信模板.
     */
    @Setter
    @Getter
    private Map<String, T> templates;

    /**
     * 获取短信模板.
     *
     * @param type 类型
     * @return 短信模板
     */
    @Nullable
    public final T getTemplates(String type) {
        return getTemplates() == null ? null : getTemplates().get(type);
    }

}
