package com.boco.nbd.wios.flow.sms.aliyun;

import org.springframework.lang.Nullable;

/**
 * @ClassName AbstractSendHandler
 * @Description 抽象发送处理
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/28 10:04
 * @Version V1.0
 */
public abstract class AbstractSendHandler<P extends AbstractHandlerProperties<?>> implements SendHandler {

    /**
     * 配置.
     */
    protected final P properties;


    protected AbstractSendHandler(P properties) {
        this.properties = properties;
    }

    @Override
    public boolean acceptSend(@Nullable String type) {
        return properties.getTemplates().containsKey(type);
    }

}
