package com.boco.nbd.wios.flow.sms.aliyun.exception;

import java.util.Locale;

/**
 * @ClassName NotFindSendHandlerException
 * @Description 未找到有效的短信发送处理
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/28 11:36
 * @Version V1.0
 */
public class NotFindSendHandlerException extends RuntimeException{

    private static final long serialVersionUID = 1L;

    private static final String DEFAULT_MSG;

    static {
        Locale locale = Locale.getDefault();

        if (Locale.CHINA.equals(locale)) {
            DEFAULT_MSG = "未找到有效的短信发送处理程序";
        }
        else {
            DEFAULT_MSG = "Not found effective sms send handler.";
        }
    }

    /**
     * 未找到有效的短信发送处理.
     */
    public NotFindSendHandlerException() {
        super(DEFAULT_MSG);
    }
}
