package com.boco.nbd.wios.flow.sms.aliyun.properties;

import com.boco.nbd.wios.flow.sms.aliyun.AbstractHandlerProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @ClassName AliyunProperties
 * @Description 阿里云短信配置
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/28 10:12
 * @Version V1.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ConfigurationProperties(prefix = "sms.aliyun")
public class AliyunProperties extends AbstractHandlerProperties<String> {
    /**
     * Endpoint.
     */
    private String endpoint = "cn-hangzhou";

    /**
     * accessKeyId.
     */
    private String accessKeyId;

    /**
     * accessKeySecret.
     */
    private String accessKeySecret;

    /**
     * 短信签名.
     */
    private String signName;
}
