package com.boco.nbd.wios.log.controller;

import com.boco.nbd.framework.common.PageData;
import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.wios.log.entity.po.InterfaceMonitorPO;
import com.boco.nbd.wios.log.entity.qo.InterfaceMonitorQO;
import com.boco.nbd.wios.log.service.InterfaceMonitorService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * InterfaceMonitorController
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/10/24
 **/
@RestController
@RequestMapping(value = "/interfaceMonitor")
@Api(tags = "接口监控类")
public class InterfaceMonitorController {

    @Autowired
    private InterfaceMonitorService interfaceMonitorService;



    @ApiOperation(value = "新增接口监控详情")
    @PostMapping(value = "/add")
    public ResponseMessage2<Boolean> addInterfaceMonitor(@RequestBody InterfaceMonitorPO po){

        return ResponseMessage2.Success2(interfaceMonitorService.add(po)>0);
    }



    @ApiOperation(value = "查询接口监控详情")
    @GetMapping(value = "/getInterfaceMonitorList")
    public ResponseMessage2<PageData<InterfaceMonitorPO>> getInterfaceMonitorList(InterfaceMonitorQO qo,Integer pageIndex,Integer pageSize){

        Page<InterfaceMonitorPO> result= PageHelper.startPage(pageIndex, pageSize);
        interfaceMonitorService.getInterfaceMonitorList(qo);

        return ResponseMessage2.Success2(PageData.create2(result.getTotal(), result.getResult()));
    }


    @ApiOperation(value = "查询接口监控详情数量")
    @GetMapping(value = "/getInterfaceMonitorCount")
    public ResponseMessage2 getInterfaceMonitorCount(InterfaceMonitorQO qo){


        return ResponseMessage2.Success2(interfaceMonitorService.getInterfaceMonitorCount(qo));
    }


    @ApiOperation(value = "查询接口监控返回参数统计")
    @GetMapping(value = "/getInterfaceMonitorCountMap")
    public ResponseMessage2 getInterfaceMonitorCountMap(InterfaceMonitorQO qo){


        return ResponseMessage2.Success2(interfaceMonitorService.getInterfaceMonitorCountMap(qo));
    }

    @ApiOperation(value = "月度接口调用统计")
    @GetMapping(value = "/getInterfaceMonitorMothCountMap")
    public ResponseMessage2 getInterfaceMonitorMothCountMap(String time,String interfaceName){

        return ResponseMessage2.Success2(interfaceMonitorService.getInterfaceMonitorMothCountMap(time,interfaceName));
    }
}
