package com.boco.nbd.wios.log.mapper.def;


import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.log.entity.po.InterfaceMonitorPO;
import com.boco.nbd.wios.log.entity.qo.InterfaceMonitorQO;
import org.apache.ibatis.annotations.MapKey;

import java.util.List;
import java.util.Map;

/**
 * InterfaceMonitorMapper
 * @Author: ZQY
 * @Date: 2022/10/24
 */
public interface InterfaceMonitorMapper extends BaseMapper3<InterfaceMonitorPO> {


    /**
     * 查询接口监控详情
     * @param qo
     * @return
     */
    List<InterfaceMonitorPO> getInterfaceMonitorList(InterfaceMonitorQO qo);


    /**
     * 查询接口监控详情数量
     * @param qo
     * @return
     */
    Integer getInterfaceMonitorCount(InterfaceMonitorQO qo);


    /**
     * 查询接口监控返回参数统计
     * @param qo
     * @return
     */
    @MapKey("key")
    List<Map<String, Object>>  getInterfaceMonitorCountMap(InterfaceMonitorQO qo);


    /**
     * 月度接口调用统计
     * @param qo
     * @return
     */
    List<Map<String, Object>>  getInterfaceMonitorMothCountMap(InterfaceMonitorQO qo);

}
