package com.boco.nbd.wios.log.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper;

import com.boco.nbd.wios.log.entity.po.*;
import com.boco.nbd.wios.log.entity.qo.SysLogQO;
import org.apache.ibatis.annotations.Param;
import org.springframework.dao.DataAccessException;

import java.util.List;


/**
 * SysLogMapper
 * @Author: ZQY
 * @Date: 2022/10/17
 **/
public interface SysLogMapper extends BaseMapper<SysLogPO, SysLogQO, String> {

    /** ###################登录日志分割线######################### */
    /**
     * getUsersLoginStat
     *
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<UserLogCountInfoPO> getUsersLoginStat(@Param("start") String start, @Param("end") String end) throws DataAccessException;


    /**
     * getUsersLoginDetails
     *
     * @param userId
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<SysLogInfoPO> getUsersLoginDetails(@Param("start") String start, @Param("end") String end,
                                             @Param("userId") String userId) throws DataAccessException;



    /**
     * getRolesLoginStat
     *
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<RoleLogCountInfoPO> getRolesLoginStat(@Param("start") String start, @Param("end") String end) throws DataAccessException;


    /**
     * getRolesLoginDetails
     *
     * @param roleName
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<SysLogInfoPO> getRolesLoginDetails(@Param("start") String start, @Param("end") String end,
                                                   @Param("roleName") String roleName) throws DataAccessException;



    /** ###################访问日志统计分割线######################### */
    /**
     * countByUserDate
     *
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<UserLogCountInfoPO> countByUserDate(@Param("start") String start, @Param("end") String end) throws DataAccessException;



    /**
     * selectLogInfoByUserIdDate
     *
     * @param userId
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<SysLogInfoPO> selectLogInfoByUserIdDate(@Param("start") String start, @Param("end") String end,
                                                        @Param("userId") String userId) throws DataAccessException;


    /**
     * countByRoleDate
     *
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<RoleLogCountInfoPO> countByRoleDate(@Param("start") String start, @Param("end") String end) throws DataAccessException;

    /**
     * selectByRoleDate
     *
     * @param roleName
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<SysLogInfoPO> selectByRoleDate(@Param("start") String start, @Param("end") String end,
                                               @Param("roleName") String roleName) throws DataAccessException;


    /** ###################模块访问日志统计分割线######################### */
    /**
     * countByModuleDate
     *
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<ModuleLogCountInfoPO> countByModuleDate(@Param("start") String start, @Param("end") String end) throws DataAccessException;


    /**
     * selectLogInfoByModuleIdDate
     *
     * @param moduleId
     * @param start
     * @param end
     * @throws DataAccessException
     * @return
     */
     List<SysLogInfoPO> selectLogInfoByModuleIdDate(@Param("start") String start, @Param("end") String end,
                                                          @Param("moduleId") String moduleId) throws DataAccessException;
}