package com.boco.nbd.wios.log.service;


import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.log.entity.po.InterfaceMonitorPO;
import com.boco.nbd.wios.log.entity.qo.InterfaceMonitorQO;

import java.util.List;
import java.util.Map;

/**
 * InterfaceMonitorService
 * @Author: ZQY
 * @Date: 2022/10/24
 */
public interface InterfaceMonitorService extends IBaseDaoService3<InterfaceMonitorPO> {

    /**
     * 新增接口监控详情
     * @param po
     * @return
     */
    Integer add(InterfaceMonitorPO po);

    /**
     * 查询接口监控详情
     * @param qo
     * @return
     */
    List<InterfaceMonitorPO> getInterfaceMonitorList(InterfaceMonitorQO qo);



    /**
     * 查询接口监控详情数量
     * @param qo
     * @return
     */
    Map<String, Integer> getInterfaceMonitorCount(InterfaceMonitorQO qo);



    /**
     * 查询接口监控返回参数统计
     * @param qo
     * @return
     */
    Map<String,Integer> getInterfaceMonitorCountMap(InterfaceMonitorQO qo);


    /**
     * 月度接口调用统计
     * @param time
     * @param interfaceName
     * @return
     */
    List<Map<String,Integer>> getInterfaceMonitorMothCountMap(String time,String interfaceName);
}
