package com.boco.nbd.wios.manage.contants;

import com.boco.nbd.wios.manage.util.PropertiesUtil;

import java.text.SimpleDateFormat;

/**
 * @author yong
 * WIOS 项目常量
 */
public class WiosConstant {

    /**
     * 构造函数
     */
    private WiosConstant() {
        throw new IllegalStateException("Add a private constructor to hide the implicit public one.");
    }

    /**
     * 默认密码
     */
    public static final String ACCOUNT_INIT_PASSWORD = "123456";

    /**
     * 超级管理员
     */
    public static final String SUPER_USER_ID = "1";

    /**
     * 用户名长度上限
     */
    public static final Integer MAX_USER_NAME_LENGTH = 14;

    /**
     * 用户名长度上限
     */
    public static final Integer MAX_ROLE_NAME_LENGTH = 32;

    /**
     * 仓库名长度上限
     */
    public static final Integer MAX_WAREHOUSE_NAME_LENGTH = 32;

    public static final Integer MAX_NOTICE_TITLE_LENGTH = 200;
    public static final Integer MAX_NOTICE_CONTENT_LENGTH = 10000;
    public static final String AUTHORIZATION_FLAG = "Basic ";


    /**
     * 附件地址前缀
     */
    public static final String FILE_UPLOAD_URL_PREFIX = "http";

    /**
     * 个人购买客户Code
     */
    public static final String PERSONAL_OEM_CODE = "10037";

    /**
     * 默认地址
     */
    public static final String FILE_UPLOAD_DEFAULT_URL = PropertiesUtil.getType("url.FILE_UPLOAD_DEFAULT_URL");

    /**
     * @Description 删除标志 0：正常，1：删除
     */
    public static final Integer IS_DEL_YES = 1;

    /**
     * 经销商oem Type
     */
    public static final String OEM_AGENT_TYPE = "2";

    /**
     * OSS方式保存文件 name表示
     */
    public static final String OSS_DATA_STORE_NAME = "ds_upload";

    /**
     * 套包类型=>墙盒品牌=>墙盒型号 id长度特征
     */
    public static final Integer PACK_TYPE_FLAG = 7;
    public static final Integer WALL_BOX_MODEL_FLAG = 9;
    public static final Integer ITEM_MODEL_FLAG = 11;

    /**
     * 物料类型 1-物料 2-增项 3-充电桩 4-高附加值材料
     */
    public static final Integer FEE_TYPE = 2;
    public static final Integer CHARGING_TYPE = 3;
    public static final Integer HIGH_ADD_TYPE = 4;

    /**
     * 安装明细类型 1：勘察 2：安装 3：安装变更
     */

    public static final Integer SURVEY_TYPE = 1;
    public static final Integer INSTALL_TYPE = 2;


    /**
     * 区域字段
     */
    public static final String AREA_FIELD = "area";
    public static final String REGION_ID = "regionId";

    public static final String CHINESE_MONTH_DATE_PATTERN = "yyyy年MM月";
    /**
     * 标识字段
     */
    public static final String EMPTY_ID = "id不能为空";

    public static final String EMPTY_ORDER_ID = "订单号不能为空";
    public static final String EMPTY_ORDER_TYPE = "订单类型不能为空";
    public static final String EMPTY_ORDER = "订单不存在";


    public static final String EMPTY_ACCOUNT_USER = "登录账户不能为空";
    public static final String EMPTY_PASSWORD = "密码不能为空";
    public static final Integer ACCOUNT_USER_LENGTH = 14;
    public static final String EMPTY_ACCOUNT = "登录账户不存在";
    public static final String BAD_PASSWORD = "密码错误";
    public static final String FORBID_ACCOUNT = "账户已被禁用";

    public static final String UN_KNOWN = "unknown";
    public static final String OK = "OK";
    public static final int SUCCESS_CODE = 200;

    public static final String SURVEY_ORDER_DOCX = "勘测订单详情.docx";
    public static final String INSTALL_ORDER_DOCX = "安装订单详情.docx";
    public static final String SURVEY_ORDER_DOCX_TEMPLATE = "勘测订单模板";
    public static final String INSTALL_ORDER_DOCX_TEMPLATE = "安装订单模板";

    public static final String SURVEY_TEMPLATE_DOCX = "勘测模板.docx";
    public static final String SURVEY_PHOTOS_DOCX = "勘测照片_V.docx";
    public static final String SURVEY_REPORT_DOCX = "勘测报告_V.docx";
    public static final String INSTALL_PHOTOS_DOCX = "安装照片_A.docx";
    public static final String INSTALL_REPORT_DOCX = "安装验收单_A.docx";
    public static final String REPORT_DESCRIBE = "表格清晰，填写完整，书写工整";
    public static final int FILE_SIZE = 5242880;

    public static final SimpleDateFormat SIMPLE_DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd");


}
