package com.boco.nbd.wios.manage.entity.bo;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Data
public class Dictionary {
    private String id;

    /**
     * 字典类型
     */
    private String type;

    /**
     * 键
     */
    private String name;

    /**
     * 值
     */
    private String value;

    /**
     * 0:删除 1:正常
     */
    private Integer status;

    /**
     * 排序
     */
    private Date sortTime;

    /**
     * 创建人
     */
    private String createAccount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String modifyAccount;

    /**
     * 修改时间
     */
    private Date modifyTime;

    /**
     * 是否结算：0：否，1：是
     */
    private Integer isSettle;

    /**
     * 是否多个值0：否，1：是
     */
    private Integer multiple;

    /**
     * 设备编号长度(0:不限)
     */
    private Integer deviceLen;

    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<Dictionary> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            List<Dictionary> itemList = JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<Dictionary>>() {
            }, true);
            return itemList;
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }
}
