package com.boco.nbd.wios.manage.entity.bo;

import org.apache.commons.collections.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 前端菜单树组件
 *
 * @author lilin
 * @version [版本号, 2020年5月20日]
 */
public class MenuTreeVo extends AbstractTreeNode {
    /**
     * 注释内容
     */
    private static final long serialVersionUID = 7323727572191533251L;

    /**
     * menuId
     */
    private String key;

    /**
     * 菜单名称，前端强制国际化，这里只能填国际化的key
     */
    private String title;

    /**
     * 菜单icon
     */
    private String icon;

    /**
     * 节点是否被选中
     */
    private boolean checked;

    /**
     * 嵌套菜单列表
     */
    private List<MenuTreeVo> children;

    @Override
    public void setChildTreeNode(List<? extends AbstractTreeNode> children) {
        if (CollectionUtils.isNotEmpty(children)) {
            this.setChildren(children.stream().map(child -> (MenuTreeVo) child).collect(Collectors.toList()));
        }
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public List<MenuTreeVo> getChildren() {
        return children;
    }

    public void setChildren(List<MenuTreeVo> children) {
        this.children = children;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

}
