package com.boco.nbd.wios.manage.entity.bo;

import org.apache.commons.collections.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 前端菜单组件
 *
 * @author lilin
 * @version [版本号, 2020年5月18日]
 */
public class MenuVo extends AbstractTreeNode {
    /**
     * 注释内容
     */
    private static final long serialVersionUID = -8529657813310074018L;

    /**
     * menuId
     */
    private String id;

    /**
     * url路径
     */
    private String path;

    /**
     * 菜单名称，前端强制国际化，这里只能填国际化的key
     */
    private String name;

    /**
     * 菜单icon
     */
    private String icon;

    /**
     * 嵌套菜单列表
     */
    private List<MenuVo> routes;

    @Override
    public void setChildTreeNode(List<? extends AbstractTreeNode> children) {
        if (CollectionUtils.isNotEmpty(children)) {
            this.setRoutes(children.stream().map(child -> (MenuVo) child).collect(Collectors.toList()));
        }
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public List<MenuVo> getRoutes() {
        return routes;
    }

    public void setRoutes(List<MenuVo> routes) {
        this.routes = routes;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
