package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yong
 */
@Data
public class OemContract {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String code;
    
    /**
     * 主机厂/4s店
     */
    @ApiModelProperty(value = "主机厂/4s店id")
    private String oemId;
    
    /**
     * 设备结算方
     */
    @ApiModelProperty(value = "设备结算方")
    private String deviceSettlementId;
    
    /**
     * 安装服务结算方
     */
    @ApiModelProperty(value = "安装服务结算方")
    private String installSettlementId;
    
    /**
     * 区域编号
     */
    @ApiModelProperty(value = "区域编号")
    private String regionId;
    
    /**
     * 合同开始时间
     */
    @ApiModelProperty(hidden = true)
    private Date startTime;
    
    /**
     * 合同结束时间
     */
    @ApiModelProperty(hidden = true)
    private Date endTime;
    
    /**
     * 销售员
     */
    @ApiModelProperty(value = "销售员")
    private String saleAccount;
    
    /**
     * 结算周期（月）
     */
    @ApiModelProperty(hidden = true)
    private Integer settleInterval;
    
    /**
     * 业务类型 1-安装
     */
    @ApiModelProperty(hidden = true)
    private Integer businessType;
    
    /**
     * 标准米数
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal standardLength;
    
    /**
     * 税率（%）
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal taxRate;
    
    /**
     * 质保期（月）
     */
    @ApiModelProperty(value = "质保期（月）")
    private Integer guaranteePeriod;
    
    /**
     * 状态 0-拟定 9-生效
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 附件，多个用逗号隔开
     */
    @ApiModelProperty(value = "附件，多个用逗号隔开")
    private String fileId;
    
    /**
     * 是否使用cams设备
     */
    @ApiModelProperty(hidden = true)
    private Integer camsDeviceEnable;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
}