package com.boco.nbd.wios.manage.entity.bo;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
@Data
public class OemContractPrice {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同id
     */
    @ApiModelProperty(value = "合同id")
    private Integer contractId;
    
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String regionId;

    @ApiModelProperty(value = "套包类型")
    private String packType;
    
    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;
    
    /**
     * 勘测价格（不含税）
     */
    @ApiModelProperty(value = "勘察价格（不含税）")
    private BigDecimal surveyPrice;
    
    /**
     * 勘察价格（含税）
     */
    @ApiModelProperty(value = "勘察价格（含税）")
    private BigDecimal surveyRatePrice;
    
    /**
     * 安装价格（不含税）
     */
    @ApiModelProperty(value = "安装价格（不含税）")
    private BigDecimal installationPrice;
    
    /**
     * 安装价格（含税）
     */
    @ApiModelProperty(value = "安装价格（含税）")
    private BigDecimal installationRatePrice;
    
    /**
     * 报装价格(不含税)
     */
    @ApiModelProperty(value = "安装价格（不含税）")
    private BigDecimal expandPrice;
    
    /**
     * 报装价格（含税）
     */
    @ApiModelProperty(value = "报装价格（含税）")
    private BigDecimal expandRatePrice;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<OemContractPrice> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            return JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<OemContractPrice>>() {
            }, true);
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }
}