package com.boco.nbd.wios.manage.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description 订单删除备份
 * @author liwenxiang
 * @date 2021/7/28 13:12
 */
@Data
public class OrderDelete {
    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String id;

    /**
     * 主机厂id
     */
    @ApiModelProperty(value = "主机厂id", required = true)
    private Integer oemId;

    /**
     * 经销商id
     */
    @ApiModelProperty(value = "经销商id")
    private Integer oemAgentId;

    @ApiModelProperty(value = "经销商信息")
    private String oemAgentInfo;

    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;

    @ApiModelProperty(value = "经销商联系方式")
    private String oemAgentContactPhone;

    /**
     * 安装单号
     */
    @ApiModelProperty(value = "安装单号", required = true)
    private String outOrderId;

    /**
     * 合同编号
     */
    @ApiModelProperty(hidden = true)
    private Integer contractId;

    /**
     * 服务商合同id
     */
    @ApiModelProperty(hidden = true)
    private Integer supplierContractId;

    /**
     * 车主姓名
     */
    @ApiModelProperty(value = "车主姓名", required = true)
    private String userName;

    /**
     * 车主电话
     */
    @ApiModelProperty(value = "车主电话", required = true)
    private String userPhone;

    /**
     * 车主性别 0-女 1-男 2-未知
     */
    @ApiModelProperty(value = "车主性别 0-女 1-男 2-未知")
    private Integer userSex;

    /**
     * 联系人姓名
     */
    @ApiModelProperty(hidden = true)
    private String contactName;

    /**
     * 联系电话
     */
    @ApiModelProperty(hidden = true)
    private String contactPhone;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id", required = true)
    private String regionId;

    /**
     * 仓库id
     */
    @ApiModelProperty(hidden = true)
    private String warehouseId;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 车型号
     */
    @ApiModelProperty(value = "车型")
    private String vehicleModel;

    /**
     * 车辆底盘号
     */
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNo;

    /**
     * 车辆识别号
     */
    @ApiModelProperty(value = "车辆识别号")
    private String vehicleVin;

    /**
     * 车位号
     */
    @ApiModelProperty(value = "车位号")
    private String vehicleParkingNo;

    /**
     * 车位状态
     */
    @ApiModelProperty(value = "车位状态")
    private String vehicleParkingStatus;

    /**
     * 是否为售车前预勘测 0:否 1：是
     */
    @ApiModelProperty(value = "是否为售车前预勘测 0:否 1：是")
    private Integer surveyBeforeSaleEnable;

    /**
     * 是否需要人工派单 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要人工派单 0：否 1：是")
    private Integer manuDispatchEnable;

    /**
     * 墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号", required = true)
    private String wallboxModel;

    /**
     * 墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号")
    private String itemModel;

    /**
     *勘测墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyWallboxModel;
    /**
     *勘测墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（勘测）")
    private String surveyItemModel;

    /**
     *安装墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（安装）")
    private String installWallboxModel;

    /**
     *安装墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（安装）")
    private String installItemModel;

    /**
     * 订单状态
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 类型 1：普通订单 2：移桩订单
     */
    @ApiModelProperty(value = "类型 1：普通订单 2：移桩订单")
    private Integer type;

    /**
     * 报装状态 1：通过 2：不通过
     */
    @ApiModelProperty(hidden = true)
    private Integer expandStatus;

    /**
     * 报装不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String expandFailReason;

    /**
     * 报装不通过后订单后续操作
     */
    @ApiModelProperty(hidden = true)
    private Integer expandFailOperate;

    /**
     * 报装备注
     */
    @ApiModelProperty(value = "报装备注")
    private String expandRemark;

    /**
     * 勘察员工编号
     */
    @ApiModelProperty(hidden = true)
    private Integer surveyStaffId;

    /**
     * 勘察完成时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyFinishTime;

    /**
     * 预约勘察时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyReserveTime;

    /**
     * 勘察客户姓名
     */
    @ApiModelProperty(hidden = true)
    private String surveyClientName;

    /**
     * 勘察客户手机号
     */
    @ApiModelProperty(hidden = true)
    private String surveyClientPhone;

    /**
     * 注册cams plus 手机号
     */
    @ApiModelProperty(hidden = true)
    private String surveyCamsPhone;

    /**
     * 预约勘察备注
     */
    @ApiModelProperty(hidden = true)
    private String surveyReserveRemark;

    /**
     * 安装服务商编号
     */
    @ApiModelProperty(hidden = true)
    private Integer installSupplierId;

    /**
     * 安装员工编号
     */
    @ApiModelProperty(hidden = true)
    private Integer installStaffId;

    /**
     * 安装完成时间
     */
    @ApiModelProperty(hidden = true)
    private Date installFinishTime;

    /**
     * 预约安装时间
     */
    @ApiModelProperty(hidden = true)
    private Date installReserveTime;

    /**
     * 安装客户姓名
     */
    @ApiModelProperty(hidden = true)
    private String installClientName;

    /**
     * 安装客户手机
     */
    @ApiModelProperty(hidden = true)
    private String installClientPhone;

    /**
     * 注册cams plus 手机号(安装)
     */
    @ApiModelProperty(hidden = true)
    private String installCamsPhone;

    /**
     * 预约安装备注
     */
    @ApiModelProperty(hidden = true)
    private String installReserveRemark;

    /**
     * 勘察完成审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String surveyFinishFailReason;

    /**
     * 勘察整改审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String surveyRectifyFailReason;

    /**
     * 安装变更审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installChangeFailReason;

    /**
     * 安装完成审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installFinishFailReason;

    /**
     * 安装整改不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installRectifyFailReason;

    /**
     * 关闭订单原因
     */
    @ApiModelProperty(hidden = true)
    private String closeOrderReason;

    /**
     * 变更安装附件
     */
    @ApiModelProperty(hidden = true)
    private String installChangeAttachmentFiles;

    /**
     * 预约异常信息
     */
    @ApiModelProperty(hidden = true)
    private String surveyReserveFailInfo;

    /**
     * 预约安装异常信息
     */
    @ApiModelProperty(hidden = true)
    private String installReserveFailInfo;

    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址")
    private String files;

    /**
     * 评分
     */
    @ApiModelProperty(hidden = true)
    private Double score;

    /**
     * 回访内容，客户意见或建议
     */
    @ApiModelProperty(value = "回访内容，客户意见或建议")
    private String visitContent;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String description;

    /**
     * 发票日期
     */
    @ApiModelProperty(value = "发票日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date invoiceTime;

    /**
     * 小区类型
     */
    @ApiModelProperty(value = "小区类型")
    private Integer estateType;

    /**
     * 是否独立车位 0：否 1：是
     */
    @ApiModelProperty(value = "是否独立车位 0：否 1：是")
    private Integer hasIndependentParking;

    /**
     * 安装位置 1：室内 2：室外
     */
    @ApiModelProperty(value = "安装位置 1：室内 2：室外")
    private Integer installPosition;

    /**
     * 物业态度 0：不同意 1：同意
     */
    @ApiModelProperty(value = "物业态度 0：不同意 1：同意")
    private Integer propertyAgree;

    /**
     * 是否需要电力报装 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要电力报装 0：否 1：是")
    private Integer electricExpand;

    /**
     * 是否需要立柱 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    private Integer needErectPile;

    /**
     * 派单时间
     */
    @ApiModelProperty(hidden = true)
    private Date dispatchTime;

    /**
     * 提交勘测审核时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveySubmitExamineTime;

    /**
     * 勘测审核通过时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyApproveTime;

    /**
     * 安装提交审核时间
     */
    @ApiModelProperty(hidden = true)
    private Date installSubmitExamineTime;

    /**
     * 安装审核通过时间
     */
    @ApiModelProperty(hidden = true)
    private Date installApproveTime;

    /**
     * 回访时间
     */
    @ApiModelProperty(hidden = true)
    private Date returnVisitTime;

    /**
     * 订单关闭时间
     */
    @ApiModelProperty(hidden = true)
    private Date closeTime;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    /**
     * 预约勘察下次跟进时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyFollowTime;

    /**
     * 预约安装下次跟进时间
     */
    @ApiModelProperty(hidden = true)
    private Date installFollowTime;

    /**
     * 地址纬度
     */
    @ApiModelProperty(value = "地址纬度")
    private String addressLat;

    /**
     * 地址经度
     */
    @ApiModelProperty(value = "地址经度")
    private String addressLng;

    /**
     * 首联人
     */
    @ApiModelProperty(value = "首联人")
    private String connectPerson;

    /**
     * 客户希望上门时间
     */
    @ApiModelProperty(value = "客户希望上门时间")
    private String wantHomeTime;

    /**
     * 安装紧急程度
     */
    @ApiModelProperty(value = "安装紧急程度 1:一般 2:紧急")
    private Integer installEmergencyLevel;

    /**
     * 其他说明
     */
    @ApiModelProperty(value = "其他说明")
    private String remark;

    /**
     * 是否联系上客户：0-否，1：是
     */
    @ApiModelProperty(value = "是否联系上客户：0-否，1：是")
    private Integer isConnect;

    /**
     * 是否需要勘测：0-否，1：是
     */
    @ApiModelProperty(value = "是否需要勘测：0-否，1：是")
    private Integer isNeedSurvey;
}
