package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author yong
 */
public class OrderInstallBo extends OrderInstall {
    @ApiModelProperty(value = "文件json字符串")
    private String filesJson;

    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;

    @ApiModelProperty(value = "物料费用json字符串")
    private String itemFeesJson;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItem> itemFees;

    @ApiModelProperty(value = "是否生成账单 0-否 1-是")
    private Integer hasGenBill;

    @ApiModelProperty(value = "墙盒品牌（安装）")
    private String installWallboxModel;

    public String getFilesJson() {
        return filesJson;
    }

    public List<UploadFile> getFiles() {
        return files;
    }

    /**
     * json 处理
     *
     * @param filesJson
     */
    public void setFilesJson(String filesJson) {
        this.files = UploadFile.jsonHandle(filesJson);
    }

    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }

    public String getItemFeesJson() {
        return itemFeesJson;
    }

    public List<OrderInstallItem> getItemFees() {
        return itemFees;
    }

    /**
     * json格式转换
     *
     * @param itemFeesJson
     */
    public void setItemFeesJson(String itemFeesJson) {
        this.itemFees = OrderInstallItem.jsonHandle(itemFeesJson);
    }

    public void setItemFees(List<OrderInstallItem> itemFees) {
        this.itemFees = itemFees;
    }

    public Integer getHasGenBill() {
        return hasGenBill;
    }

    public void setHasGenBill(Integer hasGenBill) {
        this.hasGenBill = hasGenBill;
    }

    public String getInstallWallboxModel() {
        return installWallboxModel;
    }

    public void setInstallWallboxModel(String installWallboxModel) {
        this.installWallboxModel = installWallboxModel;
    }

}
    
