package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.flow.entity.vo.OrderInstallItemVO;
import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
@Data
public class OrderInstallVo extends OrderInstall {

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "用户手机")
    private String userPhone;

    @ApiModelProperty(hidden = true)
    private Date installFinishTime;

    @ApiModelProperty(value = "区域id")
    private Integer regionId;

    @ApiModelProperty(hidden = true)
    private Integer contractId;

    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemFees;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemHighAdd;

    @ApiModelProperty(value = "是否生成账单 0-否 1-是")
    private Integer hasGenBill;

    @ApiModelProperty(value = "墙盒设备名称")
    private String wallboxItemName;

    @ApiModelProperty(value = "墙盒设备型号")
    private String wallboxItemModel;

    @ApiModelProperty(value = "上次审核不通过原因描述")
    private String checkFailDesc;

    /**
     * 安装墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（安装）")
    private String installWallboxModel;

    @ApiModelProperty(value = "墙盒设备型号（安装）")
    private String installItemModel;

    /**
     * 新增
     */
    @ApiModelProperty(value = "电工")
    private String installStaffName;

    @ApiModelProperty(value = "安装员工电话")
    private String installStaffPhone;

    @ApiModelProperty(value = "经销商代码 organization_code")
    private String oemAgentCode;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNo;

    @ApiModelProperty(value = "套包类型（安装）")
    private String installPackType;

    @ApiModelProperty(value = "实际长度电缆（米）")
    private String realCableMeter;

    @ApiModelProperty(value = "实际电缆规格")
    private String realCableType;

    /**
     * 电缆敷设方式 1-pvc电工管 2-jdg镀锌管 3-电缆桥架 4-其他
     */
    @ApiModelProperty(value = "电缆敷设方式(CableBuildMethod)")
    private Integer realCableInstallType;

    /**
     * copy 工单数据
     *
     * @param order
     */
    public void copyOrder(Order order) {
        this.setContractId(order.getContractId());
        this.setRegionId(Integer.valueOf(order.getRegionId()));
        this.setUserName(order.getUserName());
        this.setUserPhone(order.getUserPhone());
        this.setInstallStaffName(order.getInstallStaffName());
        this.setInstallStaffPhone(order.getInstallStaffPhone());
        this.setOemAgentCode(order.getOemAgentCode());
        this.setOemAgentName(order.getOemAgentName());
        this.setVehicleChassisNo(order.getVehicleChassisNo());
        this.setInstallPackType(order.getInstallPackType());
        this.setInstallWallboxModel(order.getInstallWallboxModel());
        this.setInstallItemModel(order.getInstallItemModel());
    }

}
