package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 订单评价表
 *
 * @author yongfu.liu@wanbangauto.com 2020-10-10 14:08:14
 */
@ApiModel("订单评价表")
public class OrderScore {

    //
    // 数据库字段
    // ------------------------------------------------------------------------------


    @ApiModelProperty("ID")
    private Integer id;
	@ApiModelProperty("订单表ID")
	private String orderId;
	@ApiModelProperty("评分主表ID")
	private Integer scoreConfigId;
    @ApiModelProperty(value = "编码",required = true)
    private String code;
    @ApiModelProperty(value = "配置名称",required = true)
    private String name;
    @ApiModelProperty(value = "状态 0禁用 1启用",required = true)
    @NotNull
    private Integer status;
   @ApiModelProperty(value = "分数权重")
    private Double weight;
	@ApiModelProperty(value = "实际评分",required = true)
	private Double score;
   @ApiModelProperty(value = "评分类型 1-客户评分 2-区域经理评分")
   private Integer type;
	@ApiModelProperty(value = "备注说明")
	private String description;
   @ApiModelProperty(value = "创建人")
    private String createAccount;
   @ApiModelProperty(value = "创建时间")
    private Date createTime;
   @ApiModelProperty(value = "修改人")
    private String modifyAccount;
   @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

	//
    // 非数据库字段
    // ------------------------------------------------------------------------------

    //
    // getter/setter
    // ------------------------------------------------------------------------------

    /**
     * @return ID
     */
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return 订单表id
	 */
	public String getOrderId(){ return orderId; }

	public void setOrderId(String orderId ) { this.orderId = orderId; }
	/**
	 * @return 评分配置表id
	 */
	public Integer getScoreConfigId(){ return scoreConfigId; }

	public void setScoreConfigId(Integer scoreConfigId ) { this.scoreConfigId = scoreConfigId; }

    /**
     * @return 编码
     */
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
    /**
     * @return 配置名称
     */
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
    /**
     * @return 状态 0禁用 1启用
     */
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	/**
     * @return 分数权重
     */
	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}
	/**
	 * @return 实际评分
	 */
	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
    /**
     * @return 备注说明
     */
	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
    /**
     * @return 创建人
     */
	public String getCreateAccount() {
		return createAccount;
	}

	public void setCreateAccount(String createAccount) {
		this.createAccount = createAccount;
	}
    /**
     * @return 创建时间
     */
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
    /**
     * @return 修改人
     */
	public String getModifyAccount() {
		return modifyAccount;
	}

	public void setModifyAccount(String modifyAccount) {
		this.modifyAccount = modifyAccount;
	}
    /**
     * @return 修改时间
     */
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

}
