package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.StringUtils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
public class OrderSurveyBo extends OrderSurvey {
    @ApiModelProperty(value = "文件json字符串")
    private String filesJson;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(value = "物料费用json字符串")
    private String itemFeesJson;
    
    @ApiModelProperty(hidden = true)
    private List<OrderInstallItem> itemFees;
    
    @ApiModelProperty(value = "勘测日期字符串")
    private String surveyDateStr;

    @ApiModelProperty(value = "墙盒品牌（勘测）")
    private String surveyWallboxModel;

    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyItemModel;

    
    public String getFilesJson() {
        return filesJson;
    }
    
    public List<UploadFile> getFiles() {
        return files;
    }

    /**
     * json格式化
     * @param filesJson
     */
    public void setFilesJson(String filesJson) {
        this.files=UploadFile.jsonHandle(filesJson);
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public String getItemFeesJson() {
        return itemFeesJson;
    }
    
    public List<OrderInstallItem> getItemFees() {
        return itemFees;
    }

    /**
     * json转换
     * @param itemFeesJson
     */
    public void setItemFeesJson(String itemFeesJson) {
        this.itemFees=OrderInstallItem.jsonHandle(itemFeesJson);
    }
    
    public void setItemFees(List<OrderInstallItem> itemFees) {
        this.itemFees = itemFees;
    }
    
    public String getSurveyDateStr() {
        return surveyDateStr;
    }
    
    public void setSurveyDateStr(String surveyDateStr) {
        this.surveyDateStr = surveyDateStr;
        if (!StringUtils.isEmpty(surveyDateStr)) {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date surveyDate = sdf.parse(surveyDateStr);
                this.setSurveyDate(surveyDate);
            } catch (ParseException e) {
                throw new ServiceException("勘测日期格式错误");
            }
        }
    }

    public String getSurveyWallboxModel() {
        return surveyWallboxModel;
    }

    public void setSurveyWallboxModel(String surveyWallboxModel) {
        this.surveyWallboxModel = surveyWallboxModel;
    }

    public String getSurveyItemModel() {
        return surveyItemModel;
    }

    public void setSurveyItemModel(String surveyItemModel) {
        this.surveyItemModel = surveyItemModel;
    }
}
