package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description OrderSurvey删除备份
 * @author liwenxiang
 * @date 2021/7/28 14:35
 */
@Data
public class OrderSurveyDelete {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String orderId;

    /**
     * 住宅类型 1-普通高层 2-商业两住 3-别墅 4-公司 5-厂房 6-自建房 7-其他
     */
    @ApiModelProperty(value = "住宅类型(HouseType)")
    private Integer houseType;

    /**
     * 车位类型 1-自主产权 2-长期租赁 3-不固定 4-其他
     */
    @ApiModelProperty(value = "车位类型(ParkingType)")
    private Integer parkingType;

    /**
     * 车位描述 （车库位置、车位号或其他）
     */
    @ApiModelProperty(value = "车位描述")
    private String parkingInfo;

    /**
     * 车位环境 1-地上 2-地下
     */
    @ApiModelProperty(value = "车位环境 1-地上 2-地下")
    private Integer parkingCondition;

    /**
     * 安装方式 1-壁挂 2-立式 3-其他
     */
    @ApiModelProperty(value = "安装方式 1-壁挂 2-立式 3-其他")
    private Integer installType;

    /**
     * 类型 1：勘察 2：安装变更
     */
    @ApiModelProperty(value = "类型 1：勘察 2：安装变更")
    private Integer type;

    /**
     * 物业公司
     */
    @ApiModelProperty(value = "物业公司")
    private String propertyCompany;

    /**
     * 物业联系人
     */
    @ApiModelProperty(value = "物业联系人")
    private String propertyContact;

    /**
     * 物业电话
     */
    @ApiModelProperty(value = "物业电话")
    private String propertyPhone;

    /**
     * 物业态度 1-同意 2-不同意
     */
    @ApiModelProperty(value = "物业态度 1-同意 2-不同意")
    private Integer propertyAgree;

    /**
     * 物业不同意原因
     */
    @ApiModelProperty(value = "物业不同意原因")
    private String propertyReason;

    /**
     * 电力来源
     */
    @ApiModelProperty(value = "电力来源(ElectricSource)")
    private Integer powerType;

    /**
     * 上端断路器规格（a）
     */
    @ApiModelProperty(value = "上端断路器规格（a）")
    private String upperCircuitBreaker;

    /**
     * 上端线径规格（mm2）
     */
    @ApiModelProperty(value = "上端线径规格（mm2）")
    private String upperLine;

    /**
     * 可安装功率大小（kw）
     */
    @ApiModelProperty(value = "可安装功率大小（kw）")
    private String allowPower;

    /**
     * 电缆规格（3x6、3x10、3x16 ）
     */
    @ApiModelProperty(value = "电缆规格（3x6、3x10、3x16 ）")
    private String cableType;

    /**
     * 信号类型 1-移动 2-电信 3-联通
     */
    @ApiModelProperty(value = "信号类型 1-移动 2-电信 3-联通")
    private Integer signalType;

    /**
     * 信号强度（dbm）
     */
    @ApiModelProperty(value = "信号强度（dbm）")
    private String signalIntensity;

    /**
     * 费用是否超标 1-超标 0-未超标
     */
    @ApiModelProperty(value = "费用是否超标 1-超标 0-未超标")
    private Integer overStandard;

    /**
     * 电缆施工长度
     */
    @ApiModelProperty(value = "电缆施工长度")
    private String cableMeter;

    /**
     * 电缆敷设方式 1-pvc电工管 2-jdg镀锌管 3-电缆桥架 4-其他
     */
    @ApiModelProperty(value = "电缆敷设方式()CableBuildMethod")
    private Integer cableInstallType;

    /**
     * 资料准备 json存储 (安装申请、产权复印件、身份证复印件、使用权证明书)
     */
    @ApiModelProperty(value = "资料准备 json存储(SurveyOrderDataNeed)")
    private String prepareInfo;

    /**
     * 勘察结论 1-统一安装 2-不同意安装 3-待定
     */
    @ApiModelProperty(value = "勘察结论 1-统一安装 2-不同意安装 3-待定")
    private Integer surveyResult;

    /**
     * 增项费用预估 json存储
     */
    @ApiModelProperty(value = "增项费用预估 json存储")
    private String predictOverItem;

    /**
     * 勘察备注
     */
    @ApiModelProperty(value = "勘察备注")
    private String surveyRemark;

    /**
     * 图片链接 多张逗号分割
     */
    @ApiModelProperty(hidden = true)
    private String pictures;

    /**
     * 方案说明
     */
    @ApiModelProperty(value = "方案说明")
    private String planInfo;

    /**
     * 附件url
     */
    @ApiModelProperty(hidden = true)
    private String surveyAttachment;

    /**
     * 勘测地址
     */
    @ApiModelProperty(value = "勘测地址")
    private String address;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    private Date surveyDate;

    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    /**
     * 车位号
     */
    @ApiModelProperty(value = "车位号")
    private String parkingPositionNo;

    /**
     * 室内/室外 1/2
     */
    @ApiModelProperty(value = "室内/室外 1/2")
    private Integer installPosition;

    /**
     * 是否露天 0：否 1：是
     */
    @ApiModelProperty(value = "是否露天 0：否 1：是")
    private Integer openAir;

    /**
     * 变压器额定值
     */
    @ApiModelProperty(value = "变压器额定值")
    private String transformerSpecificValue;

    /**
     * 可接入主断路器容量
     */
    @ApiModelProperty(value = "可接入主断路器容量")
    private String accessCircuitCapacity;

    /**
     * 实测相电压
     */
    @ApiModelProperty(value = "实测相电压")
    private String measuredPhaseVoltage;

    /**
     * 实测相电流
     */
    @ApiModelProperty(value = "实测相电流")
    private String measuredPhaseCurrent;

    /**
     * 是否需要立柱 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    private Integer needErectPile;

    /**
     * 是否需要特殊施工 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要特殊施工 0：否 1：是")
    private Integer needSpecialConstruction;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
}
