package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.flow.entity.vo.OrderInstallItemVO;
import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author haica
 */
@Data
public class OrderSurveyVo extends OrderSurvey {

    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemFees;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemHighAdd;

    @ApiModelProperty(value = "上次审核不通过原因描述")
    private String checkFailDesc;

    /**
     *勘测墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyWallboxModel;
    /**
     *勘测墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（勘测）")
    private String surveyItemModel;

    @ApiModelProperty(value = "勘测客户姓名")
    private String surveyClientName;

    @ApiModelProperty(value = "勘测客户手机号")
    private String surveyClientPhone;

    @ApiModelProperty(value = "车型号")
    private String vehicleModel;

    @ApiModelProperty(value = "外部订单编号,车企安装单号")
    private String outOrderId;

    @ApiModelProperty(value = "地址纬度")
    private String addressLat;

    @ApiModelProperty(value = "地址经度")
    private String addressLng;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;

    @ApiModelProperty(value = "经销商联系方式")
    private String oemAgentContactPhone;

    @ApiModelProperty(value = "安装服务商")
    private String installSupplierName;

    @ApiModelProperty(value = "勘察员工编号")
    private Integer surveyStaffId;

    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话")
    private String surveyStaffPhone;

    @ApiModelProperty(value = "套包类型(安装)")
    private String surveyPackType;

    @ApiModelProperty(value = "车位号")
    private String vehicleParkingNo;

    /**
     * 拷贝工单数据
     * @param order
     */
    public void copyOrder(Order order){
        this.setSurveyWallboxModel(order.getSurveyWallboxModel());
        this.setSurveyItemModel(order.getSurveyItemModel());
        this.setSurveyClientName(order.getSurveyClientName());
        this.setSurveyClientPhone(order.getSurveyClientPhone());
        this.setVehicleModel(order.getVehicleModel());
        this.setOutOrderId(order.getOutOrderId());
        this.setAddressLat(order.getAddressLat());
        this.setAddressLng(order.getAddressLng());
        this.setOemAgentName(order.getOemAgentName());
        this.setOemAgentContactName(order.getOemAgentContactName());
        this.setOemAgentContactPhone(order.getOemAgentContactPhone());
        this.setInstallSupplierName(order.getInstallSupplierName());
        this.setSurveyStaffId(order.getSurveyStaffId());
        this.setSurveyStaffName(order.getSurveyStaffName());
        this.setSurveyStaffPhone(order.getSurveyStaffPhone());
        this.setSurveyPackType(order.getSurveyPackType());
        this.setVehicleParkingNo(order.getVehicleParkingNo());
    }


}
