package com.boco.nbd.wios.manage.entity.bo;
import com.boco.nbd.framework.workflow.annotation.EnumConvert;
import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author haica
 */
@Data
public class OrderVo extends Order {

    @ApiModelProperty(value = "主机厂名称")
    private String oemName;

    @ApiModelProperty(value = "主机厂编码")
    private String oemCode;

    @ApiModelProperty(value = "主机厂机构代码")
    private String oemOrgCode;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "经销商编码")
    private String oemAgentCode;

    @ApiModelProperty(value = "经销商社会信用代码")
    private String oemAgentOrgCode;

    @ApiModelProperty(value = "服务商名称")
    private String supplierName;

    @ApiModelProperty(value = "服务商级别")
    private String supplierLevel;

    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话")
    private String surveyStaffPhone;

    @ApiModelProperty(value = "安装员工姓名")
    private String installStaffName;

    @ApiModelProperty(value = "安装员工电话")
    private String installStaffPhone;

    @ApiModelProperty(value = "地区名称")
    private String regionName;

    @ApiModelProperty(value = "地区id层级")
    private String regionIdTree;

    @ApiModelProperty(value = "首联人")
    private String connectPersonName;

    @ApiModelProperty(value = "安装变更审批文件",hidden = true)
    private List<UploadFile> installChangeFiles;

    @ApiModelProperty(value = "订单附件",hidden = true)
    private List<UploadFile> attachFiles;

    @ApiModelProperty(value = "安装增项总费用",hidden = true)
    private BigDecimal installAdditionTotalFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "报装费用",hidden = true)
    private BigDecimal expandFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "是否显示预约异常的按钮",hidden = true)
    private boolean showReserveExpBtn = false;

    @ApiModelProperty("是否已评价")
    private Boolean hasOrderScore;

    private String billId;

    private Integer billStatus;

    private BigDecimal billFee;

    @ApiModelProperty(value = "车主虚拟手机号")
    private String virtualUserPhone;

    private String wallboxNo;

    private String realCableMeter;

    private BigDecimal predictTotalFee;

    @ApiModelProperty(value = "app接口订单排序 1：进行中 2：待评价 3：已评价 4：")
    private Integer appSort;

    @ApiModelProperty("超时类型")
    private  Integer overtimeFlag;

    @ApiModelProperty("发票号")
    private String invoiceNumber;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("设备id")
    private String wallboxItemId;
    @ApiModelProperty("墙盒设备型号")
    private String itemModel;
    @ApiModelProperty("物料名称")
    private String materialName;
}
