package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 安装服务评分
 *
 * @author yongfu.liu@wanbangauto.com 2020-10-14 08:45:57
 */
@ApiModel("安装服务评分")
public class ScoreSupplier {
	//
	// 数据库字段
	// ------------------------------------------------------------------------------


	@ApiModelProperty("ID")
	private Long id;
	@ApiModelProperty(value = "服务商",required = true)
	private Long supplierId;
	@ApiModelProperty(value = "区域id",required = true)
	private Long regionId;
	@ApiModelProperty(value = "评价月份",required = true)
	private String month;
	@ApiModelProperty(value = "综合评分")
	private Double finalScore;
	@ApiModelProperty(value = "采购评分")
	private Double finalPurchasing;
	@ApiModelProperty(value = "工程评分")
	private Double finalEngineering;
	@ApiModelProperty(value = "线上评分")
	private Double online;
	@ApiModelProperty(value = "线下评分")
	private Double offline;
	@ApiModelProperty(value = "客户评分")
	private Double customer;
	@ApiModelProperty(value = "最后扣分")
	private Double finalDeduct;
	@ApiModelProperty(value = "备注说明")
	private String description;
	@ApiModelProperty(value = "关联的管理员账户id")
	private Long accountId;
	@ApiModelProperty(value = "状态 0禁用 1启用",required = true)
	@NotNull
	private Integer status;
	@ApiModelProperty(value = "创建人")
	private String createAccount;
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	@ApiModelProperty(value = "修改人")
	private String modifyAccount;
	@ApiModelProperty(value = "修改时间")
	private Date modifyTime;

	//
	// 非数据库字段
	// ------------------------------------------------------------------------------

	//
	// getter/setter
	// ------------------------------------------------------------------------------

	/**
	 * @return ID
	 */
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return 服务商
	 */
	public Long getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(Long supplierId) {
		this.supplierId = supplierId;
	}
	/**
	 * @return 区域id
	 */
	public Long getRegionId() {
		return regionId;
	}

	public void setRegionId(Long regionId) {
		this.regionId = regionId;
	}
	/**
	 * @return 评价月份
	 */
	public String getMonth() {
		return month;
	}

	public void setMonth(String month) {
		this.month = month;
	}
	/**
	 * @return 综合评分
	 */
	public Double getFinalScore() {
		return finalScore;
	}

	public void setFinalScore(Double finalScore) {
		this.finalScore = finalScore;
	}
	/**
	 * @return 采购评分
	 */
	public Double getFinalPurchasing() {
		return finalPurchasing;
	}

	public void setFinalPurchasing(Double finalPurchasing) {
		this.finalPurchasing = finalPurchasing;
	}
	/**
	 * @return 工程评分
	 */
	public Double getFinalEngineering() {
		return finalEngineering;
	}

	public void setFinalEngineering(Double finalEngineering) {
		this.finalEngineering = finalEngineering;
	}
	/**
	 * @return 线上评分
	 */
	public Double getOnline() {
		return online;
	}

	public void setOnline(Double online) {
		this.online = online;
	}
	/**
	 * @return 线下评分
	 */
	public Double getOffline() {
		return offline;
	}

	public void setOffline(Double offline) {
		this.offline = offline;
	}
	/**
	 * @return 客户评分
	 */
	public Double getCustomer() {
		return customer;
	}

	public void setCustomer(Double customer) {
		this.customer = customer;
	}
	/**
	 * @return 最后扣分
	 */
	public Double getFinalDeduct() {
		return finalDeduct;
	}

	public void setFinalDeduct(Double finalDeduct) {
		this.finalDeduct = finalDeduct;
	}

	/**
	 * @return 备注说明
	 */
	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return 关联的管理员账户id
	 */
	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}
	/**
	 * @return 状态 0禁用 1启用
	 */
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * @return 创建人
	 */
	public String getCreateAccount() {
		return createAccount;
	}

	public void setCreateAccount(String createAccount) {
		this.createAccount = createAccount;
	}
	/**
	 * @return 创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * @return 修改人
	 */
	public String getModifyAccount() {
		return modifyAccount;
	}

	public void setModifyAccount(String modifyAccount) {
		this.modifyAccount = modifyAccount;
	}
	/**
	 * @return 修改时间
	 */
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

}
