package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 评价配置表
 *
 * @author ScoreSupplierDetail
 */
@ApiModel("评价明细表")
public class ScoreSupplierDetail {

    @ApiModelProperty("ID")
    private Long id;
	@ApiModelProperty("评分主表ID")
	private Long scoreSupplierId;
    @ApiModelProperty(value = "编码",required = true)
    private String code;
    @ApiModelProperty(value = "配置名称",required = true)
    private String name;
    @ApiModelProperty(value = "状态 0禁用 1启用",required = true)
    @NotNull
    private Long status;
    @ApiModelProperty(value = "类型：供应商-Supplier",required = true)
    private String type;
    @ApiModelProperty(value = "父配置的编码",required = true)
    private String parentCode;
   @ApiModelProperty(value = "分数权重")
    private Double weight;
   @ApiModelProperty(value = "评分来源")
    private String source;
	@ApiModelProperty(value = "实际评分",required = true)
	private Double score;
	@ApiModelProperty(value = "统计结果",required = true)
	private Double resultCalc;
   @ApiModelProperty(value = "备注说明")
    private String description;
   @ApiModelProperty(value = "创建人")
    private String createAccount;
   @ApiModelProperty(value = "创建时间")
    private Date createTime;
   @ApiModelProperty(value = "修改人")
    private String modifyAccount;
   @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

	@ApiModelProperty(value = "父配置的名称")
	private String parentName;
	@ApiModelProperty(value = "父配置的名称")
	private String parentWeight;
    /**
     * @return ID
     */
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return 评分主表id
	 */
	public Long getScoreSupplierId(){ return scoreSupplierId; }

	public void setScoreSupplierId(Long scoreSupplierId ) { this.scoreSupplierId = scoreSupplierId; }
    /**
     * @return 编码
     */
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
    /**
     * @return 配置名称
     */
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
    /**
     * @return 状态 0禁用 1启用
     */
	public Long getStatus() {
		return status;
	}

	public void setStatus(Long status) {
		this.status = status;
	}
    /**
     * @return 类型：供应商-Supplier
     */
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
    /**
     * @return 父配置的编码
     */
	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}
	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
	public String getParentWeight() {
		return parentWeight;
	}

	public void setParentWeight(String parentWeight) {
		this.parentWeight = parentWeight;
	}
    /**
     * @return 分数权重
     */
	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}
    /**
     * @return 评分来源
     */
	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}
	/**
	 * @return 实际评分
	 */
	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}
	/**
	 * @return 统计结果
	 */
	public Double getResultCalc() {
		return resultCalc;
	}

	public void setResultCalc(Double resultCalc) {
		this.resultCalc = resultCalc;
	}
    /**
     * @return 备注说明
     */
	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
    /**
     * @return 创建人
     */
	public String getCreateAccount() {
		return createAccount;
	}

	public void setCreateAccount(String createAccount) {
		this.createAccount = createAccount;
	}
    /**
     * @return 创建时间
     */
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
    /**
     * @return 修改人
     */
	public String getModifyAccount() {
		return modifyAccount;
	}

	public void setModifyAccount(String modifyAccount) {
		this.modifyAccount = modifyAccount;
	}
    /**
     * @return 修改时间
     */
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

}
