package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class Supplier {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private String id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", required = true)
    private String code;

    /**
     * 服务商名称
     */
    @ApiModelProperty(value = "服务商名称", required = true)
    private String name;

    /**
     * 状态 0禁用 1启用
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 组织机构代码
     */
    @ApiModelProperty(value = "组织机构代码", required = true)
    private String organizationCode;

    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名", required = true)
    private String contactName;

    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话", required = true)
    private String contactPhone;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private String regionId;

    @ApiModelProperty(value = "主机厂")
    private String oemCode;

    @ApiModelProperty(value = "套包类型")
    private String packType;

    /**
     * 附件，多个用逗号隔开
     */
    @ApiModelProperty(value = "附件，多个用逗号隔开")
    private String fileId;

    /**
     * 最大日接订单数
     */
    @ApiModelProperty(value = "最大日接订单数", required = true)
    private Integer maxOrderQuantity;

    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;

    /**
     * 管理员账户id
     */
    @ApiModelProperty(hidden = true)
    private Integer accountId;

    /**
     * 级别 A：自建精品团队 B：经销商安装服务团队 C：三方安装服务商
     */
    @ApiModelProperty(value = "级别 A：自建精品团队 B：经销商安装服务团队 C：三方安装服务商")
    private String level;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    /**
     * 审核状态：0：未审核，1：审核通过，2：审核不通过
     */
    @ApiModelProperty(hidden = true)
    private Integer checkStatus;

    /**
     * 审核备注
     */
    @ApiModelProperty(hidden = true)
    private String checkRemark;

    /**
     * 营业执照
     */
    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    /**
     * 安装资质
     */
    @ApiModelProperty(value = "安装资质")
    private String installLicense;

    /**
     * 莱茵认证
     */
    @ApiModelProperty(value = "莱茵认证")
    private String tuvCert;

    /**
     * 安装工程一切责任险
     */
    @ApiModelProperty(value = "安装工程一切责任险")
    private String installInsurance;

    /**
     * 雇主责任险
     */
    @ApiModelProperty(value = "雇主责任险")
    private String employerInsurance;

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getInstallLicense() {
        return installLicense;
    }

    public void setInstallLicense(String installLicense) {
        this.installLicense = installLicense;
    }

    public String getTuvCert() {
        return tuvCert;
    }

    public void setTuvCert(String tuvCert) {
        this.tuvCert = tuvCert;
    }

    public String getInstallInsurance() {
        return installInsurance;
    }

    public void setInstallInsurance(String installInsurance) {
        this.installInsurance = installInsurance;
    }

    public String getEmployerInsurance() {
        return employerInsurance;
    }

    public void setEmployerInsurance(String employerInsurance) {
        this.employerInsurance = employerInsurance;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public void setOemCode(String oemCode) {
        this.oemCode = oemCode;
    }

    public String getOemCode() {
        return oemCode;
    }

    public void setPackType(String packType) {
        this.packType = packType;
    }

    public String getPackType() {
        return packType;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public Integer getMaxOrderQuantity() {
        return maxOrderQuantity;
    }

    public void setMaxOrderQuantity(Integer maxOrderQuantity) {
        this.maxOrderQuantity = maxOrderQuantity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyAccount() {
        return modifyAccount;
    }

    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getAccountId() {
        return accountId;
    }

    public void setAccountId(Integer accountId) {
        this.accountId = accountId;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckRemark() {
        return checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }
}
