package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

public class SupplierContractBo extends SupplierContract {
    @ApiModelProperty(hidden = true)
    private String supplierName;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> statusInList;
    
    @ApiModelProperty(hidden = true)
    private Integer orderBy;
    
    @ApiModelProperty(value = "常规价格json")
    private String pricesJson;
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractPrice> prices;
    
    @ApiModelProperty(value = "套包价格json")
    private String packPricesJson;
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractPackPrice> packPrices;
    
    @ApiModelProperty(value = "增项价格json")
    private String itemsJson;
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractItem> items;
    
    @ApiModelProperty(value = "文件json字符串")
    private String filesJson;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(value = "开始日期 yyyy-MM-dd")
    private String startDateStr;
    
    @ApiModelProperty(value = "结束日期 yyyy-MM-dd")
    private String endDateStr;
    
    @ApiModelProperty(value = "签约日期 yyyy-MM-dd")
    private String signDateStr;
    
    @ApiModelProperty(value = "操作类型 0:变更 1：新增")
    private Integer operateType;
    
    public String getSupplierName() {
        return supplierName;
    }
    
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    
    public List<Integer> getStatusInList() {
        return statusInList;
    }
    
    public Integer getOrderBy() {
        return orderBy;
    }
    
    public void setStatusInList(List<Integer> statusInList) {
        this.statusInList = statusInList;
    }
    
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }
    
    public String getPricesJson() {
        return pricesJson;
    }
    
    public List<SupplierContractPrice> getPrices() {
        return prices;
    }
    
    public String getPackPricesJson() {
        return packPricesJson;
    }
    
    public List<SupplierContractPackPrice> getPackPrices() {
        return packPrices;
    }
    
    public String getItemsJson() {
        return itemsJson;
    }
    
    public List<SupplierContractItem> getItems() {
        return items;
    }
    
    public String getFilesJson() {
        return filesJson;
    }
    
    public List<UploadFile> getFiles() {
        return files;
    }

    /**
     * json处理
     * @param pricesJson
     */
    public void setPricesJson(String pricesJson) {
        this.prices=SupplierContractPrice.jsonHandle(pricesJson);
    }
    
    public void setPrices(List<SupplierContractPrice> prices) {
        this.prices = prices;
    }

    /**
     * json处理
     * @param packPricesJson
     */
    public void setPackPricesJson(String packPricesJson) {
        this.packPrices=SupplierContractPackPrice.jsonHandle(packPricesJson);
    }
    
    public void setPackPrices(List<SupplierContractPackPrice> packPrices) {
        this.packPrices = packPrices;
    }

    /**
     * json处理
     * @param itemsJson
     */
    public void setItemsJson(String itemsJson) {
        this.items=SupplierContractItem.jsonHandle(itemsJson);
    }
    
    public void setItems(List<SupplierContractItem> items) {
        this.items = items;
    }

    /**
     * json处理
     * @param filesJson
     */
    public void setFilesJson(String filesJson) {
        this.files=UploadFile.jsonHandle(filesJson);
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public String getStartDateStr() {
        return startDateStr;
    }
    
    public String getEndDateStr() {
        return endDateStr;
    }
    
    public void setStartDateStr(String startDateStr) {
        if (!StringUtils.isEmpty(startDateStr)) {
            this.startDateStr = startDateStr;
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date start = sdf.parse(startDateStr);
                setStartTime(start);
            } catch (Exception e) {
                throw new ServiceException("开始时间转换失败");
            }
        }
    }
    
    public void setEndDateStr(String endDateStr) {
        if (!StringUtils.isEmpty(endDateStr)) {
            this.endDateStr = endDateStr;
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date end = sdf.parse(endDateStr);
                setEndTime(end);
            } catch (Exception e) {
                throw new ServiceException("结束时间转换失败");
            }
        }
    }
    
    public String getSignDateStr() {
        return signDateStr;
    }
    
    public void setSignDateStr(String signDateStr) {
        if (!StringUtils.isEmpty(signDateStr)) {
            this.signDateStr = signDateStr;
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date signDate = sdf.parse(signDateStr);
                setSignDate(signDate);
            } catch (Exception e) {
                throw new ServiceException("结束时间转换失败");
            }
        }
    }
    
    public Integer getOperateType() {
        return operateType;
    }
    
    public void setOperateType(Integer operateType) {
        this.operateType = operateType;
    }
    
}
