package com.boco.nbd.wios.manage.entity.bo;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
@Data
public class SupplierContractItem {
    /**
     * id
     */
    private Integer id;
    
    /**
     * 合同id
     */
    private Integer contractId;
    
    /**
     * 物料/增项编号
     */
    private String itemId;
    
    /**
     * 类型 3-增项
     */
    private String type;
    
    /**
     * 单价（不含税）
     */
    private BigDecimal price;
    
    /**
     * 税率（%）
     */
    private BigDecimal taxRate;
    
    /**
     * 单价（含税）
     */
    private BigDecimal ratePrice;
    
    /**
     * 备注说明
     */
    private String description;
    
    /**
     * 创建人
     */
    private String createAccount;
    
    /**
     * 创建时间
     */
    private Date createTime;
    
    /**
     * 修改人
     */
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    private Date modifyTime;

    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<SupplierContractItem> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            List<SupplierContractItem> itemList = JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<SupplierContractItem>>() {
            }, true);
            return itemList;
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }
}