package com.boco.nbd.wios.manage.entity.bo;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
@Data
public class SupplierContractPackPrice {
    /**
     * 主键id
     */
    private Integer id;

    /**
     * 合同id
     */
    private Integer contractId;

    /**
     * 区域id
     */
    private Integer regionId;

    /**
     * 主机厂id
     */
    private Integer oemId;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 线长
     */
    private Double cableLength;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 价格（含税）
     */
    private BigDecimal priceWithTax;

    /**
     * 线长2
     */
    private Double cableLengthTwo;

    /**
     * 价格2
     */
    private BigDecimal priceTwo;

    /**
     * 价格2（含税）
     */
    private BigDecimal priceWithTaxTwo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<SupplierContractPackPrice> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            List<SupplierContractPackPrice> itemList = JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<SupplierContractPackPrice>>() {
            }, true);
            return itemList;
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }
}