package com.boco.nbd.wios.manage.entity.bo;

import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class SystemNotice {
    /**
     * 编号
     */
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 内容
     */
    private String content;

    /**
     * 状态 0-删除 1-发布
     */
    private Integer status;

    /**
     * 创建人
     */
    private String createAccount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String modifyAccount;

    /**
     * 修改时间
     */
    private Date modifyTime;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 公告附件
     */
    private String noticeAnnex;

    /**
     * 文件附件
     */
    private String fileAnnex;

    /**
     * 公告展示开始时间
     */
    @ApiModelProperty(hidden = true)
    private Date displayFrom;

    /**
     * 公告展示结束时间
     */
    @ApiModelProperty(hidden = true)
    private Date displayEnd;

    /**
     * 公告展示开始时间String
     */
    private String displayFromStr;

    /**
     * 公告展示结束时间String
     */
    private String displayEndStr;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyAccount() {
        return modifyAccount;
    }

    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getNoticeAnnex() {
        return noticeAnnex;
    }

    public void setNoticeAnnex(String noticeAnnex) {
        this.noticeAnnex = noticeAnnex;
    }

    public String getFileAnnex() {
        return fileAnnex;
    }

    public void setFileAnnex(String fileAnnex) {
        this.fileAnnex = fileAnnex;
    }

    public Date getDisplayFrom() {
        return displayFrom;
    }

    public void setDisplayFrom(Date displayFrom) {
        this.displayFromStr = displayFrom==null ? "" : displayFrom.toString();
        this.displayFrom = displayFrom;
    }

    public Date getDisplayEnd() {
        return displayEnd;
    }

    public void setDisplayEnd(Date displayEnd) {
        this.displayEndStr = displayEnd==null ? "" : displayEnd.toString();
        this.displayEnd = displayEnd;
    }
    public String getDisplayEndStr() {
        return displayEndStr;
    }
    public String getDisplayFromStr() {
        return displayFromStr;
    }

    public void setdisplayFromStr(String displayFromStr) {
        if (!StringUtils.isEmpty(displayFromStr)) {
            this.displayFromStr = displayFromStr;
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            try {
                Date start = sdf.parse(displayFromStr);
                setDisplayFrom(start);
            } catch (Exception e) {
                throw new ServiceException("开始时间转换失败");
            }
        }
    }

    public void setDisplayEndStr(String displayEndStr) {
        if (!StringUtils.isEmpty(displayEndStr)) {
            this.displayEndStr = displayEndStr;
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            try {
                Date start = sdf.parse(displayEndStr);
                setDisplayEnd(start);
            } catch (Exception e) {
                throw new ServiceException("结束时间转换失败");
            }
        }
    }
}
