package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum ChargeDeviceCheck implements IOperator {

    /**
     * ChargeDeviceCheck
     */
    ONE(1, "检查墙盒外观是否完好"), 
    TWO(2, "检查墙盒内外部各接线插头是否紧固到位，无松动。"),
    THREE(3, "充电墙盒枪头是否可以正常解锁插拔。"),
    FOUR(4, "通电，测量漏电断路器供电及输出电压是否正常。"), 
    FIVE(5,"通电后，检查墙盒是否可以正常使用。"),
    
    ;
    
    private int type;
    
    private String value;
    
    ChargeDeviceCheck(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ChargeDeviceCheck[] values = ChargeDeviceCheck.values();
        for (ChargeDeviceCheck os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
