package com.boco.nbd.wios.manage.entity.cams.enums;

import org.springframework.util.StringUtils;

/**
 * @author haica
 */
public enum HouseType implements IOperator {
    /**
     * HouseType
     */
    NORMAL(1, "普通高层"), COMMERCIAL(2, "商用两住"), VILLA(3, "别墅"), COMPANY(4, "公司"), FACTORY(5, "厂房"), SELF_BUILD(6, "自建房"), OTHER(7, "其他"),;
    
    private int type;
    
    private String value;
    
    HouseType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(Integer type) {
        if (type == null) {
            return "";
        }
        HouseType[] values = HouseType.values();
        for (HouseType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    public static Integer getTypeByValue(String value) {
        if (StringUtils.isEmpty(value)) {
            return null;
        }
        HouseType[] values = HouseType.values();
        for (HouseType os : values) {
            if (os.getValue().equals(value)) {
                return os.getType();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
