package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @Description 基本信息配置enums
 * @author liwenxiang
 * @date 2021/7/26 10:44
 * @return
 */
public enum InfoConfigSingleTypes implements IOperator {

    /**
     * InfoConfigSingleTypes
     */
    XCX_SIGN_TIME(105, "小程序勘测、安装签到提前提醒(分钟)"),
    XCX_SIGN_SCOPE(106, "小程序勘测、安装签到范围(米)"),
    ;
    private int type;

    private String value;

    InfoConfigSingleTypes(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        InfoConfigSingleTypes[] values = InfoConfigSingleTypes.values();
        for (InfoConfigSingleTypes os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
