package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @Description 基本信息配置enums
 * @author liwenxiang
 * @date 2021/7/26 10:44
 * @return
 */
public enum InfoConfigTypes implements IOperator {

    /**
     * InfoConfigTypes
     */
    FIRST_CONNECT_PERSON(11, "首联人"),
    INVOICE_MAIL(13, "纸质票开票提醒邮箱"),
    EXPRESS_DELIVERY(14, "快递公司"),
    REMARK_TAG(15, "状态标签(备注)"),
    ;
    private int type;

    private String value;

    InfoConfigTypes(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        InfoConfigTypes[] values = InfoConfigTypes.values();
        for (InfoConfigTypes os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
