package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum OperateLogType implements IOperator  {

    /**
     * OperateLogType
     */
    ORDER_STATUS(1, "订单状态"),
    SUPPLIER_CHANGE(3, "更换安装服务商"), 
    STAFF_CHANGE(4, "更换电工"),
    EXPAND(5, "报装"),
    ORDER_REMARK(6, "订单备注"),
    
    ;
    private int type;
    
    private String value;
    
    OperateLogType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        OperateLogType[] values = OperateLogType.values();
        for (OperateLogType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }

    public static OperateLogType get(int type) {
        OperateLogType[] values = OperateLogType.values();
        for (OperateLogType os : values) {
            if (os.getType() == type) {
                return os;
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
