package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum TimingConfig implements IOperator {

    /**
     * TimingConfig
     * ACCEPT(100, "接单时效"),
     */
    FIRST_CONTACT_TIME(101, "首联处理时限"),
    ACCEPT_ORDER_TIME(103, "接单处理时限"),
    ELECTRIC_EXPAND_TIME(115, "电力报装节点处理时限"),
    SURVEY_RESERVE_TIME(104, "勘测预约处理时限"),
    UPLOAD_SURVEY_DATA_TIME(106, "上传勘测资料处理时限"),
    APPROVE_SURVEY_DATA_TIME(107, "勘测资料审核处理时限"),
    RESERVE_INSTALL_TIME(108, "预约安装处理时限"),
    UPLOAD_INSTALL_DATA_TIME(111, "上传安装资料处理时限"),
    APPROVE_INSTALL_DATA_TIME(112, "安装资料审核处理时限");

    private int type;

    private String value;

    TimingConfig(int type, String value) {
        this.type = type;
        this.value = value;
    }

    public static String getText(int type) {
        TimingConfig[] values = TimingConfig.values();
        for (TimingConfig os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }

    @Override
    public int getType() {
        return type;
    }

    @Override
    public String getValue() {
        return value;
    }
}
