package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * 上传文件类型
 *
 * @author xgl
 * @version [版本号, 2020年10月10日]
 */
public enum UploadFileType implements IOperator {

    /**
     * UploadFileType
     * modify 2022-10-25 新增勘测、安装文件类型，因为原先代码中存在use_type过滤的逻辑，
     * 附件数据放到SURVEY_ORDER、INSTALL_ORDER下存在问题
     */
    SURVEY_ORDER(1, "勘察订单"),
    INSTALL_ORDER(2, "安装订单"),
    OEM_CONTRACT(3, "主机厂合同"),
    SUPPLIER_CONTRACT(4, "服务商合同"),
    INSTALL_CHANGE_ORDER(5, "变更安装订单"),
    INSTALL_CHANGE(6, "变更安装审核"),
    ORDER(7, "订单附件"),
    OEM(8, "主机厂"),
    SURVEY_MATERIAL(10, "勘测报告材料上传"),
    SURVEY_PHOTO(11, "勘测照片上传"),
    INSTALL_MATERIAL(20, "安装验收单材料上传"),
    INSTALL_PHOTO(21, "安装照片上传");

    private int type;

    private String value;

    UploadFileType(int type, String value) {
        this.type = type;
        this.value = value;
    }

    public static String getText(int type) {
        UploadFileType[] values = UploadFileType.values();
        for (UploadFileType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }

    @Override
    public int getType() {
        return type;
    }

    @Override
    public String getValue() {
        return value;
    }
}
