/**
 * Project Name: warehouse
 * File Name: MaterialsDTO
 * Package Name: com.starcharge.warehouse.dto.materials
 * Date: 2020/10/21 16:34
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 16:34
 */
@Data
public class MaterialsDTO {

    @ApiModelProperty(value = "物料ID")
    private String id;

    @ApiModelProperty(value = "物料名称")
    private String materialsName;

    @ApiModelProperty(value = "物料编码")
    private String materialsCode;

    @ApiModelProperty(value = "规则型号")
    private String regularModel;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "类型 1：物料 2：增项")
    private Integer type;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "仓库ID")
    private String warehouseId;

    @ApiModelProperty(value = "仓库名称")
    private String warehouseName;

    @ApiModelProperty(value = "总数量")
    private BigDecimal totalNumber;

    @ApiModelProperty(value = "已用数量")
    private BigDecimal hasNumber;

    @ApiModelProperty(value = "剩余数量")
    private BigDecimal remainingNumber;

    @ApiModelProperty(value = "待用数量")
    private BigDecimal stayWithNumber;
}
