/**
 * Project Name: warehouse
 * File Name: MaterialsQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/21 11:06
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import com.boco.nbd.cams.core.constant.CamsConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * Description
 *
 * @author lvpeng
 * @date 2020/10/21 11:06
 */
@Data
public class MaterialsQuery {

    @ApiModelProperty(value = "物料ID")
    private String id;

    @ApiModelProperty(value = "appkey", required = true)
    private String appkey;

    @ApiModelProperty(value = "仓库Id，多个以逗号隔开")
    private String warehouseId;

    @ApiModelProperty(value = "物料名称")
    private String materialsName;

    @ApiModelProperty(value = "物料编码")
    private String materialsCode;

    @ApiModelProperty(value = "规则型号")
    private String regularModel;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "类别 1：物料 2：增项 3:充电桩")
    private Integer type;

    @ApiModelProperty(value = "类别 1：物料 2：增项 3:充电桩 多个用逗号隔开")
    private String types;

    @ApiModelProperty(value = "分页起始数据")
    private Integer page;

    @ApiModelProperty(value = "分页数量")
    private Integer pagecount;

    @ApiModelProperty(value = "是否绑定仓库 0：否 1：是", required = true)
    private Integer isBindWareHouse;

    /**
     * 分割数据
     *
     * @param data
     * @return
     */
    public List<String> splitData(String data) {
        if (StringUtils.isNotBlank(data)) {
            return Arrays.asList(data.split(CamsConstant.COMMA));
        }
        return new ArrayList<>(1);
    }
}
