/**
 * Project Name: warehouse
 * File Name: MaterialsQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/19 13:24
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author lvpeng
 * @date 2020/10/19 13:24
 */
@Data
public class MaterialsSaveQuery {

    @ApiModelProperty(value = "物料ID")
    private String id;

    @ApiModelProperty(value = "物料名称", required = true)
    private String materialsName;

    @ApiModelProperty(value = "物料编码", required = true)
    private String materialsCode;

    @ApiModelProperty(value = "规则型号", required = true)
    private String regularModel;

    @ApiModelProperty(value = "单位", required = true)
    private String unit;

    @ApiModelProperty(value = "类别 1：物料 2：增项 3：充电桩 4：高附加值材料", required = true)
    private Integer type;

    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<MaterialsSaveQuery> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            return JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<MaterialsSaveQuery>>() {
            }, true);
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }

}

