/**
 * Project Name: warehouse
 * File Name: SingleQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/22 15:24
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/22 15:24
 */
public class SingleQuery {

    @ApiModelProperty(value = "单据编号")
    private String id;

    @ApiModelProperty(value = "类型 0:调拨单 1:入库单 2:退回单")
    private Integer type;

    @ApiModelProperty(value = "收货人")
    private String receiver;

    @ApiModelProperty(value = "收货地址")
    private String shippingAddress;

    @ApiModelProperty(value = "联系电话")
    private String contactNumber;

    @ApiModelProperty(value = "调入仓库")
    private String transferIn;

    @ApiModelProperty(value = "调出仓库")
    private String transferOut;

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    @ApiModelProperty(value = "物料编码")
    private String materialsCode;

    @ApiModelProperty(value = "分页起始数据",required = true)
    private Integer page;

    @ApiModelProperty(value = "分页数量",required = true)
    private Integer pagecount;

    @ApiModelProperty(value = "安装服务商，多个以逗号隔开")
    private String serviceProvider;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getTransferIn() {
        return transferIn;
    }

    public void setTransferIn(String transferIn) {
        this.transferIn = transferIn;
    }

    public String getTransferOut() {
        return transferOut;
    }

    public void setTransferOut(String transferOut) {
        this.transferOut = transferOut;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getMaterialsCode() {
        return materialsCode;
    }

    public void setMaterialsCode(String materialsCode) {
        this.materialsCode = materialsCode;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPagecount() {
        return pagecount;
    }

    public void setPagecount(Integer pagecount) {
        this.pagecount = pagecount;
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider;
    }
}
