/**
 * Project Name: warehouse
 * File Name: SingleSaveQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/21 18:16
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 18:16
 */
public class SingleSaveQuery {

    @ApiModelProperty(value = "单据编号,修改必传")
    private String id;

    @ApiModelProperty(value = "类型 0:调拨单 1:入库单 2:退回单 3：出库单",required = true)
    private Integer type;

    @ApiModelProperty(value = "收货人")
    private String receiver;

    @ApiModelProperty(value = "收货地址")
    private String shippingAddress;

    @ApiModelProperty(value = "联系电话")
    private String contactNumber;

    @ApiModelProperty(value = "说明")
    private String info;

    @ApiModelProperty(value = "调入仓库",required = true)
    private String transferIn;

    @ApiModelProperty(value = "调出仓库")
    private String transferOut;

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    @ApiModelProperty(value = "用户ID",required = true)
    private String accountId;

    @ApiModelProperty(value = "物料集合")
    private List<WarehouseMaterialsQuery> warehouseMaterialsQueryList;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getTransferIn() {
        return transferIn;
    }

    public void setTransferIn(String transferIn) {
        this.transferIn = transferIn;
    }

    public String getTransferOut() {
        return transferOut;
    }

    public void setTransferOut(String transferOut) {
        this.transferOut = transferOut;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public List<WarehouseMaterialsQuery> getWarehouseMaterialsQueryList() {
        return warehouseMaterialsQueryList;
    }

    public void setWarehouseMaterialsQueryList(List<WarehouseMaterialsQuery> warehouseMaterialsQueryList) {
        this.warehouseMaterialsQueryList = warehouseMaterialsQueryList;
    }
}
