/**
 * Project Name: warehouse
 * File Name: WarehouseDTO
 * Package Name: com.starcharge.warehouse.dto.warehouse
 * Date: 2020/10/21 10:02
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 10:02
 */
@Data
public class WarehouseDTO implements Serializable {
    private static final long serialVersionUID = -1L;

    @ApiModelProperty(value = "仓库ID")
    private String id;

    @ApiModelProperty(value = "仓库等级ID")
    private String warehouseLevenId;
    @ApiModelProperty(value = "仓库等级名称")
    private String warehouseLevenName;

    @ApiModelProperty(value = "仓库名称")
    private String name;

    @ApiModelProperty(value = "区域")
    private String area;

    @ApiModelProperty(value = "安装服务商")
    private String serviceProvider;

    @ApiModelProperty(value = "仓库归属")
    private String warehouseAttribution;
    @ApiModelProperty(value = "仓库归属名称")
    private String warehouseAttributionName;

    @ApiModelProperty(value = "描述")
    private String msg;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建用户")
    private String createAccount;

    @ApiModelProperty(value = "更新用户")
    private String modifyAccount;

    @ApiModelProperty(value = "更新时间")
    private Date modifyTime;

    @ApiModelProperty(value = "appkey")
    private String appkey;

    @ApiModelProperty(value = "是否启用 0：否 1：是")
    private Integer isEnabled;
    @ApiModelProperty(value = "是否启用的名称")
    private String isEnabledName;

    @ApiModelProperty("是否可删除，0：否 1：是")
    private Integer isDel;

    @ApiModelProperty(value = "全路径code")
    private String pathCode;

    @ApiModelProperty(value = "全路径名称")
    private String pathName;
    @ApiModelProperty(value = "上级仓库ID")
    private String superiorWarehouseId;
    @ApiModelProperty(value = "收件人")
    private String receivePeople;
    @ApiModelProperty(value = "收件电话")
    private String receivePhone;
    @ApiModelProperty(value = "收件地址")
    private String receiveAddress;
    @ApiModelProperty(value = "安装服务商团队的名字")
    private String serviceProviderName;
    @ApiModelProperty(value = "上级仓库的名字")
    private String superiorWarehouseName;
}
