/**
 * Project Name: warehouse
 * File Name: WarehouseMaterialsQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/21 18:20
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;


import cn.hutool.core.lang.TypeReference;
import cn.hutool.json.JSONUtil;
import com.ihidea.core.support.exception.ServiceException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 18:20
 */
@Data
public class WarehouseMaterialsQuery {

    @ApiModelProperty(value = "物料ID",required = true)
    private String materialsId;

    @ApiModelProperty(value = "物料名称",required = true)
    private String materialsName;

    @ApiModelProperty(value = "物料编码",required = true)
    private String materialsCode;

    @ApiModelProperty(value = "单位",required = true)
    private String unit;

    @ApiModelProperty(value = "数量",required = true)
    private BigDecimal number;

    /**
     * json 处理
     *
     * @param json
     * @return
     */
    public static List<WarehouseMaterialsQuery> jsonHandle(String json) {
        if (StringUtils.isEmpty(json)) {
            return new ArrayList<>(1);
        }
        try {
            List<WarehouseMaterialsQuery> itemList = JSONUtil.toBean(JSONUtil.parse(json), new TypeReference<List<WarehouseMaterialsQuery>>() {
            }, true);
            return itemList;
        } catch (Exception ex) {
            throw new ServiceException("数据转换异常");
        }
    }


}
