package com.boco.nbd.wios.manage.entity.po;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.manage.entity.bo.DictionaryBO;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/17 11:12
 * @version:V1.0
 * @description:DictionaryPO
 * @modify:
 */
@Data
@ApiModel(value = "系统字典表")
@Table(name = "t_dictionary")
public class DictionaryPO implements Serializable {

    private String id;

    /**
     * 字典类型
     */
    private String type;

    /**
     * 键
     */
    private String name;

    /**
     * 值
     */
    private String value;

    /**
     * 0:删除 1:正常
     */
    private Integer status;

    /**
     * 排序
     */
    private Date sortTime;

    /**
     * 创建人
     */
    private String createAccount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String modifyAccount;

    /**
     * 修改时间
     */
    private Date modifyTime;

    /**
     * 是否结算：0：否，1：是
     */
    private Integer isSettle;

    /**
     * 是否多个值0：否，1：是
     */
    private Integer multiple;

    /**
     * 设备编号长度(0:不限)
     */
    private Integer deviceLen;

    /**
     * toBo
     * @return
     */
    public DictionaryBO toBo(){
        DictionaryBO bo=new DictionaryBO();
        BeanUtil.copyProperties(this,bo);
        return bo;
    }
}
