package com.boco.nbd.wios.manage.entity.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/17 9:35
 * @version:V1.0
 * @description:MenuPO
 * @modify:
 */
@ApiModel(value = "菜单模型")
@Data
@Table(name = "wb_menu")
public class MenuPO implements Serializable {

    @Id
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "上级菜单id")
    private String parentId;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "英文名称")
    private String eName;

    @ApiModelProperty(value = "中文名称")
    private String cName;

    @ApiModelProperty(value = "菜单路径")
    private String path;

    @ApiModelProperty(value = "类型（0：左侧菜单，1：按钮，2：子页面）")
    private Integer type;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "应用类型 0-管理后台 1-小程序")
    private Integer appType;

    @ApiModelProperty(value = "排序号")
    private Integer sortOrder;
}
