package com.boco.nbd.wios.manage.entity.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/16 12:27
 * @version:V1.0
 * @description:RegionPO
 * @modify:
 */
@ApiModel(value = "区域对象模型")
@Data
@Table(name = "t_region")
public class RegionPO implements Serializable {

    @ApiModelProperty(hidden = true)
    @Id
    private Integer id;

    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true)
    private String name;

    /**
     * 上级id
     */
    @ApiModelProperty(value = "父级id", required = true)
    private Integer parentId;

    /**
     * id层级关系
     */
    @ApiModelProperty(hidden = true)
    private String idTree;

    /**
     * 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;

}
