package com.boco.nbd.wios.manage.entity.settlement.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yong
 * t_settlement_detail 结算明细
 */
@Data
public class SettlementDetail {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "结算单号")
    private String settlementId;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "用户手机号")
    private String userPhone;

    @ApiModelProperty(value = "设备价格")
    private BigDecimal deviceFee;

    @ApiModelProperty(value = "设备价格（含税）")
    private BigDecimal deviceFeeWithTax;

    @ApiModelProperty(value = "安装服务费")
    private BigDecimal installServiceFee;

    @ApiModelProperty(value = "安装服务费（含税）")
    private BigDecimal installServiceFeeWithTax;

    @ApiModelProperty(value = "总费用")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "总费用(含税)")
    private BigDecimal totalFeeWithTax;

    @ApiModelProperty(value = "安装完成时间")
    private Date installFinishTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除：0：否，1：是")
    private Integer isDel;

    /**
     * 构造函数
     */
    public SettlementDetail() {
        if (deviceFee == null) {
            deviceFee = BigDecimal.ZERO;
        }
        if (deviceFeeWithTax == null) {
            deviceFeeWithTax = BigDecimal.ZERO;
        }
        if (installServiceFee == null) {
            installServiceFee = BigDecimal.ZERO;
        }
        if (installServiceFeeWithTax == null) {
            installServiceFeeWithTax = BigDecimal.ZERO;
        }
        if (totalFee == null) {
            totalFee = BigDecimal.ZERO;
        }
    }
}