package com.boco.nbd.wios.manage.entity.settlement.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yong
 * t_settlement_detail_supplier
 */
@Data
public class SettlementDetailSupplier {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "结算单号")
    private String settlementId;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主联系方式")
    private String userPhone;

    @ApiModelProperty(value = "勘察价格")
    private BigDecimal surveyFee;

    @ApiModelProperty(value = "勘测价格（含税）")
    private BigDecimal surveyFeeWithTax;

    @ApiModelProperty(value = "增项价格")
    private BigDecimal itemFee;

    @ApiModelProperty(value = "增项价格含税")
    private BigDecimal itemFeeWithTax;

    @ApiModelProperty(value = "安装价格")
    private BigDecimal installFee;

    @ApiModelProperty(value = "安装价格（含税）")
    private BigDecimal installFeeWithTax;

    @ApiModelProperty(value = "报装价格")
    private BigDecimal expandFee;

    @ApiModelProperty(value = "订单总价")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "总费用(含税)")
    private BigDecimal totalFeeWithTax;

    @ApiModelProperty(value = "完成时间")
    private Date finishTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除：0：否，1：是")
    private Integer isDel;

    /**
     * 构造函数
     */
    public SettlementDetailSupplier() {
        if (surveyFee == null) {
            surveyFee = BigDecimal.ZERO;
        }
        if (surveyFeeWithTax == null) {
            surveyFeeWithTax = BigDecimal.ZERO;
        }
        if (itemFee == null) {
            itemFee = BigDecimal.ZERO;
        }
        if (itemFeeWithTax == null) {
            itemFeeWithTax = BigDecimal.ZERO;
        }
        if (installFee == null) {
            installFee = BigDecimal.ZERO;
        }
        if (installFeeWithTax == null) {
            installFeeWithTax = BigDecimal.ZERO;
        }
        if (totalFee == null) {
            totalFee = BigDecimal.ZERO;
        }
        if (totalFeeWithTax == null) {
            totalFeeWithTax = BigDecimal.ZERO;
        }
        if (expandFee == null) {
            expandFee = BigDecimal.ZERO;
        }
    }
}