package com.boco.nbd.wios.manage.entity.settlement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author haica
 */
@Data
public class InvoiceDTO {

    @ApiModelProperty(value = "发票id")
    private String id;

    @ApiModelProperty(value = "第三⽅发票 id")
    private String outInvoiceId;
    
    @ApiModelProperty(value = "抬头")
    private String invoiceTitle;
    
    @ApiModelProperty(value = "总金额")
    private BigDecimal invoiceAmount;
    
    @ApiModelProperty(value = "申请开票时间")
    private String applyTime;
    
    @ApiModelProperty(value = "开票状态，0待开票；1已开票；2已完成")
    private Integer status;
    
    @ApiModelProperty(value = "开票类型,1增值税普通发票；2增值税专⽤发票")
    private Integer invoiceType;

    @ApiModelProperty(value = "发票材质 1：纸质发票， 2：电⼦发票")
    private Integer invoiceMaterial;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;
    
    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;
    
    @ApiModelProperty(value = "开票主体类型，1：个⼈，2：企业")
    private Integer businessType;
    
    @ApiModelProperty(value = "开票方")
    private String finalInvoiceCompanyName;
    
}
