package com.boco.nbd.wios.manage.entity.settlement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author lilin
 * @version [4.0.0, 2017年7月1日]
 */
@Data
public class InvoiceDetailDTO {

    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;

    @ApiModelProperty(value = "开票主体1：个⼈，2：企业")
    private Integer businessType;

    @ApiModelProperty(value = "发票类型，1：增值税普通发票，2：增值税专⽤发票，")
    private Integer invoiceType;

    @ApiModelProperty(value = "发票材质 1：纸质发票， 2：电⼦发票")
    private Integer invoiceMaterial;

    @ApiModelProperty(value = "抬头")
    private String invoiceTitle;

    @ApiModelProperty(value = "金额")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value = "状态，0待开票；1已开票；2已完成")
    private Integer status;

    @ApiModelProperty(value = "付款⽅税务登记号")
    private String payerRegisterNo;

    @ApiModelProperty(value = "付款⽅开户银⾏")
    private String payerBank;

    @ApiModelProperty(value = "付款⽅银⾏账号")
    private String payerBankAccount;

    @ApiModelProperty(value = "付款⽅公司地址")
    private String payerAddress;

    @ApiModelProperty(value = "付款⽅公司电话")
    private String payerPhone;

    @ApiModelProperty(value = "电⼦发票图⽚链接")
    private String eInvoiceMiniUrl;

    @ApiModelProperty(value = "收件⼈")
    private String name;

    @ApiModelProperty(value = "收件地址")
    private String address;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "快递⽀付⼈，0 购票⽅；1出票⽅")
    private String expressPayer;

    @ApiModelProperty(value = "快递名称")
    private String expressName;

    @ApiModelProperty(value = "快递单号")
    private String expressNum;

    @ApiModelProperty(value = "快递⾦额")
    private String expressAmount;

    private List<AdditionFee> additionFeeList;

    @Data
    public class AdditionFee {

        @ApiModelProperty(value = "单号")
        private String orderId;

        @ApiModelProperty(value = "名称")
        private String name;

        @ApiModelProperty(value = "创建时间")
        private String createTime;

        @ApiModelProperty(value = "含税价格")
        private BigDecimal feeWithTax;

        @ApiModelProperty(value = "价格")
        private BigDecimal fee;

        @ApiModelProperty(value = "税费")
        private BigDecimal tax;

        @ApiModelProperty(value = "税率")
        private BigDecimal taxRate;
    }
}
