package com.boco.nbd.wios.manage.entity.settlement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author kevin
 * @create 2020/12/1 16:05
 */
@Data
public class InvoiceVo {

    @ApiModelProperty(value="发票流⽔号")
    private String invoiceId;

    @ApiModelProperty(value="申请开票⽅appkey", hidden = true)
    private String invoiceAppkey;

    @ApiModelProperty(value="第三⽅发票编号", hidden = true)
    private String outInvoiceId;

    @ApiModelProperty(value="申请⽤户id", hidden = true)
    private String userId;

    @ApiModelProperty(value="申请开票订单id，逗号分隔", hidden = true)
    private String orderIds;

    @ApiModelProperty(value="发票材质， 1：纸质， 2：电⼦", required = true)
    private Integer invoiceMaterial;

    @ApiModelProperty(value="开票主体类型，1：个⼈，2：企业", required = true)
    private Integer businessType;

    @ApiModelProperty(value="发票类型， 1：增值税普通发票，2：增值税专⽤发票", required = true)
    private Integer invoiceType;

    @ApiModelProperty(value="开票金额")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value="发票抬头", required = true)
    private String invoiceTitle;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value="购货⽅税号，【开票主体为企业时必填】")
    private String payerRegisterNo;

    @ApiModelProperty(value="发票内容")
    private String content;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="快递费⽤⽀付⽅，0：购票⽅，1：出票⽅", hidden = true)
    private Integer expressPayer;

    @ApiModelProperty(value="购货方邮箱地址", required = true)
    private String payerEmail;

    @ApiModelProperty(value="状态 0待开票，1已开票，2已完成", hidden = true)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="开票时间")
    private Date invoiceTime;

    @ApiModelProperty(value="申请发票类型 0=充电开票申请，8=建筑服务安装申请", hidden = true)
    private Integer type;

    @ApiModelProperty(value="收件人")
    private String name;

    @ApiModelProperty(value="收件地址")
    private String address;

    @ApiModelProperty(value="联系电话")
    private String phone;

    @ApiModelProperty(value="开户银行")
    private String payerBank;

    @ApiModelProperty(value="开户账号")
    private String payerBankAccount;

    @ApiModelProperty(value="开户电话")
    private String payerPhone;

    @ApiModelProperty(value="公司地址")
    private String payerAddress;
}
