package com.boco.nbd.wios.manage.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 墙盒申请详情页面
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyDetailVO {


    /**
     * t_order数据
     */
    @ApiModelProperty(value = "客户姓名")
    private String userName;

    @ApiModelProperty(value = "联系电话")
    private String userPhone;

    @ApiModelProperty(value = "安装单号")
    private String orderId;

    @ApiModelProperty(value = "墙盒设备型号")
    private String itemModel;

    @ApiModelProperty(value = "墙盒设备编号")
    private String wallboxCode;
    @ApiModelProperty(value = "预约安装时间")
    private String installFinishTime;

    @ApiModelProperty(value = "墙盒品牌")
    private String wallboxModel;
    private String regionLevel;
    private String provinceName;
    private String areaName;
    private String countryName;
    private String warehouseId;
    private String address;
    private String outOrderId;
    @ApiModelProperty(value = "物流单号")
    private String trackingNumber;
    /** 物流状态 */
    @ApiModelProperty(value = "物流状态")
    private String logisticsStatus;
    /**
     * t_delivery
     */
    @ApiModelProperty(value = "物流供应商")
    private String logisticCompany;


    /**
     * t_wallbox_apply
     */
    @ApiModelProperty(value = "安装状态")
    private String installStatus;

    /** 安装服务商id */
    @ApiModelProperty(value = "安装服务商id")
    private String supplierId;

    /** 申请团队名称 */
    @ApiModelProperty(value = "申请团队名称")
    private String supplierTeam;

    /** 墙盒设备型号（对应物料id） */
    @ApiModelProperty(value = "墙盒设备型号（对应物料id）")
    private String wallboxItemId;

    /** 墙盒类型*/
    @ApiModelProperty(value = "墙盒类型")
    private String wallboxType;

    @ApiModelProperty(value = "预约安装时间")
    private String installReserveTime;

    /** 是否紧急：0：否，1：是 */
    @ApiModelProperty(value = "是否特殊申请")
    private Integer ifEmergency;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "审核状态")
    private Long checkStatus;

    /** 创建时间 */
    @ApiModelProperty(value = "申请时间")
    private Date createdTime;

    @ApiModelProperty(value = "审核时间")
    private Date checkTime;

    @ApiModelProperty(value = "审核人员")
    private String checkAccount;
    private String checkName;

    @ApiModelProperty(value = "审核意见")
    private String checkRemarks;

    /**
     * 物流接口
     */
    private String trackingInfo;

}
