package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Account;
import com.boco.nbd.wios.manage.entity.bo.AccountBo;
import com.boco.nbd.wios.manage.entity.bo.AccountRole;
import com.boco.nbd.wios.manage.entity.bo.AccountVo;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 员工账户拓展mapper
 *
 * @author zhucheng
 * @date 2020/5/19 17:29
 */
public interface AccountMapperEx extends CoreDao {

    /**
     * 查询账户信息forUpdate
     *
     * @param id id
     * @return entity
     */
    Account selectByPrimaryKeyForUpdate(Integer id);

    /**
     * 批量新增账户/角色关联关系
     *
     * @param accountRoleList 账户/角色关联关系集合
     * @return 新增成功的条数
     */
    @Insert("<script>insert into wb_account_role(account_id, role_id, create_account_id, create_time) values "
        + "<foreach collection='accountRoleList' item='item' index='index' separator=','>("
        + "#{item.accountId,jdbcType=INTEGER}, #{item.roleId,jdbcType=INTEGER}, "
        + "#{item.createAccountId,jdbcType=INTEGER}, #{item.createTime,jdbcType=TIMESTAMP}" + ")</foreach></script>")
    int batchInsertAccountRole(@Param("accountRoleList") List<AccountRole> accountRoleList);

    /**
     * 查询
     * @param condition
     * @return
     */
    List<AccountVo> getListForOem(AccountBo condition);

    /**
     * 查询 ids
     * @param ids
     * @return
     */
    List<Account> selectByIds(List<Integer> ids);

    /**
     * 查询 parentIds
     * @param parentIds
     * @param account
     * @param name
     * @return
     */
    List<AccountVo> selectByParentIds(@Param("parentIds") List<Integer> parentIds, @Param("account") String account,
        @Param("name") String name);
}
