package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Department;
import com.boco.nbd.wios.manage.entity.bo.DepartmentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface DepartmentMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param department
     * @return
     */
    int insert(Department department);

    /**
     * insertDynamic
     * @param department
     * @return
     */
    int insertDynamic(Department department);

    /**
     * updateDynamic
     * @param department
     * @return
     */
    int updateDynamic(Department department);

    /**
     * update
     * @param department
     * @return
     */
    int update(Department department);

    /**
     * selectById
     * @param id
     * @return
     */
    Department selectById(Integer id);

    /**
     * selectByParentId
     * @param parentId
     * @return
     */
    List<Department> selectByParentId(int parentId);

    /**
     * selectAll
     * @param status
     * @return
     */
    List<DepartmentVo> selectAll(@Param("status") Integer status);

    /**
     * updateIdTree
     * @param idTreeNewPrefix
     * @param idTreePrefix
     * @return
     */
    int updateIdTree(@Param("idTreeNewPrefix") String idTreeNewPrefix, @Param("idTreePrefix") String idTreePrefix);
}
