package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Dictionary;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 字典dao
 *
 * @author xgl
 * @version [版本号, 2020年9月30日]
 */
@Repository
public class DictionaryDao {

    @Resource
    private DictionaryMapper dictionaryMapper;

    public List<Dictionary> selectValidByType(String type, String name) {
        return dictionaryMapper.selectValidByType(type, name,null);
    }

    public int insert(Dictionary dic) {
        dic.setCreateTime(new Date());
        dic.setStatus(1);
        dic.setId(UUID.randomUUID().toString());
        return dictionaryMapper.insert(dic);
    }

    public int update(Dictionary dic) {
        dic.setModifyTime(new Date());
        return dictionaryMapper.updateDynamic(dic);
    }

    public int deleteByType(String type) {
        return dictionaryMapper.deleteByType(type);
    }

    public int batchInsert(List<Dictionary> list) {
        list.stream().forEach(dic -> {
            dic.setCreateTime(new Date());
            dic.setStatus(1);
            dic.setId(UUID.randomUUID().toString());
        });
        return dictionaryMapper.batchInsert(list);
    }

    public Dictionary selectById(String id) {
        return dictionaryMapper.selectById(id);
    }

    public List<Dictionary> selectValidById(String type, String name, String id) {
        return dictionaryMapper.selectValidById(type, name, id);
    }

    public List<Dictionary> selectValidByValue(String type, String value) {
        return dictionaryMapper.selectValidByType(type, null, value);
    }
}
