package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Dictionary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface DictionaryMapper {
    /**
     * 删除
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * 增
     * @param dictionary
     * @return
     */
    int insert(Dictionary dictionary);

    /**
     * 增
     * @param dictionary
     * @return
     */
    int insertDynamic(Dictionary dictionary);

    /**
     * 修改
     * @param dictionary
     * @return
     */
    int updateDynamic(Dictionary dictionary);

    /**
     * 修改
     * @param dictionary
     * @return
     */
    int update(Dictionary dictionary);

    /**
     * 查询
     * @param id
     * @return
     */
    Dictionary selectById(String id);

    /**
     * 查询
     * @param type
     * @param name
     * @param value
     * @return
     */
    List<Dictionary> selectValidByType(@Param("type") String type, @Param("name") String name, @Param("value") String value);

    /**
     * 删除
     * @param type
     * @return
     */
    int deleteByType(String type);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int batchInsert(List<Dictionary> list);

    /**
     * 查询
     * @param type
     * @param name
     * @param id
     * @return
     */
    List<Dictionary> selectValidById(@Param("type") String type, @Param("name") String name,@Param("id")  String id);
}
