package com.boco.nbd.wios.manage.mapper.def;

import cn.hutool.core.collection.CollUtil;
import com.bestvike.linq.Linq;
import com.boco.nbd.wios.manage.entity.bo.InfoConfig;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author liwenxiang
 * @Description InfoConfigDao
 * @date 2021/7/24 13:46
 * @return
 */
@Repository
public class InfoConfigDao {
    @Resource
    private InfoConfigMapper infoConfigMapper;

    /**
     * 获取有效的配置
     *
     * @param type
     * @return
     */
    public List<String> selectValidConfigName(Integer type) {
        List<InfoConfig> configs = selectValidNameType(type, null);
        if (CollUtil.isEmpty(configs)) {
            return new ArrayList<>(1);
        }
        return Linq.of(configs).select(s -> s.getName()).toList();
    }

    /**
     * 获取有效的配置项
     *
     * @param type
     * @param name
     * @return
     */
    public List<InfoConfig> selectValidNameType(Integer type, String name) {
        return infoConfigMapper.selectValidNameType(type, name);
    }

    public void insertSelective(InfoConfig infoConfig) {
        infoConfigMapper.insertSelective(infoConfig);
    }

    public void updateByPrimaryKeySelective(InfoConfig infoConfig) {
        infoConfigMapper.updateByPrimaryKeySelective(infoConfig);
    }

    public InfoConfig selectByPrimaryKey(String id) {
        return infoConfigMapper.selectByPrimaryKey(id);
    }
}
