package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.Invoice;
import com.boco.nbd.wios.manage.entity.bo.InvoiceCriteria;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author liwenxiang
 * @Description 发票dao
 * @Param
 * @date 2021/8/23 15:20
 * @return
 */
@Repository
public class InvoiceDao {

    @Resource
    private InvoiceMapper invoiceMapper;

    /**
     * 通过主键查询
     *
     * @param orderId
     * @return
     */
    public Invoice selectByPrimaryKey(String orderId) {
        return invoiceMapper.selectByPrimaryKey(orderId);
    }

    /**
     * 获取存在增项增项费用发票号数据
     *
     * @return
     */
    public List<Invoice> getAdditionalCostInvoiceList() {
        return invoiceMapper.getAdditionalCostInvoiceList();
    }

    /**
     * 插入
     *
     * @param invoice
     * @return
     */
    public int insertSelective(Invoice invoice) {
        return invoiceMapper.insertSelective(invoice);
    }

    /**
     * 更新
     *
     * @param invoice
     * @return
     */
    public int updateByPrimaryKeySelective(Invoice invoice) {
        return invoiceMapper.updateByPrimaryKeySelective(invoice);
    }

    /**
     * 查询
     *
     * @param example
     * @return
     */
    public List<Invoice> selectByExample(InvoiceCriteria example) {
        return invoiceMapper.selectByExample(example);
    }

    /**
     * 更新安装开票
     *
     * @param invoice
     * @return
     */
    public int updateInstall(Invoice invoice) {
        Invoice param = new Invoice();
        param.setPackageInstallFeeWithTax(invoice.getPackageInstallFeeWithTax());
        param.setPackageInstallInvoiceDate(invoice.getPackageInstallInvoiceDate());
        param.setPackageInstallInvoiceStatus(invoice.getPackageInstallInvoiceStatus());
        param.setPackageInstallTax(invoice.getPackageInstallTax());
        param.setPackageInstallInvoiceNumber(invoice.getPackageInstallInvoiceNumber());
        param.setPackageInstallReceiveStatus(invoice.getPackageInstallReceiveStatus());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        param.setSubmitItem(invoice.getSubmitItem());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }

    /**
     * 更新设备开票
     *
     * @param invoice
     * @return
     */
    public int updateDevice(Invoice invoice) {
        Invoice param = new Invoice();
        param.setPackageDeviceFeeWithTax(invoice.getPackageDeviceFeeWithTax());
        param.setPackageDeviceInvoiceDate(invoice.getPackageDeviceInvoiceDate());
        param.setPackageDeviceInvoiceStatus(invoice.getPackageDeviceInvoiceStatus());
        param.setPackageDeviceTax(invoice.getPackageDeviceTax());
        param.setPackageDeviceInvoiceNumber(invoice.getPackageDeviceInvoiceNumber());
        param.setPackageDeviceReceiveStatus(invoice.getPackageDeviceReceiveStatus());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        param.setSubmitItem(invoice.getSubmitItem());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }

    /**
     * 更新服务商开票
     *
     * @param invoice
     * @return
     */
    public int updateSupplier(Invoice invoice) {
        Invoice param = new Invoice();
        param.setSupplierInvoiceDate(invoice.getSupplierInvoiceDate());
        param.setSupplierInvoiceNumber(invoice.getSupplierInvoiceNumber());
        param.setSupplierTax(invoice.getSupplierTax());
        param.setSupplierPayStatus(invoice.getSupplierPayStatus());
        param.setSupplierReceiveInvoiceStatus(invoice.getSupplierReceiveInvoiceStatus());
        param.setSupplierFeeWithTax(invoice.getSupplierFeeWithTax());
        param.setInvoiceDate(invoice.getInvoiceDate());
        param.setInvoiceNumber(invoice.getInvoiceNumber());
        param.setTax(invoice.getTax());
        param.setPayStatus(invoice.getPayStatus());
        param.setReceiveInvoiceStatus(invoice.getReceiveInvoiceStatus());
        param.setFeeWithTax(invoice.getFeeWithTax());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }
}
