package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfig;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigBo;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigVo;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class MaterialConfigDao {

    @Resource
    private MaterialConfigMapper materialConfigMapper;


    public int insert(MaterialConfig materialConfig) {

        SessionInfo user = ProcessUtil.getUserInfo();
        materialConfig.setCreateAccount(user == null ? "1" : user.getUserId());
        materialConfig.setUpdateAccount(user == null ? "1" : user.getUserId());
        Date date = new Date();
        materialConfig.setCreateTime(date);
        materialConfig.setUpdateTime(date);
        materialConfig.setStatus(1);
        return materialConfigMapper.insert(materialConfig);
    }

    public int update(int id, MaterialConfig materialConfig) {
        materialConfig.setId(id);

        SessionInfo user = ProcessUtil.getUserInfo();
        materialConfig.setUpdateAccount(user == null ? "2" : user.getUserId());
        Date date = new Date();
        materialConfig.setUpdateTime(date);
        return materialConfigMapper.updateDynamic(materialConfig);
    }

    public List<MaterialConfigVo> selectByExample(MaterialConfigBo condition) {
        return materialConfigMapper.selectByExample(condition);
    }

    public MaterialConfigVo selectById(MaterialConfigBo condition) {
        return materialConfigMapper.selectById(condition.getId());
    }
}
