package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.OemContractItem;
import com.boco.nbd.wios.manage.entity.bo.OemContractItemVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * 主机厂合同条款
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class OemContractItemDao {

    @Resource
    private OemContractItemMapper oemContractItemMapper;

    /**
     * 查询
     * @param id
     * @return
     */
    public OemContractItem selectById(int id) {
        return oemContractItemMapper.selectById(id);
    }

    /**
     * 查询-通过合同
     * @param contractId
     * @return
     */
    public List<OemContractItemVo> selectByContractId(int contractId) {
        return oemContractItemMapper.selectByContractId(contractId);
    }

    /**
     * 查询-通过合同和itemId
     * @param contractId
     * @param itemId
     * @return
     */
    public List<OemContractItemVo> selectByContractIdAndItemId(int contractId, String itemId) {
        return oemContractItemMapper.selectByContractIdAndItemId(contractId, itemId);
    }

    /**
     * 查询 -通过itemId
     * @param itemId
     * @return
     */
    public List<OemContractItem> selectByItemId(String itemId) {
        return oemContractItemMapper.selectByItemId(itemId);
    }

    /**
     * 查询-通过合同
     * @param contractId
     * @return
     */
    public List<OemContractItem> selectPureByContractId(int contractId) {
        return oemContractItemMapper.selectPureByContractId(contractId);
    }
    
    /**
     * 批量添加
     *
     * @param list
     * @return
     */
    public int batchInsert(List<OemContractItem> list) {
        return oemContractItemMapper.batchInsert(list);
    }

    /**
     * 删除 通过合同
     * @param contractId
     * @return
     */
    public int deleteByContractId(int contractId) {
        return oemContractItemMapper.deleteByContractId(contractId);
    }
}
