package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.OemContractItem;
import com.boco.nbd.wios.manage.entity.bo.OemContractItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OemContractItemMapper {

    /**
     * 删
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 增
     * @param oemContractItem
     * @return
     */
    int insert(OemContractItem oemContractItem);

    /**
     * 增-动态
     * @param oemContractItem
     * @return
     */
    int insertDynamic(OemContractItem oemContractItem);

    /**
     * 改-动态
     * @param oemContractItem
     * @return
     */
    int updateDynamic(OemContractItem oemContractItem);

    /**
     * 改
     * @param oemContractItem
     * @return
     */
    int update(OemContractItem oemContractItem);

    /**
     * 查询
     * @param id
     * @return
     */
    OemContractItem selectById(Integer id);

    /**
     * 查询-通过合同
     * @param contractId
     * @return
     */
    List<OemContractItemVo> selectByContractId(@Param("contractId") int contractId);

    /**
     * 查询-通过合同
     * @param contractId
     * @return
     */
    List<OemContractItem> selectPureByContractId(@Param("contractId") int contractId);

    /**
     * 查询-通过合同和itemId
     * @param contractId
     * @param itemId
     * @return
     */
    List<OemContractItemVo> selectByContractIdAndItemId(@Param("contractId") int contractId, @Param("itemId") String itemId);

    /**
     * 查询 -通过itemId
     * @param itemId
     * @return
     */
    List<OemContractItem> selectByItemId(@Param("itemId") String itemId);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int batchInsert(List<OemContractItem> list);

    /**
     * 删除 通过合同
     * @param contractId
     * @return
     */
    int deleteByContractId(@Param("contractId") int contractId);
}