package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.OemContract;

import com.boco.nbd.wios.manage.entity.bo.OemContractBo2;
import com.boco.nbd.wios.manage.entity.bo.OemContractVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OemContractMapper {

    /**
     * 删
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 增
     * @param oemContract
     * @return
     */
    int insert(OemContract oemContract);

    /**
     * 增 -动态
     * @param oemContract
     * @return
     */
    int insertDynamic(OemContract oemContract);

    /**
     * 改-动态
     * @param oemContract
     * @return
     */
    int updateDynamic(OemContract oemContract);

    /**
     * 改
     * @param oemContract
     * @return
     */
    int update(OemContract oemContract);

    /**
     * 查询
     * @param id
     * @return
     */
    OemContract selectById(Integer id);

    /**
     * 查询-通过code
     * @param code
     * @return
     */
    List<OemContract> selectByCode(String code);

    /**
     * 查询
     * @param condition
     * @return
     */
    List<OemContractVo> selectByExample(OemContractBo2 condition);

    /**
     * 查询
     * @param status
     * @param oemId
     * @return
     */
    List<OemContract> selectByStatusAndOemId(@Param("status") int status, @Param("oemId") int oemId);

    /**
     * 查询
     * @param contractId
     * @return
     */
    OemContractVo selectDetailById(int contractId);
}