package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.OemContractPrice;
import com.boco.nbd.wios.manage.entity.bo.OemContractPriceVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * 主机厂合同价格dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class OemContractPriceDao {
    @Resource
    private OemContractPriceMapper oemContractPriceMapper;

    /**
     * 查询
     * @param id
     * @return
     */
    public OemContractPrice selectById(int id) {
        return oemContractPriceMapper.selectById(id);
    }

    /**
     * 查询（通过contractId）
     * @param contractId
     * @return
     */
    public List<OemContractPriceVo> selectByContractId(int contractId) {
        return oemContractPriceMapper.selectByContractId(contractId);
    }

    /**
     * 查询（通过contractId）
     * @param contractId
     * @return
     */
    public List<OemContractPrice> selectPureByContractId(int contractId) {
        return oemContractPriceMapper.selectPureByContractId(contractId);
    }
    
    /**
     * 批量添加
     *
     * @param list
     * @return
     */
    public int batchInsert(List<OemContractPrice> list) {
        return oemContractPriceMapper.batchInsert(list);
    }


    /**
     * 删除(通过合同)
     * @param contractId
     * @return
     */
    public int deleteByContractId(int contractId) {
        return oemContractPriceMapper.deleteByContractId(contractId);
    }
}
