package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.OemContractPrice;

import com.boco.nbd.wios.manage.entity.bo.OemContractPriceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong  合同价格
 */
public interface OemContractPriceMapper {

    /**
     * 删
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 增
     * @param oemContractPrice
     * @return
     */
    int insert(OemContractPrice oemContractPrice);

    /**
     * 增(动态)
     * @param oemContractPrice
     * @return
     */
    int insertDynamic(OemContractPrice oemContractPrice);

    /**
     * 改（动态)
     * @param oemContractPrice
     * @return
     */
    int updateDynamic(OemContractPrice oemContractPrice);

    /**
     * 改
     * @param oemContractPrice
     * @return
     */
    int update(OemContractPrice oemContractPrice);

    /**
     * 查询
     * @param id
     * @return
     */
    OemContractPrice selectById(Integer id);

    /**
     * 查询（通过contractId）
     * @param contractId
     * @return
     */
    List<OemContractPriceVo> selectByContractId(@Param("contractId") int contractId);

    /**
     * 查询（通过contractId）
     * @param contractId
     * @return
     */
    List<OemContractPrice> selectPureByContractId(@Param("contractId") int contractId);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int batchInsert(List<OemContractPrice> list);

    /**
     * 删除(通过合同)
     * @param contractId
     * @return
     */
    int deleteByContractId(@Param("contractId") int contractId);
}