package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.entity.bo.Oem;
import com.boco.nbd.wios.manage.entity.bo.OemBo;
import com.boco.nbd.wios.manage.entity.bo.OemVo;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 主机厂/4s店dao层
 *
 * @author xgl
 * @version [版本号, 2020年9月8日]
 */
@Repository
public class OemDao {

    @Resource
    private OemMapper oemMapper;


    /**
     * 查询列表
     *
     * @param condition
     * @return
     */
    public List<OemVo> getList(OemBo condition) {
        return oemMapper.selectByExample(condition);
    }

    public List<OemVo> selectByType(int type) {
        OemBo condition = new OemBo();
        condition.setType(type);
        return oemMapper.selectByExample(condition);
    }

    public List<Oem> selectSelfAndChildren(Integer id) {
        return oemMapper.selectSelfAndChildren(id);
    }

    public Oem selectById(Integer id) {
        return oemMapper.selectById(id);
    }

    /**
     * 单个新增
     *
     * @param oem
     * @return
     */
    public int insert(Oem oem) {
        oem.setCreateTime(new Date());
        oem.setStatus(1);
        SessionInfo sessionInfo= ProcessUtil.getUserInfo();
        if (sessionInfo != null) {
            oem.setCreateAccount(sessionInfo.getUserId());
        }
        return oemMapper.insert(oem);
    }

    /**
     * 单个更新
     *
     * @param oem
     * @return
     */
    public int update(Oem oem) {
        oem.setModifyTime(new Date());
        SessionInfo sessionInfo= ProcessUtil.getUserInfo();
        if (sessionInfo != null) {
            oem.setModifyAccount(sessionInfo.getUserId());
        }
        return oemMapper.updateDynamic(oem);
    }

    public List<Oem> selectOnly(String code, String name) {
        return oemMapper.selectOnly(code, name);
    }

    public List<Oem> selectByNameAndCode(String name, String code) {
        return oemMapper.selectByNameAndCode(name, code);
    }

    public List<Oem> selectByName(String name) {
        return oemMapper.selectByName(name);
    }

    public Oem selectSingleByName(String name) {
        List<Oem> list = selectByName(name);
        return list.isEmpty() ? null : list.get(0);
    }

    public Oem selectByAccountId(Integer accountId) {
        List<Oem> list = oemMapper.selectByAccountId(accountId);
        return list.isEmpty() ? null : list.get(0);
    }
}
