package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Oem;
import com.boco.nbd.wios.manage.entity.bo.OemBo;
import com.boco.nbd.wios.manage.entity.bo.OemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OemMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * insert
     * @param oem
     * @return
     */
    int insert(Oem oem);

    /**
     * insertDynamic
     * @param oem
     * @return
     */
    int insertDynamic(Oem oem);

    /**
     * updateDynamic
     * @param oem
     * @return
     */
    int updateDynamic(Oem oem);

    /**
     * update
     * @param oem
     * @return
     */
    int update(Oem oem);

    /**
     * selectById
     * @param id
     * @return
     */
    Oem selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<OemVo> selectByExample(OemBo condition);

    /**
     * selectSelfAndChildren
     * @param id
     * @return
     */
    List<Oem> selectSelfAndChildren(Integer id);

    /**
     * selectOnly
     * @param code
     * @param name
     * @return
     */
    List<Oem> selectOnly(@Param("code") String code, @Param("name") String name);

    /**
     * selectByNameAndCode
     * @param name
     * @param code
     * @return
     */
    List<Oem> selectByNameAndCode(@Param("name") String name, @Param("code") String code);

    /**
     * selectByName
     * @param name
     * @return
     */
    List<Oem> selectByName(String name);

    /**
     * selectByAccountId
     * @param accountId
     * @return
     */
    List<Oem> selectByAccountId(Integer accountId);

    /**
     * selectAll
     * @param status
     * @return
     */
    List<Oem>  selectAll(Integer status);


    /**
     * selectAllOem
     * @return
     */
    List<Oem> selectAllOem();
}
