package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.manage.entity.bo.OrderInstall;
import com.boco.nbd.wios.manage.entity.bo.OrderInstallVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * 安装订单dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月17日]
 */
@Repository
public class OrderInstallDao {

    @Resource
    private OrderInstallMapper orderInstallMapper;
    
    public OrderInstall selectById(int id) {
        return orderInstallMapper.selectById(id);
    }
    
    public int insert(OrderInstall orderInstall) {
        orderInstall.setCreateTime(new Date());
        orderInstall.setPayStatus(0);
        return orderInstallMapper.insert(orderInstall);
    }
    
    public OrderInstall selectByOrderId(String orderId) {
        return orderInstallMapper.selectByOrderId(orderId);
    }
    
    public int update(int id, OrderInstall orderInstall) {
        orderInstall.setId(id);
        orderInstall.setModifyTime(new Date());
        return orderInstallMapper.updateDynamic(orderInstall);
    }
    
    public int updateByOrderId(String orderId, OrderInstall orderInstall) {
        orderInstall.setOrderId(orderId);
        orderInstall.setModifyTime(new Date());
        return orderInstallMapper.updateByOrderId(orderInstall);
    }
    
    public List<OrderInstallVo> selectByOrderIds(String orderIds) {
        String[] orderIdArr = orderIds.split(CamsConstant.COMMA);
        return orderInstallMapper.selectByOrderIds(Arrays.asList(orderIdArr));
    }

    public void deleteById(Integer id) {
        orderInstallMapper.delete(id);
    }
}
