package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.OemCascadeBo;
import com.boco.nbd.wios.manage.entity.bo.OrderInstallItem;
import com.boco.nbd.wios.manage.entity.bo.OrderInstallItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OrderInstallItemMapper {
    /**
     * 删除
     * @param id
     * @return
     */
    int delete(int id);

    /**
     * 插入
     * @param orderInstallItem
     * @return
     */
    int insert(OrderInstallItem orderInstallItem);

    /**
     * 插入动态
     * @param orderInstallItem
     * @return
     */
    int insertDynamic(OrderInstallItem orderInstallItem);

    /**
     * 修改动态
     * @param orderInstallItem
     * @return
     */
    int updateDynamic(OrderInstallItem orderInstallItem);

    /**
     * 修改
     * @param orderInstallItem
     * @return
     */
    int update(OrderInstallItem orderInstallItem);

    /**
     * 查询
     * @param id
     * @return
     */
    OrderInstallItem selectById(int id);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int batchInsert(List<OrderInstallItem> list);

    /**
     * 删除
     * @param orderId
     * @param type
     * @return
     */
    int deleteByOrderId(@Param("orderId") String orderId, @Param("type") Integer type);

    /**
     * 查询
     * @param orderId
     * @param type
     * @return
     */
    List<OrderInstallItemVo> selectByOrderIdAndType(@Param("orderId") String orderId, @Param("type") Integer type);

    /**
     * 查询
     * @param orderId
     * @return
     */
    List<OrderInstallItem> selectByOrderId(String orderId);


    /**
     * 查询套包信息
     * @param id
     * @return
     */
    List<OemCascadeBo> selectPackById(@Param("id")String id);
}