package com.boco.nbd.wios.manage.mapper.def;



import com.boco.nbd.wios.manage.entity.bo.*;
import com.boco.nbd.wios.manage.enums.ContractIdInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OrderMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * insert
     * @param order
     * @return
     */
    int insert(Order order);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(List<Order> list);

    /**
     * insertDynamic
     * @param order
     * @return
     */
    int insertDynamic(Order order);

    /**
     * updateDynamic
     * @param order
     * @return
     */
    int updateDynamic(Order order);

    /**
     * update
     * @param order
     * @return
     */
    int update(Order order);

    /**
     * clearInstallStaff
     * @param orderId
     * @return
     */
    int clearInstallStaff(String orderId);

    /**
     * selectById
     * @param id
     * @return
     */
    Order selectById(String id);

    /**
     * selectDetailById
     * @param id
     * @return
     */
    OrderVo selectDetailById(String id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<OrderVo> selectByExample(OrderBo condition);

    /**
     * selectAll
     * @param condition
     * @return
     */
    List<Order> selectAll(OrderBo condition);
    /**
     * installCompleteList
     * @return
     */
    List<InstallComplete> installCompleteList(OrderBo condition);

    /**
     * selectWarrantyOrders
     * @param condition
     * @return
     */
    List<WarrantyOrder> selectWarrantyOrders(WarrantyOrderBo condition);

    /**
     * selectByCamsPhone
     * @param camsPhone
     * @return
     */
    List<OrderVo> selectByCamsPhone(String camsPhone);

    /**
     * selectByCamsPhoneForApp
     * @param camsPhone
     * @return
     */
    List<OrderVo> selectByCamsPhoneForApp(String camsPhone);

    /**
     * countByCamsPhone
     * @param camsPhone
     * @return
     */
    int countByCamsPhone(@Param("camsPhone") String camsPhone);

    /**
     * selectOwnOrder
     * @param condition
     * @return
     */
    List<OrderVo> selectOwnOrder(OrderBo condition);

    /**
     * clearSurveyFollowTime
     * @param orderId
     * @return
     */
    int clearSurveyFollowTime(String orderId);

    /**
     * clearInstallFollowTime
     * @param orderId
     * @return
     */
    int clearInstallFollowTime(String orderId);

    /**
     * selectSurveyPeriodOrders
     * @param dateStart
     * @param dateEnd
     * @return
     */
    List<Order> selectSurveyPeriodOrders(@Param("dateStart") String dateStart, @Param("dateEnd")String dateEnd);

    /**
     * selectInstallPeriodOrders
     * @param dateStart
     * @param dateEnd
     * @return
     */
    List<Order> selectInstallPeriodOrders(@Param("dateStart") String dateStart, @Param("dateEnd")String dateEnd);


    /**
     * 更新墙盒品牌ID
     * @param oemId
     * @param type
     * @return
     */
    int updateInstallWallboxItem(@Param("oemId") String oemId, @Param("type")String type);

    /**
     * 查询所有合同编号
     * @return
     */
    List<ContractIdInfo> selectContractEnum();

}
