package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.Order;
import com.boco.nbd.wios.manage.entity.bo.OrderScore;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OrderScoreMapper {

    /**
     * insert
     * @param orderScore
     * @return
     */
    int insert(OrderScore orderScore);

    /**
     * update
     * @param orderScore
     * @return
     */
    int update(OrderScore orderScore);

    /**
     * 通过编码和主表id更新明细表记录
     * @param orderScore
     * @return
     */
    int updateByCode(OrderScore orderScore);

    /**
     * selectById
     * @param id
     * @return
     */
    OrderScore selectById(Integer id);

    /**
     * getScoreByOrderId
     * @param orderId
     * @return
     */
    Double getScoreByOrderId(String orderId);

    /**
     * selectByExample
     * @param orderScore
     * @return
     */
    OrderScore selectByExample(OrderScore orderScore);

    /**
     * getListByOrderId
     * @param orderId
     * @return
     */
    List<OrderScore> getListByOrderId(String orderId);

    /**
     * getOrderListLessThan60
     * @param supplierId
     * @param regionId
     * @param month
     * @return
     */
    List<Order> getOrderListLessThan60(@Param("supplierId") Long supplierId, @Param("regionId") Long regionId, @Param("month") String month);

    /**
     * insertOrderScore
     * @param orderId
     * @return
     */
    int insertOrderScore(String orderId);

    /**
     * selectByTypeAndOrderIds
     * @param type
     * @param orderIds
     * @return
     */
    List<OrderScore> selectByTypeAndOrderIds(@Param("type") int type, @Param("orderIds") List<String> orderIds);
}