package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Region;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface RegionMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param region
     * @return
     */
    int insert(Region region);

    /**
     * insertDynamic
     * @param region
     * @return
     */
    int insertDynamic(Region region);

    /**
     * updateDynamic
     * @param region
     * @return
     */
    int updateDynamic(Region region);

    /**
     * update
     * @param region
     * @return
     */
    int update(Region region);

    /**
     * selectById
     * @param id
     * @return
     */
    Region selectById(Integer id);

    /**
     * selectByParentId
     * @param parentId
     * @return
     */
    List<Region> selectByParentId(int parentId);


    /**
     * 根据订单ID查询区域ID
     * @param orderId
     * @return
     */
    Integer selectRegionByOrderId(@Param("orderId") String orderId);

    /**
     * selectAll
     * @param status
     * @param ids
     * @return
     */
    List<Region> selectAll(@Param("status") Integer status, @Param("ids") List<Integer> ids);

    /**
     * selectByName
     * @param name
     * @return
     */
    List<Region> selectByName(String name);

    /**
     * selectSelfAndChildren
     * @param idTree
     * @return
     */
    List<Region> selectSelfAndChildren(String idTree);

    /**
     * selectByCode
     * @param code
     * @return
     */
    List<Region> selectByCode(String code);

    /**
     * updateIdTree
     * @param idTreeNewPrefix
     * @param idTreePrefix
     * @return
     */
    int updateIdTree(@Param("idTreeNewPrefix") String idTreeNewPrefix, @Param("idTreePrefix") String idTreePrefix);
}
