package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.ReportOrderBo;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderDTO;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderResponseBo;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderResponseDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class ReportDao {
    @Resource
    private ReportMapper reportMapper;

    /**
     * 统计订单相关数据
     * @param reportOrderBo
     * @return
     */
    public List<ReportOrderDTO> countOrderGroupBySupplier(ReportOrderBo reportOrderBo){
        return reportMapper.countOrderGroupBySupplier(reportOrderBo);
    }
    /**
     * 统计订单相关数据
     * @param reportOrderBo
     * @return
     */
    public List<ReportOrderDTO> countOrderGroupBySupplierAndRegion(ReportOrderBo reportOrderBo){
        return reportMapper.countOrderGroupBySupplierAndRegion(reportOrderBo);
    }


    /**
     * 计算工单完成的平均时间（小时）
     * @param reportOrderBo
     * @return
     */
    public List<ReportOrderDTO> calcOrderFinishedTime(ReportOrderBo reportOrderBo){
        return reportMapper.calcOrderFinishedTime(reportOrderBo);
    }


    public List<ReportOrderResponseDTO> orderResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.orderResponseToAdmin(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> surveyResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.surveyResponseToAdmin(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> installResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.installResponseToAdmin(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> installEfficientToAdmin(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.installEfficientToAdmin(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> reportPassToAdmin(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.reportPassToAdmin(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> orderResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.orderResponseToSupplier(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> surveyResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.surveyResponseToSupplier(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> installResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.installResponseToSupplier(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> installEfficientToSupplier(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.installEfficientToSupplier(reportOrderResponseBo);
    }

    public List<ReportOrderResponseDTO> reportPassToSupplier(ReportOrderResponseBo reportOrderResponseBo) {
        return reportMapper.reportPassToSupplier(reportOrderResponseBo);
    }
}
