package com.boco.nbd.wios.manage.mapper.def;



import com.boco.nbd.wios.manage.entity.bo.ReportOrderBo;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderDTO;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderResponseBo;
import com.boco.nbd.wios.manage.entity.bo.ReportOrderResponseDTO;

import java.util.List;

/**
 * @author haica
 */
public interface ReportMapper {

    /**
     * 统计订单相关数据
     * @param reportOrderBo
     * @return
     */
    List<ReportOrderDTO> countOrderGroupBySupplierAndRegion(ReportOrderBo reportOrderBo);

    /**
     * countOrderGroupBySupplier
     * @param reportOrderBo
     * @return
     */
    List<ReportOrderDTO> countOrderGroupBySupplier(ReportOrderBo reportOrderBo);

    /**
     * 计算工单完成的平均时间（小时）
     * @param reportOrderBo
     * @return
     */
    List<ReportOrderDTO> calcOrderFinishedTime(ReportOrderBo reportOrderBo);

    /**
     * orderResponseToAdmin
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> orderResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * surveyResponseToAdmin
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> surveyResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * installResponseToAdmin
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> installResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * installEfficientToAdmin
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> installEfficientToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * reportPassToAdmin
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> reportPassToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * orderResponseToSupplier
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> orderResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * surveyResponseToSupplier
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> surveyResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * installResponseToSupplier
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> installResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * installEfficientToSupplier
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> installEfficientToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    /**
     * reportPassToSupplier
     * @param reportOrderResponseBo
     * @return
     */
    List<ReportOrderResponseDTO> reportPassToSupplier(ReportOrderResponseBo reportOrderResponseBo);

}
