package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.contants.WiosConstant;
import com.boco.nbd.wios.manage.entity.bo.ScoreConfig;
import com.boco.nbd.wios.manage.service.impl.TokenService;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;


/**
 * @author haica
 */
@Repository
public class ScoreConfigDao {
    @Resource
    private ScoreConfigMapper scoreConfigMapper;

    @Autowired
    TokenService tokenService;
    
    public int insert(ScoreConfig scoreConfig) {
        scoreConfig.setCreateAccount(this.getUserId());
        scoreConfig.setCreateTime(new Date());
        scoreConfig.setModifyAccount(this.getUserId());
        scoreConfig.setModifyTime(new Date());
        scoreConfig.setStatus(1L);
        return scoreConfigMapper.insert(scoreConfig);
    }

    public int update( ScoreConfig scoreConfig) {
        scoreConfig.setModifyAccount(this.getUserId());
        scoreConfig.setModifyTime(new Date());
        return scoreConfigMapper.update(scoreConfig);
    }

    public ScoreConfig selectById(Integer id) {
        return scoreConfigMapper.selectById(id);
    }
    
    public List<ScoreConfig> getListByType(String type) {
        return scoreConfigMapper.getListByType(type);
    }

    public String getUserId(){
        SessionInfo user = tokenService.getUser();
        if(user != null){
            return user.getUserId();
        }else{
            return WiosConstant.SUPER_USER_ID;
        }
    }

    /**
     * selectByCodeCode
     * @param code
     * @return
     */
    public ScoreConfig selectByCode(String code) {
        return scoreConfigMapper.selectByCode(code);
    }

    /**
     * selectByParentCodeCode
     * @param parentCode
     * @return
     */
    public List<ScoreConfig> selectByParentCodeCode(String parentCode) {
        return scoreConfigMapper.selectByParentCodeCode(parentCode);
    }
}
