package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.contants.WiosConstant;
import com.boco.nbd.wios.manage.entity.bo.ScoreSupplierDetail;
import com.boco.nbd.wios.manage.service.impl.TokenService;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class ScoreSupplierDetailDao {
    @Resource
    private ScoreSupplierDetailMapper scoreSupplierDetailMapper;

    @Autowired
    TokenService tokenService;
    
    public int insert(ScoreSupplierDetail scoreSupplierDetail) {
        scoreSupplierDetail.setCreateAccount(this.getUserId());
        scoreSupplierDetail.setCreateTime(new Date());
        scoreSupplierDetail.setModifyAccount(this.getUserId());
        scoreSupplierDetail.setModifyTime(new Date());
        scoreSupplierDetail.setStatus(1L);
        return scoreSupplierDetailMapper.insert(scoreSupplierDetail);
    }

    public int update( ScoreSupplierDetail scoreSupplierDetail) {
        scoreSupplierDetail.setModifyAccount(this.getUserId());
        scoreSupplierDetail.setModifyTime(new Date());
        return scoreSupplierDetailMapper.update(scoreSupplierDetail);
    }

    /**
     * 通过编码和主表id更新明细表记录
     * @param scoreSupplierDetail
     * @return
     */
    public int updateByCode( ScoreSupplierDetail scoreSupplierDetail) {
        scoreSupplierDetail.setModifyAccount(this.getUserId());
        scoreSupplierDetail.setModifyTime(new Date());
        return scoreSupplierDetailMapper.updateByCode(scoreSupplierDetail);
    }

    public ScoreSupplierDetail selectById(Integer id) {
        return scoreSupplierDetailMapper.selectById(id);
    }

    public List<ScoreSupplierDetail> selectByExample(ScoreSupplierDetail scoreSupplierDetail){
        return scoreSupplierDetailMapper.selectByExample(scoreSupplierDetail);
    }

    public List<ScoreSupplierDetail> getListByScoreSupplierId(Long scoreSupplierId){
        return scoreSupplierDetailMapper.getListByScoreSupplierId(scoreSupplierId);
    }

    public List<ScoreSupplierDetail> getListByScoreSupplierIdAndParentCode(Long scoreSupplierId, String parentCode) {
        return scoreSupplierDetailMapper.getListByScoreSupplierIdAndParentCode(scoreSupplierId, parentCode);
    }
    
    public String getUserId(){
        SessionInfo user = tokenService.getUser();
        if(user != null){
            return user.getUserId();
        }else{
            return WiosConstant.SUPER_USER_ID;
        }
    }

}
