package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.settlement.po.Settlement;
import com.boco.nbd.wios.manage.entity.settlement.vo.SettlementVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 结算单dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月24日]
 */
@Repository
public class SettlementDao {

    @Resource
    private SettlementMapper settlementMapper;

    public List<Settlement> getSettlementByCondition(String startDate, String endDate, List<String> oemIdList, int type) {
        return settlementMapper.getSettlementByCondition(startDate,endDate,oemIdList,type);
    }

    /**
     * 增
     * @param settlement
     * @return
     */
    public int insert(Settlement settlement) {
        settlement.setCreateTime(new Date());
        settlement.setStatus(1);
        return settlementMapper.insert(settlement);
    }

    /**
     * 改
     * @param id
     * @param settlement
     * @return
     */
    public int update(int id, Settlement settlement) {
        settlement.setId(id);
        settlement.setUpdateTime(new Date());
        return settlementMapper.updateDynamic(settlement);
    }
    
    public Settlement selectBySettlementId(String settlementId) {
        return settlementMapper.selectBySettlementId(settlementId);
    }
    
    public List<SettlementVo> selectByExample(Settlement condition) {
        return settlementMapper.selectByExample(condition);
    }
}
