package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.SettlementDetailSupplier;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SettlementDetailSupplierMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param settlementDetailSupplier
     * @return
     */
    int insert(SettlementDetailSupplier settlementDetailSupplier);

    /**
     * insertDynamic
     * @param settlementDetailSupplier
     * @return
     */
    int insertDynamic(SettlementDetailSupplier settlementDetailSupplier);

    /**
     * updateDynamic
     * @param settlementDetailSupplier
     * @return
     */
    int updateDynamic(SettlementDetailSupplier settlementDetailSupplier);

    /**
     * update
     * @param settlementDetailSupplier
     * @return
     */
    int update(SettlementDetailSupplier settlementDetailSupplier);

    /**
     * selectById
     * @param id
     * @return
     */
    SettlementDetailSupplier selectById(Integer id);

    /**
     * selectBySupplierId
     * @param supplierId
     * @param finishStartTime
     * @param finishEndTime
     * @return
     */
    List<SettlementDetailSupplier> selectBySupplierId(@Param("supplierId") int supplierId,
        @Param("finishStartTime") String finishStartTime, @Param("finishEndTime") String finishEndTime);

    /**
     * batchUpdateSettlementId
     * @param idList
     * @param settlementId
     * @return
     */
    int batchUpdateSettlementId(@Param("idList") List<Integer> idList, @Param("settlementId") String settlementId);

    /**
     * selectBySettlementId
     * @param settlementId
     * @return
     */
    List<SettlementDetailSupplier> selectBySettlementId(@Param("settlementId") String settlementId);

    /**
     * deleteByOrderId
     * @param orderId
     * @return
     */
    int deleteByOrderId(String orderId);
}