package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.SupplierContractItem;

import com.boco.nbd.wios.manage.entity.bo.SupplierContractItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierContractItemMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param supplierContractItem
     * @return
     */
    int insert(SupplierContractItem supplierContractItem);

    /**
     * insertDynamic
     * @param supplierContractItem
     * @return
     */
    int insertDynamic(SupplierContractItem supplierContractItem);

    /**
     * updateDynamic
     * @param supplierContractItem
     * @return
     */
    int updateDynamic(SupplierContractItem supplierContractItem);

    /**
     * update
     * @param supplierContractItem
     * @return
     */
    int update(SupplierContractItem supplierContractItem);

    /**
     * selectById
     * @param id
     * @return
     */
    SupplierContractItem selectById(Integer id);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(List<SupplierContractItem> list);

    /**
     * selectByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractItemVo> selectByContractId(Integer contractId);

    /**
     * selectPureByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractItem> selectPureByContractId(@Param("contractId") int contractId);

    /**
     * selectByItemId
     * @param itemId
     * @return
     */
    List<SupplierContractItem> selectByItemId(@Param("itemId") String itemId);

    /**
     * deleteByContractId
     * @param contractId
     * @return
     */
    int deleteByContractId(Integer contractId);
}