package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.SupplierContract;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierContractMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param supplierContract
     * @return
     */
    int insert(SupplierContract supplierContract);

    /**
     * insertDynamic
     * @param supplierContract
     * @return
     */
    int insertDynamic(SupplierContract supplierContract);

    /**
     * updateDynamic
     * @param supplierContract
     * @return
     */
    int updateDynamic(SupplierContract supplierContract);

    /**
     * update
     * @param supplierContract
     * @return
     */
    int update(SupplierContract supplierContract);

    /**
     * selectById
     * @param id
     * @return
     */
    SupplierContract selectById(Integer id);

    /**
     * selectByCode
     * @param code
     * @return
     */
    List<SupplierContract> selectByCode(String code);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<SupplierContractVo> selectByExample(SupplierContractBo condition);

    /**
     * selectByRegionId
     * @param regionIdList
     * @param status
     * @param checkStatus
     * @return
     */
    List<SupplierContract> selectByRegionId(@Param("regionIdList") List<String> regionIdList, @Param("status") Integer status, @Param("checkStatus") Integer checkStatus);

    /**
     * selectEffectiveContract
     * @param supplierId
     * @param regionId
     * @param status
     * @return
     */
    List<SupplierContract> selectEffectiveContract(@Param("supplierId")String supplierId, @Param("regionId")String regionId, @Param("status") Integer status);
}