package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Supplier;
import com.boco.nbd.wios.manage.entity.bo.SupplierBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * insert
     * @param supplier
     * @return
     */
    int insert(Supplier supplier);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(List<Supplier> list);

    /**
     * insertDynamic
     * @param supplier
     * @return
     */
    int insertDynamic(Supplier supplier);

    /**
     * updateDynamic
     * @param supplier
     * @return
     */
    int updateDynamic(Supplier supplier);

    /**
     * update
     * @param supplier
     * @return
     */
    int update(Supplier supplier);

    /**
     * selectById
     * @param id
     * @return
     */
    Supplier selectById(Integer id);

    /**
     * selectByAccountId
     * @param accountId
     * @return
     */
    Supplier selectByAccountId(Integer accountId);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<SupplierVo> selectByExample(SupplierBo condition);

    /**
     * selectAll
     * @param status
     * @return
     */
    List<Supplier> selectAll(Integer status);

    /**
     * selectByRegionId
     * @param regionId
     * @return
     */
    List<Supplier> selectByRegionId(@Param("regionId") String regionId);

    /**
     * selectByLevel
     * @param level
     * @return
     */

    List<Supplier> selectByLevel(@Param("level") String level);

    /**
     * selectInProcessOrder
     * @param orderStatusNotInList
     * @param supplierIdList
     * @return
     */
    List<SupplierVo> selectInProcessOrder(@Param("orderStatusNotInList") List<Integer> orderStatusNotInList,
        @Param("supplierIdList") List<String> supplierIdList);

    /**
     * selectOnly
     * @param code
     * @param name
     * @return
     */
    List<Supplier> selectOnly(@Param("code") String code, @Param("name") String name);
}
