package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.SupplierStaff;
import com.boco.nbd.wios.manage.entity.bo.SupplierStaffBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierStaffVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 服务商员工
 *
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class SupplierStaffDao {

    @Autowired
    private SupplierStaffMapper supplierStaffMapper;

    public SupplierStaff selectById(int id) {
        return supplierStaffMapper.selectById(id);
    }

    public int insert(SupplierStaff staff) {
        staff.setCreateTime(new Date());
        staff.setStatus(1);
        return supplierStaffMapper.insert(staff);
    }

    public List<SupplierStaffVo> selectByExample(SupplierStaffBo condition) {
        return supplierStaffMapper.selectByExample(condition);
    }

    public int update(int id, SupplierStaff staff) {
        staff.setId(id);
        staff.setModifyTime(new Date());
        return supplierStaffMapper.updateDynamic(staff);
    }

    public List<SupplierStaff> selectByAccountId(Integer accountId){
        return supplierStaffMapper.selectByAccountId(accountId);
    }
}
