package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.entity.bo.SystemInfo;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 系统消息dao
 *
 * @author xgl
 * @version [版本号, 2020年10月15日]
 */
@Repository
public class SystemInfoDao {
    @Resource
    private SystemInfoMapper systemInfoMapper;

    public int insert(SystemInfo systemInfo) {
        systemInfo.setCreateTime(new Date());
        systemInfo.setStatus(0);
        return systemInfoMapper.insert(systemInfo);
    }

    public int insertForOrder(String title, int accountId, String orderId, Integer type) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setTitle(title);
        systemInfo.setThirdPartyId(orderId);
        systemInfo.setAccountId(accountId);
        systemInfo.setType(type);
        return insert(systemInfo);
    }

    public int insertForOrder(String title, int accountId, String orderId, Integer type,Integer status,Integer overtimeFlag) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setTitle(title);
        systemInfo.setThirdPartyId(orderId);
        systemInfo.setAccountId(accountId);
        systemInfo.setType(type);
        systemInfo.setOrderStatus(status);
        systemInfo.setOvertimeFlag(overtimeFlag);
        return insert(systemInfo);
    }

    public int updateStatus(int id, int status) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setId(id);
        systemInfo.setStatus(status);
        systemInfo.setUpdateTime(new Date());
        return systemInfoMapper.updateDynamic(systemInfo);
    }

    public List<SystemInfo> selectByExample(SystemInfo condition) {
        SessionInfo sessionInfo= ProcessUtil.getUserInfo();
        if (sessionInfo != null) {
            condition.setAccountId(Integer.valueOf(sessionInfo.getUserId()));
        }
        return systemInfoMapper.selectByExample(condition);
    }

    public int selectUnreadQuantity() {
        SessionInfo user = ProcessUtil.getUserInfo();
        if (user == null) {
            return 0;
        }
        return systemInfoMapper.selectUnreadQuantity(Integer.valueOf(user.getUserId()));
    }

    public List<SystemInfo> getOrderInOverTime() {
        return systemInfoMapper.getOrderInOverTime();
    }

    public List<SystemInfo> selectListByOrderId(String orderId) {
        return systemInfoMapper.selectListByOrderId(orderId);
    }

    public void deleteByOrderId(String orderId) {
        systemInfoMapper.deleteByOrderId(orderId);
    }
}
