package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.flow.util.ProcessUtil;
import com.boco.nbd.wios.manage.entity.bo.SystemNotice;
import com.boco.nbd.wios.manage.entity.bo.SystemNoticeBo;
import com.boco.nbd.wios.manage.entity.bo.SystemNoticeVo;
import com.ihidea.core.support.exception.ServiceException;
import com.ihidea.core.support.session.SessionInfo;
import org.springframework.stereotype.Repository;
import org.springframework.web.util.HtmlUtils;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 公告dao
 *
 * @author wty
 * @version [版本号, 2020年10月21日]
 */
@Repository
public class SystemNoticeDao {
    @Resource
    private SystemNoticeMapper systemNoticeMapper;

    public SystemNotice selectById(String id) {
        return systemNoticeMapper.selectById(id);
    }

    public void insert(SystemNotice systemNotice) {
        if (systemNotice.getStatus().equals(1)){
            systemNotice.setPublishTime(new Date());
        }
        SessionInfo user = ProcessUtil.getUserInfo();
        if (user != null){
            systemNotice.setCreateAccount(user.getUserId());
            systemNotice.setModifyAccount(user.getUserId());
        }else{
            throw new ServiceException("用户信息未获取");
        }
        Date date = new Date();
        systemNotice.setCreateTime(date);
        systemNotice.setModifyTime(date);
        systemNoticeMapper.insert(systemNotice);
    }

    public List<SystemNoticeVo> getList(SystemNoticeBo condition) {

        return (systemNoticeMapper.getList(condition));

    }

    public SystemNoticeVo getDetail(SystemNoticeBo condition) {
        SystemNoticeVo  systemNoticeVo = systemNoticeMapper.getDetail(condition);
        if (systemNoticeVo.getContent() != null ){
            systemNoticeVo.setContent(HtmlUtils.htmlUnescape(systemNoticeVo.getContent()));
        }
        return (systemNoticeVo);
    }
    public void updateNotice(SystemNoticeBo systemNotice) {
        //发布状态则更新发布时间
        if(systemNotice.getStatus().equals(1)){
            systemNotice.setPublishTime(new Date());
        }
        systemNoticeMapper.updateNotice(systemNotice);

    }
}
