package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.WallboxApply;
import com.boco.nbd.wios.manage.entity.dto.WallboxApplyDetailQueryDTO;
import com.boco.nbd.wios.manage.entity.vo.WallboxApplyDetailVO;
import com.boco.nbd.wios.manage.entity.vo.WallboxApplyInstallInfoVO;
import com.boco.nbd.wios.manage.entity.vo.WallboxApplyInstallListVO;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 墙盒申请Mapper接口
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
public interface WallboxApplyMapper {
    /**
     * 查询墙盒申请
     *
     * @param id 墙盒申请主键
     * @return 墙盒申请
     */
    WallboxApplyInstallInfoVO selectWallboxApplyById(Long id);
    /**
     * 根据订单号查询详情
     *
     * @param orderId
     * @return 墙盒申请
     */
    WallboxApplyInstallInfoVO getInfoByOrderId(String orderId);


    /**
     * 墙盒状态
     */
    WallboxApplyDetailVO selectWallboxDetail(WallboxApplyDetailQueryDTO query);

    /**
     * 查询墙盒申请
     *
     * @param id Order id
     * @return 墙盒申请
     */
    WallboxApply selectWallboxApplyByOrderId(String id);

    /**
     * 查询墙盒申请列表
     *
     * @return 墙盒申请集合
     */
    List<WallboxApply> selectWallboxApplyList(WallboxApply WallboxApply);

    List<WallboxApplyInstallListVO> selectWallboxApplyListFromOrder(WallboxApply WallboxApply);

    /**
     * 新增墙盒申请
     *
     * @param WallboxApply 墙盒申请
     * @return 结果
     */
    int insertWallboxApply(WallboxApply WallboxApply);

    /**
     * 修改墙盒申请
     *
     * @param tWallboxApply 墙盒申请
     * @return 结果
     */
    int updateWallboxApply(WallboxApply WallboxApply);

    void batchUpdateWallboxApply(List<WallboxApply> list);

    /**
     * 删除墙盒申请
     *
     * @param id 墙盒申请主键
     * @return 结果
     */
    int deleteWallboxApplyById(Long id);

    /**
     * 批量删除墙盒申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWallboxApplyByIds(Long[] ids);

    /**
     * 通过物料编码更新发货状态
     *
     * @param trackingStatus
     * @param wallboxItemId
     * @return
     */
    @Update("update t_wallbox_apply set tracking_status=#{trackingStatus} where wallbox_item_id=#{wallboxItemId}")
    int updateWallBoxTrackingStatusByMC(@Param("trackingStatus") String trackingStatus, @Param("wallboxItemId") String wallboxItemId);
}
