package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.SingleMaterialsEx;
import com.boco.nbd.wios.manage.entity.bo.SingleMaterialsQo;
import com.boco.nbd.wios.manage.entity.bo.SingleQo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Description
 *
 * @author lvpeng
 * @date 2020/10/22 13:56
 */

@Repository
public interface SingleMapperEx {

    /**
     * 批量保存仓库物料数据
     * @param singleMaterialsList
     * @return
     */
    int saveSingleMaterials(@Param("singleMaterialsList") List<SingleMaterialsEx> singleMaterialsList);


    /**
     * 查询单据数据
     * @param appkey
     * @param singleId
     * @param type
     * @param transferIn
     * @param transferOut
     * @param materialsCode
     * @param shippingAddress
     * @param contactNumber
     * @param receiver
     * @param serviceProviders
     * @return
     */
    List<SingleQo> qrySingle(@Param("appkey") String appkey, @Param("singleId")String singleId, @Param("type")Integer type, @Param("transferIn")String transferIn, @Param("transferOut")String transferOut, @Param("materialsCode")String materialsCode, @Param("shippingAddress")String shippingAddress, @Param("contactNumber")String contactNumber, @Param("receiver")String receiver, @Param("serviceProviders") List<String> serviceProviders);


    /**
     * 根据单据编号查询单据物料数据
     * @param singleId
     * @return
     */
    List<SingleMaterialsQo> qrySingleMaterialsBySingleId(@Param("singleId") String singleId);
}
