package com.boco.nbd.wios.manage.mapper.extdb;


import com.boco.nbd.wios.manage.entity.bo.Warehouse;
import com.boco.nbd.wios.manage.entity.bo.WarehouseDetail;
import com.boco.nbd.wios.manage.entity.bo.WarehouseEx;
import com.boco.nbd.wios.manage.entity.bo.WarehouseLeven;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author lvpeng
 * @date 2020/10/20 15:12
 */
@Repository
public interface WarehouseMapperEx {

    /**
     * 查询父节点下名称数量
     * @param parentId
     * @param name
     * @param id
     * @return
     */
    int getWarehouseLevenByNameCount(@Param("parentId") Integer parentId, @Param("name") String name,@Param("id") Integer id);


    /**
     * 获取父节点下最大的ID并+1
     * @param parentId
     * @return
     */
    int getWarehouseLevenParentLastId(@Param("parentId") Integer parentId);


    /**
     * 获取父节点下最大的排序并+1
     * @param parentId
     * @return
     */
    int getWarehouseLevenParentSeq(@Param("parentId") Integer parentId);


    /**
     * qryWarehouseLevenById
     * @param parentId
     * @return
     */
    Map<String,Object> qryWarehouseLevenById(@Param("parentId") Integer parentId);

    /**
     * 仓库等级数据入库
     * @param warehouseLeven
     * @return
     */
    int insertWarehouseLeven(WarehouseLeven warehouseLeven);


    /**
     * 新增仓库
     * @param warehouse
     * @return
     */
    int insertWarehouse(Warehouse warehouse);


    /**
     * 查询仓库等级下仓库数据
     * @param id
     * @param appkey
     * @param warehouseLevenId
     * @param name
     * @param isEnable
     * @param serviceProviders
     * @param area
     * @param warehouseAttribution
     * @param createAccount
     * @return
     */
    List<WarehouseEx> qryWarehouseList(@Param("id") String id, @Param("appkey") String appkey, @Param("warehouseLevenId")String warehouseLevenId, @Param("name")String name, @Param("isEnable")Integer isEnable, @Param("serviceProviders")List<String> serviceProviders, @Param("area")String area, @Param("warehouseAttribution")String warehouseAttribution,@Param("createAccount")String createAccount,@Param("superiorWarehouseId")String superiorWarehouseId);


    /**
     * 查询仓库等级数据
     * @param id
     * @param appkey
     * @param serviceProvider
     * @param parentId
     * @param name
     * @return
     */
    List<WarehouseLeven> qryWarehouseLeven(@Param("id") Integer id,@Param("appkey") String appkey,@Param("serviceProvider") String serviceProvider,@Param("parentId") Integer parentId,@Param("name") String name);


    /**
     * 仓库禁用启用
     * @param id
     * @param isEnabled
     * @return
     */
    int updateWarehouseisEnabled(@Param("id") String id,@Param("isEnabled") Integer isEnabled);
    /**
     * 根据上级仓库id获取上级仓库的名称
     * @param superiorWarehouseId
     * @return
     */
    WarehouseEx wareHouseBySuperiorWarehouseId(@Param("superiorWarehouseId") String superiorWarehouseId);
    /**
     * 根据仓库id获取仓库信息
     * @param id
     * @return
     */
    WarehouseDetail warehouseDetailById(@Param("id") String id);
}
