package com.boco.nbd.wios.manage.service;

import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.wios.manage.entity.bo.DictionaryBO;

import java.util.List;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/6/17 10:55
 * @version:V1.0
 * @description:ICommonService
 * @modify:
 */
public interface ICommonService {

    /**
     * 获取枚举map
     *
     * @param enumNames
     * @return
     */
    Map<String, Map<Integer, String>> getEnums(String enumNames);

    /**
     * 获取字典内容
     *
     * @param type
     * @param name
     * @return
     */
    List<DictionaryBO> selectValidByType(String type, String name);

    /**
     * 批量更新时效配置
     *
     * @param list
     * @return
     */
    ResponseMessage2<Boolean> timingConfigUpdate(List<DictionaryBO> list);
}
