package com.boco.nbd.wios.manage.service.impl;

import com.boco.nbd.wios.manage.entity.bo.ExpandPrice;
import com.boco.nbd.wios.manage.mapper.def.ExpandPriceDao;
import com.ihidea.core.support.exception.ServiceException;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 报装价格service
 * 
 * @author xgl
 * @version [版本号, 2020年10月19日]
 */
@Service
public class ExpandPriceService {

    @Resource
    private ExpandPriceDao expandPriceDao;

    /**
     * 查询
     * @param regionId
     * @return
     */
    public List<ExpandPrice> getByRegionId(Integer regionId) {
        return expandPriceDao.selectByRegionId(regionId);
    }

    /**
     * 增加
     * @param expandPrice
     */
    public void add(ExpandPrice expandPrice) {
        List<ExpandPrice> list = getByRegionId(expandPrice.getRegionId());
        if (!list.isEmpty()) {
            throw new ServiceException("该区域的报装价格已存在");
        }
        expandPriceDao.insert(expandPrice);
    }

    /**
     * 修改
     * @param id
     * @param expandPrice
     */
    public void update(int id, ExpandPrice expandPrice) {
        if (expandPrice.getRegionId() != null) {
            List<ExpandPrice> list = getByRegionId(expandPrice.getRegionId());
            if (!list.isEmpty() && list.get(0).getId().intValue() != id) {
                throw new ServiceException("该区域的报装价格已存在");
            }
        }
        expandPriceDao.update(id, expandPrice);
    }
}
