package com.boco.nbd.wios.manage.service.impl;

import cn.hutool.core.lang.Assert;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfig;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigBo;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigVo;
import com.boco.nbd.wios.manage.entity.cams.enums.MaterialConfigTypes;
import com.boco.nbd.wios.manage.mapper.def.MaterialConfigDao;
import com.ihidea.core.support.exception.ServiceException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaterialConfigService {
    @Autowired
    private MaterialConfigDao materialConfigDao;
    
    public void add(MaterialConfig materialConfig) {
        // Assert.notEmpty(materialConfig.getContent(), "content不能为空");
        if (materialConfig.getType() != null) {
            if (materialConfig.getType().intValue() == 1) {
                MaterialConfigBo condition = new MaterialConfigBo();
                condition.setType(materialConfig.getType());
                condition.setRegionId(materialConfig.getRegionId());
                List<MaterialConfigVo> list = materialConfigDao.selectByExample(condition);
                if (!list.isEmpty())
                    throw new ServiceException("该区域的报装说明已存在");
            } else if (materialConfig.getType().intValue() == 2) {
                MaterialConfigBo condition = new MaterialConfigBo();
                condition.setType(materialConfig.getType());
                condition.setOemId(materialConfig.getOemId());
                List<MaterialConfigVo> list = materialConfigDao.selectByExample(condition);
                if (!list.isEmpty())
                    throw new ServiceException("该主机厂的增项说明已存在");
            }
        }
        materialConfigDao.insert(materialConfig);
    }
    
    public void update(Integer id, MaterialConfig materialConfig) {
        Assert.notNull(materialConfig.getType(), "type不能为空");
        if (materialConfig.getType() != null) {
            if (materialConfig.getType().intValue() == 1) {
                MaterialConfigBo condition = new MaterialConfigBo();
                condition.setType(materialConfig.getType());
                condition.setRegionId(materialConfig.getRegionId());
                List<MaterialConfigVo> list = materialConfigDao.selectByExample(condition);
                if (!list.isEmpty() && list.get(0).getId().intValue() != materialConfig.getId().intValue())
                    throw new ServiceException("该区域的报装说明已存在");
            } else if (materialConfig.getType().intValue() == 2) {
                MaterialConfigBo condition = new MaterialConfigBo();
                condition.setType(materialConfig.getType());
                condition.setOemId(materialConfig.getOemId());
                List<MaterialConfigVo> list = materialConfigDao.selectByExample(condition);
                if (!list.isEmpty() && list.get(0).getId().intValue() != materialConfig.getId().intValue())
                    throw new ServiceException("该主机厂的增项说明已存在");
            }
        }
        materialConfigDao.update(id, materialConfig);
    }
    
    public List<MaterialConfigVo> getList(MaterialConfigBo condition) {
        return materialConfigDao.selectByExample(condition);
    }

    public MaterialConfigVo getDetail(MaterialConfigBo condition) {
        MaterialConfigVo mc = materialConfigDao.selectById(condition);
        mc.setTypeName(MaterialConfigTypes.getText(mc.getType()));
        return mc;
    }


    public void delete(int id,MaterialConfigBo condition) {
        MaterialConfigVo mc = materialConfigDao.selectById(condition);
        Assert.notNull(mc, "数据不存在");
        MaterialConfigBo delMc = new MaterialConfigBo();
        delMc.setId(id);
        delMc.setStatus(0);
        materialConfigDao.update(id, delMc);
    }
}
