package com.boco.nbd.wios.manage.service.impl;


import com.boco.nbd.wios.manage.entity.bo.OperateLog;
import com.boco.nbd.wios.manage.entity.bo.OperateLogBo;
import com.boco.nbd.wios.manage.entity.cams.enums.OrderStatus;
import com.boco.nbd.wios.manage.mapper.def.OperateLogDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 操作日志service
 * 
 * @author
 * @version
 */
@Service
public class OperateLogService {
    @Autowired
    private OperateLogDao operateLogDao;
    
    public List<OperateLog> getList(OperateLogBo condition) {
        List<OperateLog> list = operateLogDao.selectByExample(condition);
        for (OperateLog log : list) {
            if (!StringUtils.isEmpty(log.getName())) {
                if (log.getName().equals(OrderStatus.SURVEY_RESERVED.getType() + "")
                    || log.getName().equals(OrderStatus.INSTALL_RESERVED.getType() + "")) {
                    log.setDesc("");
                }
            }
        }
        return list;
    }

    public OperateLog selectById(Integer id) {
        return operateLogDao.selectById(id);
    }
    
}
