package com.boco.nbd.wios.manage.service.impl;

import com.boco.nbd.wios.manage.entity.bo.ScoreSupplierDetail;
import com.boco.nbd.wios.manage.mapper.def.ScoreSupplierDetailDao;
import com.ihidea.core.support.exception.ServiceException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 供应商评分的明细
 *
 * @author yongfu.liu@wanbangauto.com 2020-10-10 14:08:14
 */
@Service
public class ScoreSupplierDetailService {

    @Autowired
    private ScoreSupplierDetailDao scoreSupplierDetailDao;

    /**
     * 根据主表id查询明细
     *
     * @param scoreSupplierId
     * @return
     */
    public List<ScoreSupplierDetail> getListByScoreSupplierId(Long scoreSupplierId){
        return scoreSupplierDetailDao.getListByScoreSupplierId(scoreSupplierId);
    }

    /**
     * 根据条件查询明细列表
     * @param scoreSupplierDetail
     * @return
     */
    public List<ScoreSupplierDetail> selectByExample(ScoreSupplierDetail scoreSupplierDetail){
        return scoreSupplierDetailDao.selectByExample(scoreSupplierDetail);
    }

    /**
     * 单个更新
     *
     * @param scoreSupplierDetail
     */
    public void update(ScoreSupplierDetail scoreSupplierDetail) {
        if(scoreSupplierDetail.getId() == null || scoreSupplierDetail.getId()==0){
            throw new ServiceException("没有该条记录的 ID");
        }
        scoreSupplierDetailDao.update(scoreSupplierDetail);
    }

    /**
     * 通过编码和主表id更新明细表记录
     *
     * @param scoreSupplierDetail
     */
    public void updateByCode(ScoreSupplierDetail scoreSupplierDetail) {
        if(StringUtils.isEmpty(scoreSupplierDetail.getCode()) || scoreSupplierDetail.getScoreSupplierId() ==null){
            throw new ServiceException("编码和主表ID不能为空！");
        }
        scoreSupplierDetailDao.updateByCode(scoreSupplierDetail);
    }



}
