package com.boco.nbd.wios.manage.util;

import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.manage.contants.WiosConstant;

import javax.servlet.http.HttpServletRequest;

/**
 * 网络工具类
 *
 * @author zhaohui
 * @version [版本号, 2016年12月17日]
 */
public final class NetUtil {

    private final static int IP_ADDRESS_LENGTH = 15;

    /**
     * 得到客户端ip
     *
     * @param request 请求
     * @return 真实ip
     */
    public static String getIpAddr(HttpServletRequest request) {
        String ipAddress = null;
        ipAddress = request.getHeader("x-forwarded-for");
        if (ipAddress == null || ipAddress.length() == 0 || WiosConstant.UN_KNOWN.equalsIgnoreCase(ipAddress)) {
            ipAddress = request.getHeader("Proxy-Client-IP");
        }
        if (ipAddress == null || ipAddress.length() == 0 || WiosConstant.UN_KNOWN.equalsIgnoreCase(ipAddress)) {
            ipAddress = request.getHeader("WL-Proxy-Client-IP");
        }
        if (ipAddress == null || ipAddress.length() == 0 || WiosConstant.UN_KNOWN.equalsIgnoreCase(ipAddress)) {
            ipAddress = request.getHeader("HTTP_CLIENT_IP");
        }
        if (ipAddress == null || WiosConstant.UN_KNOWN.equalsIgnoreCase(ipAddress)) {
            ipAddress = request.getHeader("HTTP_X_FORWARDED_FOR");
        }
        if (ipAddress == null || ipAddress.length() == 0 || WiosConstant.UN_KNOWN.equalsIgnoreCase(ipAddress)) {
            ipAddress = request.getRemoteAddr();
        }

        // 对于通过多个代理的情况，第一个IP为客户端真实IP,多个IP按照','分割
        if (ipAddress != null && ipAddress.length() - IP_ADDRESS_LENGTH > 0) {
            // "***.***.***.***".length() = 15
            if (ipAddress.indexOf(CamsConstant.COMMA) > 0) {
                ipAddress = ipAddress.substring(0, ipAddress.indexOf(CamsConstant.COMMA));
            }
        }
        return ipAddress;
    }
}
