package com.boco.nbd.wios.score.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/13 16:24
 * @version:V1.0
 * @description:得分明细
 * @modify:
 */
@Data
public class ScoreItemBO {

    /**
     * 减法
     */
    private static final Integer SUBTRACTION = 21;

    @ApiModelProperty(value = "得分")
    private Float finalScore;

    @ApiModelProperty(value = "考核算法Id")
    private Integer appraisalId;

    /**
     * 获取最终得分
     *
     * @param scoreItems
     * @return
     */
    public static Float getFinalScore(List<ScoreItemBO> scoreItems) {
        Float finalScore = 0F;
        for (ScoreItemBO item : scoreItems) {
            Float score = item.getFinalScore();
            if (score == null) {
                score = 0f;
            }
            if (item.getAppraisalId() == null) {
                finalScore = finalScore + score;
                continue;
            }
            if (SUBTRACTION.equals(item.getAppraisalId())) {
                finalScore = finalScore - score;
                continue;
            }
            finalScore = finalScore + score;
        }
        return finalScore;
    }

}
