package com.boco.nbd.wios.score.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

/**
 * @author:cao hai
 * @date:2022/10/12 21:02
 * @version:V1.0
 * @description:ScoreSupplierItemBO
 * @modify:
 */
@Data
public class ScoreSupplierItemBO {

    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "supplier_config_id")
    @ApiModelProperty(value = "安装服务配置表Id")
    private Long supplierConfigId;

    @ApiModelProperty(value = "安装服务评分Id")
    private Long scoreSupplierId;

    @ApiModelProperty(value = "项目")
    private String scoreItem;

    @ApiModelProperty(value = "分数")
    private Float totalScore;

    @ApiModelProperty(value = "考核部门")
    private Integer appraisalDepartmentId;

    @ApiModelProperty(value = "考核项目Id")
    private Long scoreConfigId;

    @ApiModelProperty(value = "考核描述")
    private String appraisalDescribe;

    @ApiModelProperty(value = "考核算法Id")
    private Integer appraisalId;

    @ApiModelProperty(value = "考核目标")
    private String appraisalTarget;

    @ApiModelProperty(value = "考核算法")
    private String appraisalAlgorithm;

    @ApiModelProperty(value = "得分")
    private Float finalScore;

    @ApiModelProperty(value = "权重")
    private Float weight;

    @ApiModelProperty(value = "单项最高分")
    private Float maxScore;

    @ApiModelProperty(value = "权重文本(%)")
    private String scoreWeight;

    @ApiModelProperty(value = "考核责任人")
    private String appraisalDepartment;

    @ApiModelProperty(value = "备注说明")
    private String description;

    @ApiModelProperty(value = "操作人")
    private String appraisalUser;

    @ApiModelProperty(value = "是否用户操作权限")
    private Boolean hasRight;

}
