package com.boco.nbd.wios.score.entity.po;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.score.entity.vo.ScoreSupplierItemVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/10/10 17:34
 * @version:V1.0
 * @description:TODO ScoreSupplierPO
 * @modify:
 */
@Data
@Table(name = "t_score_supplier_item")
public class ScoreSupplierItemPO implements Serializable {

    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "score_supplier_id")
    @ApiModelProperty(value = "安装服务评分Id")
    private Long scoreSupplierId;

    @Column(name = "score_config_id")
    @ApiModelProperty(value = "考核项目Id")
    private Long scoreConfigId;

    @Column(name = "final_score")
    @ApiModelProperty(value = "得分")
    private Float finalScore;

    @Column(name = "description")
    @ApiModelProperty(value = "备注说明")
    private String description;

    @Column(name = "modify_account")
    @ApiModelProperty(value = "修改人")
    private String modifyAccount;

    @Column(name = "modify_time")
    @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

    /**
     * 对象转换
     *
     * @param vo
     * @return
     */
    public static ScoreSupplierItemPO toPo(ScoreSupplierItemVO vo) {
        ScoreSupplierItemPO po = new ScoreSupplierItemPO();
        BeanUtil.copyProperties(vo, po);
        po.setModifyTime(new Date());
        return po;
    }
}
