package com.boco.nbd.wios.score.entity.po;

import com.boco.nbd.wios.score.entity.vo.AppraisalDepartmentVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/10 17:34
 * @version:V1.0
 * @description:ScoreSupplierPO
 * @modify:
 */
@Data
@Table(name = "t_supplier_config")
public class SupplierConfigPO implements Serializable {

    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "supplier_id")
    @ApiModelProperty(value = "服务商Id")
    private Long supplierId;

    @Column(name = "supplier_name")
    @ApiModelProperty(value = "服务商")
    private String supplierName;

    @Column(name = "supplier_code")
    @ApiModelProperty(value = "服务商编码")
    private String supplierCode;

    @Column(name = "contact_name")
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @Column(name = "contact_phone")
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @Column(name = "region_id")
    @ApiModelProperty(value = "区域id")
    private Long regionId;

    @Column(name = "region_name")
    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @Column(name = "status")
    @ApiModelProperty(value = "状态 0禁用 1启用")
    private Integer status;

    @Column(name = "create_account")
    @ApiModelProperty(value = "创建人")
    private String createAccount;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Column(name = "modify_account")
    @ApiModelProperty(value = "修改人")
    private String modifyAccount;

    @Column(name = "modify_time")
    @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

    @Transient
    @ApiModelProperty("评分账号")
    private List<SupplierUserConfigPO> scoreSupplierUser;

    /**
     * 初始化评分账号
     *
     * @param scoreConfig
     */
    public void initScoreSupplierUser(List<AppraisalDepartmentVO> scoreConfig) {
        List<SupplierUserConfigPO> items = new ArrayList<>(scoreConfig.size());
        scoreConfig.stream().forEach(s -> {
            SupplierUserConfigPO po = new SupplierUserConfigPO();
            po.setSupplierConfigId(this.getId());
            po.setAppraisalDepartmentId(s.getAppraisalDepartmentId());
            po.setAppraisalUser(s.getAppraisalUser());
            items.add(po);
        });
        this.scoreSupplierUser = items;
    }
}
