package com.boco.nbd.wios.score.entity.po;

import cn.hutool.core.util.StrUtil;
import com.boco.nbd.cams.core.constant.CamsConstant;
import com.boco.nbd.wios.manage.contants.WiosConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author:cao hai
 * @date:2022/10/10 17:34
 * @version:V1.0
 * @description:SupplierUserConfigPO
 * @modify:
 */
@Data
@Table(name = "t_supplier_user_config")
public class SupplierUserConfigPO implements Serializable {

    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "supplier_config_id")
    @ApiModelProperty(value = "安装服务配置表Id")
    private Long supplierConfigId;

    @Column(name = "appraisal_department_id")
    @ApiModelProperty(value = "考核部门Id")
    private Long appraisalDepartmentId;

    @Column(name = "appraisal_user")
    @ApiModelProperty(value = "考核人,uesrId 多个用逗号分割")
    private String appraisalUser;

    /**
     * 判断用户是否存在操作权限
     *
     * @param appraisalUser
     * @param userId
     * @return
     */
    public static boolean hasRight(String appraisalUser, String userId) {
        if (StrUtil.isEmpty(appraisalUser) || StrUtil.isEmpty(userId)) {
            return false;
        }
        String[] items = StrUtil.split(appraisalUser, CamsConstant.COMMA);
        List<String> result = Arrays.stream(items).distinct().collect(Collectors.toList());
        return result.contains(userId);
    }
}
