package com.boco.nbd.wios.score.entity.vo;

import cn.hutool.core.bean.BeanUtil;
import com.boco.nbd.wios.score.entity.po.ScoreConfigPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/10/12 9:42
 * @version:V1.0
 * @description:ScoreConfigVO
 * @modify:
 */
@Data
public class ScoreConfigVO {

    @ApiModelProperty(value = "评分项Id")
    private Long scoreItemId;

    @ApiModelProperty(value = "评分项")
    private String scoreItem;

    @ApiModelProperty(value = "评分总分")
    private Float totalScore;

    @ApiModelProperty(value = "考核部门Id")
    private Long appraisalDepartmentId;

    @ApiModelProperty(value = "考核部门")
    private String appraisalDepartment;

    @ApiModelProperty(value = "考核算法Id,非算法缺省")
    private Integer appraisalId;

    @ApiModelProperty(value = "考核描述")
    private String appraisalDescribe;

    @ApiModelProperty(value = "考核目标")
    private String appraisalTarget;

    @ApiModelProperty(value = "考核算法")
    private String appraisalAlgorithm;

    @ApiModelProperty(value = "分数权重")
    private Float weight;

    /**
     * 次品
     *
     * @param vo
     * @return
     */
    public static ScoreConfigPO toPo(ScoreConfigVO vo) {
        ScoreConfigPO po = new ScoreConfigPO();
        BeanUtil.copyProperties(vo, po);
        po.setScoreWeight(po.getWeight() + "%");
        return po;
    }
}
