package com.boco.nbd.wios.score.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.score.entity.bo.ScoreItemBO;
import com.boco.nbd.wios.score.entity.bo.ScoreSupplierItemBO;
import com.boco.nbd.wios.score.entity.po.ScoreSupplierPO;
import com.boco.nbd.wios.score.entity.qo.ScoreSupplierQo;
import com.boco.nbd.wios.score.entity.qo.SupplierScoreQo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/11 8:32
 * @version:V1.0
 * @description:TODO ScoreSupplierMapper
 * @modify:
 */
public interface ScoreSupplierV2Mapper extends BaseMapper3<ScoreSupplierPO> {

    /**
     * 安装服务评分明细
     * @param qo
     * @return
     */
    List<ScoreSupplierItemBO> getScoreSupplierItem(ScoreSupplierQo qo);

    /**
     * 获取服务商评分
     * @param qo
     * @return
     */
    List<ScoreSupplierPO> queryScoreSupplier(SupplierScoreQo qo);

    /**
     * 根据安装服务评分Id获取得分明细
     * @param scoreSupplierId
     * @return
     */
    List<ScoreItemBO> queryScoreItem(@Param(value = "scoreSupplierId") Long scoreSupplierId);
}
