package com.boco.nbd.wios.score.service;

import com.boco.nbd.framework.common.PageData;
import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.score.entity.po.ScoreConfigPO;
import com.boco.nbd.wios.score.entity.po.ScoreSupplierPO;
import com.boco.nbd.wios.score.entity.po.SupplierConfigPO;
import com.boco.nbd.wios.score.entity.qo.ScoreItemQo;
import com.boco.nbd.wios.score.entity.qo.SupplierConfigQo;
import com.boco.nbd.wios.score.entity.qo.SupplierScoreQo;
import com.boco.nbd.wios.score.entity.vo.ScoreConfigVO;
import com.boco.nbd.wios.score.entity.vo.ScoreSupplierItemVO;
import com.boco.nbd.wios.score.entity.vo.ScoreSupplierVO;
import com.boco.nbd.wios.score.entity.vo.SupplierConfigVO;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/11 8:34
 * @version:V1.0
 * @description:TODO IScoreSupplierService
 * @modify:
 */
public interface IScoreSupplierService extends IBaseDaoService3<ScoreSupplierPO> {

    /**
     * 保存服务商配置
     *
     * @param vo
     * @return
     */
    ResponseMessage2<Boolean> saveSupplierConfig(SupplierConfigVO vo);

    /**
     * 获取服务商配置
     *
     * @param qo
     * @return
     */
    PageData<SupplierConfigPO> getSupplierConfig(SupplierConfigQo qo);

    /**
     * 删除服务商配置
     *
     * @param id
     * @return
     */
    int deleteSupplierConfig(Long id);

    /**
     * 服务商配置明细
     *
     * @param id
     * @return
     */
    ResponseMessage2<SupplierConfigVO> getSupplierConfigDetail(Long id);

    /**
     * 获取评分项配置
     *
     * @return
     */
    List<ScoreConfigPO> getScoreConfig();

    /**
     * 保存评分项配置
     *
     * @param items
     * @param userName
     */
    void saveScoreConfig(List<ScoreConfigVO> items, String userName);

    /**
     * 获取服务商评价数据
     *
     * @param qo
     * @return
     */
    PageData<ScoreSupplierPO> getScoreSupplier(SupplierScoreQo qo);

    /**
     * 根据月份获取所有数据
     * @param month
     * @return
     */
    List<ScoreSupplierPO> getAllScoreByMonth(String month);

    /**
     * 保存安装服务评分
     *
     * @param po
     * @return
     */
    int saveScoreSupplier(ScoreSupplierPO po);

    /**
     * 根据供应商和月份获取已存在评分
     *
     * @param po
     * @return
     */
    ScoreSupplierPO getExistsScoreSupplier(ScoreSupplierPO po);

    /**
     * 保存安装服务评分明细
     *
     * @param items
     * @param userName
     */
    void saveScoreSupplierItems(List<ScoreSupplierItemVO> items, String userName);

    /**
     * 获取服务商打分明细
     *
     * @param qo
     * @return
     */
    ResponseMessage2<ScoreSupplierVO> getScoreSupplierDetail(ScoreItemQo qo);
}
