package com.boco.nbd.wios.wx.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/8/15 13:52
 * @version:V1.0
 * @description:MinaOrderBO
 * @modify:
 */
@Data
public class MinaOrderBO {

    @ApiModelProperty(value = "任务编号")
    private String taskId;

    @ApiModelProperty(value = "工单Id")
    private String workId;

    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    @ApiModelProperty(value = "流程节点标识")
    private String nodeFlag;

    @ApiModelProperty(value = "任务创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date taskCreateTime;

    @ApiModelProperty(value = "当前任务处理时限", hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dueDate;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "安装地址")
    private String address;

    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "订单状态")
    private String statusStr;

    @ApiModelProperty(value = "订单状态编码")
    private Integer statusKey;

    @ApiModelProperty(value = "主机厂ID")
    private Integer oemId;

    @ApiModelProperty(value = "类型 1：普通订单 2：移桩订单")
    private Integer type;

    @ApiModelProperty(value = "是否进行电力报装")
    private Boolean electricExpand;

    @ApiModelProperty(value = "安装服务商Id")
    private Integer installSupplierId;

}
