package com.boco.nbd.wios.wx.vo;

import com.boco.nbd.wios.flow.entity.vo.OrderInstallItemVO;
import com.boco.nbd.wios.manage.entity.bo.OrderInstall;
import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/3 12:12
 */
@ApiModel(value = "安装报告")
@Data
public class MinaOrderInstallVO extends OrderInstall {

    /**
     * 报装单价
     */
    private BigDecimal expandPrice;

    @ApiModelProperty(value = "文件json字符串")
    private String filesJson;

    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;

    @ApiModelProperty(value = "物料费用json字符串")
    private String itemFeesJson;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemFees;

    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVO> itemHighAdd;

    @ApiModelProperty(value = "是否生成账单 0-否 1-是")
    private Integer hasGenBill;

    @ApiModelProperty(value = "墙盒品牌（安装）")
    private String installWallboxModel;

}
