package com.boco.nbd.wios.wx.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author kevin
 * @create 2020/11/3 10:43
 */
@ApiModel
@Data
public class MinaOrderReserveVO {

    /**
     * 员工姓名
     */
    @ApiModelProperty(value = "员工姓名")
    private String staffName;

    /**
     * 员工电话
     */
    @ApiModelProperty(value = "员工电话")
    private String staffPhone;

    /**
     * 预约时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预约时间")
    private Date reserveTime;

    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String clientName;

    /**
     * 客户手机号
     */
    @ApiModelProperty(value = "客户手机号")
    private String clientPhone;

    /**
     * 注册cams plus 手机号
     */
    @ApiModelProperty(value = "CAMS APP账号")
    private String camsPhone;

    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 审核部分字段
     */

    @ApiModelProperty(value = "是否审核不通过")
    public Boolean failed;

    @ApiModelProperty(value = "审核结果")
    public String auditResult;

    @ApiModelProperty(value = "审核人")
    public String auditName;

    @ApiModelProperty(value = "审核时间")
    public Date auditTime;

    @ApiModelProperty(value = "审核不通过原因")
    public String auditFailReason;

}
