package com.boco.nbd.wios.wx.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/30 11:44
 */
@Data
public class WxBillVO implements Serializable {

    @ApiModelProperty("账单编号")
    private String id;

    @ApiModelProperty("工单编号")
    private String orderId;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("创建日期")
    private String createDate;

    @ApiModelProperty("账单状态 0-未支付 1-已支付")
    private Integer status;

    @ApiModelProperty("账单金额")
    private BigDecimal billAmount;

    @ApiModelProperty("增项费用")
    private BigDecimal predictTotalFee;

    @ApiModelProperty("报装费用")
    private BigDecimal expandFee;

    @ApiModelProperty("增项明细")
    private List<WxItemVO> predictItems;

    @ApiModelProperty("是否已申请开票 0-未申请 1-已申请 2-未知")
    private Integer hasInvoice;
}
