package com.boco.nbd.wios.flow;

import com.boco.nbd.wios.flow.util.ClassInitUtil;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author:cao hai
 * @date:2022/6/27 14:02
 * @version:V1.0
 * @description:TODO TestClassInitUtil
 * @modify:
 */
public class ClassInitUtilTest {

    private static final String TABLE_SQL = "`id` varchar(64) NOT NULL COMMENT '订单编号',\n" +
            "  `oem_id` int(11) DEFAULT NULL COMMENT '主机厂ID',\n" +
            "  `oem_agent_id` int(11) DEFAULT NULL COMMENT '经销商id',\n" +
            "  `oem_agent_info` varchar(128) DEFAULT NULL COMMENT '经销商信息',\n" +
            "  `oem_agent_contact_name` varchar(32) DEFAULT NULL COMMENT '经销商联系人',\n" +
            "  `oem_agent_contact_phone` varchar(32) DEFAULT NULL COMMENT '经销商联系方式',\n" +
            "  `out_order_id` varchar(50) DEFAULT NULL COMMENT '外部订单编号',\n" +
            "  `contract_id` int(11) DEFAULT NULL COMMENT '合同编号',\n" +
            "  `supplier_contract_id` int(11) DEFAULT NULL COMMENT '服务商合同id',\n" +
            "  `user_name` varchar(30) DEFAULT NULL COMMENT '车主姓名',\n" +
            "  `user_phone` varchar(20) DEFAULT NULL COMMENT '车主电话',\n" +
            "  `user_sex` int(11) DEFAULT NULL COMMENT '车主性别 0-女 1-男 2-未知',\n" +
            "  `contact_name` varchar(30) DEFAULT NULL COMMENT '联系人姓名',\n" +
            "  `contact_phone` varchar(20) DEFAULT NULL COMMENT '联系电话',\n" +
            "  `region_id` varchar(20) DEFAULT NULL COMMENT '区域id',\n" +
            "  `warehouse_id` varchar(64) DEFAULT NULL COMMENT '仓库id',\n" +
            "  `address` varchar(256) DEFAULT NULL COMMENT '地址',\n" +
            "  `vehicle_model` varchar(20) DEFAULT NULL COMMENT '车型号',\n" +
            "  `vehicle_chassis_no` varchar(30) DEFAULT NULL COMMENT '车辆底盘号',\n" +
            "  `vehicle_vin` varchar(30) DEFAULT NULL COMMENT '车辆识别号',\n" +
            "  `vehicle_parking_no` varchar(64) DEFAULT NULL COMMENT '车位号',\n" +
            "  `vehicle_parking_status` varchar(64) DEFAULT NULL COMMENT '车位状态',\n" +
            "  `survey_before_sale_enable` tinyint(1) DEFAULT NULL COMMENT '是否为售车前预勘测 0:否 1：是',\n" +
            "  `manu_dispatch_enable` tinyint(1) DEFAULT NULL COMMENT '是否需要人工派单 0：否 1：是',\n" +
            "  `wallbox_model` varchar(50) DEFAULT NULL,\n" +
            "  `status` int(11) DEFAULT NULL COMMENT '订单状态',\n" +
            "  `type` tinyint(1) DEFAULT NULL COMMENT '类型 1：普通订单 2：移桩订单',\n" +
            "  `expand_status` tinyint(1) DEFAULT NULL COMMENT '报装状态 1：通过 2：不通过',\n" +
            "  `expand_fail_reason` varchar(128) DEFAULT NULL COMMENT '报装不通过原因',\n" +
            "  `expand_fail_operate` int(1) DEFAULT NULL COMMENT '报装不通过后订单后续操作',\n" +
            "  `expand_remark` varchar(256) DEFAULT NULL COMMENT '报装备注',\n" +
            "  `survey_staff_id` int(11) DEFAULT NULL COMMENT '勘察员工编号',\n" +
            "  `survey_finish_time` datetime DEFAULT NULL COMMENT '勘察完成时间',\n" +
            "  `survey_reserve_time` datetime DEFAULT NULL COMMENT '预约勘察时间',\n" +
            "  `survey_client_name` varchar(32) DEFAULT NULL COMMENT '勘察客户姓名',\n" +
            "  `survey_client_phone` varchar(32) DEFAULT NULL COMMENT '勘察客户手机号',\n" +
            "  `survey_cams_phone` varchar(32) DEFAULT NULL COMMENT '注册CAMS PLUS 手机号',\n" +
            "  `survey_reserve_remark` varchar(256) DEFAULT NULL COMMENT '预约勘察备注',\n" +
            "  `install_supplier_id` int(11) DEFAULT NULL COMMENT '安装服务商编号',\n" +
            "  `install_staff_id` int(11) DEFAULT NULL COMMENT '安装员工编号',\n" +
            "  `install_finish_time` datetime DEFAULT NULL COMMENT '安装完成时间',\n" +
            "  `install_reserve_time` datetime DEFAULT NULL COMMENT '预约安装时间',\n" +
            "  `install_client_name` varchar(32) DEFAULT NULL COMMENT '安装客户姓名',\n" +
            "  `install_client_phone` varchar(32) DEFAULT NULL COMMENT '安装客户手机',\n" +
            "  `install_cams_phone` varchar(32) DEFAULT NULL COMMENT '注册CAMS PLUS 手机号(安装)',\n" +
            "  `install_reserve_remark` varchar(256) DEFAULT NULL COMMENT '预约安装备注',\n" +
            "  `survey_finish_fail_reason` varchar(128) DEFAULT NULL COMMENT '勘察完成审核不通过原因',\n" +
            "  `survey_rectify_fail_reason` varchar(128) DEFAULT NULL COMMENT '勘察整改审核不通过原因',\n" +
            "  `install_change_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装变更审核不通过原因',\n" +
            "  `install_finish_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装完成审核不通过原因',\n" +
            "  `install_rectify_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装整改不通过原因',\n" +
            "  `close_order_reason` varchar(128) DEFAULT NULL COMMENT '关闭订单原因',\n" +
            "  `install_change_attachment_files` varchar(256) DEFAULT NULL COMMENT '变更安装附件',\n" +
            "  `survey_reserve_fail_info` varchar(128) DEFAULT NULL COMMENT '预约勘察异常信息',\n" +
            "  `install_reserve_fail_info` varchar(128) DEFAULT NULL COMMENT '预约安装异常信息',\n" +
            "  `files` varchar(400) DEFAULT NULL COMMENT '附件地址',\n" +
            "  `description` varchar(200) DEFAULT NULL COMMENT '备注',\n" +
            "  `score` decimal(11,2) DEFAULT NULL COMMENT '评分',\n" +
            "  `visit_content` varchar(255) DEFAULT NULL COMMENT '回访内容，客户意见或建议',\n" +
            "  `invoice_time` datetime DEFAULT NULL COMMENT '发票日期',\n" +
            "  `estate_type` tinyint(1) DEFAULT NULL COMMENT '小区类型',\n" +
            "  `has_independent_parking` tinyint(1) DEFAULT NULL COMMENT '是否独立车位 0：否 1：是',\n" +
            "  `install_position` tinyint(1) DEFAULT NULL COMMENT '安装位置 1：室内 2：室外',\n" +
            "  `property_agree` tinyint(1) DEFAULT NULL COMMENT '物业态度 0：不同意 1：同意',\n" +
            "  `electric_expand` tinyint(1) DEFAULT NULL COMMENT '是否需要电力报装 0：否 1：是',\n" +
            "  `need_erect_pile` tinyint(1) DEFAULT NULL COMMENT '是否需要立柱 0：否 1：是',\n" +
            "  `dispatch_time` datetime DEFAULT NULL COMMENT '派单时间',\n" +
            "  `survey_submit_examine_time` datetime DEFAULT NULL COMMENT '提交勘测审核时间',\n" +
            "  `survey_approve_time` datetime DEFAULT NULL COMMENT '勘测审核通过时间',\n" +
            "  `install_submit_examine_time` datetime DEFAULT NULL COMMENT '安装提交审核时间',\n" +
            "  `install_approve_time` datetime DEFAULT NULL COMMENT '安装审核通过时间',\n" +
            "  `return_visit_time` datetime DEFAULT NULL COMMENT '回访时间',\n" +
            "  `close_time` datetime DEFAULT NULL COMMENT '订单关闭时间',\n" +
            "  `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',\n" +
            "  `create_time` datetime DEFAULT NULL COMMENT '创建时间',\n" +
            "  `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',\n" +
            "  `modify_time` datetime DEFAULT NULL COMMENT '修改时间',\n" +
            "  `item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号',\n" +
            "  `survey_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒型号（勘测）',\n" +
            "  `survey_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（勘测）',\n" +
            "  `install_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒型号（安装）',\n" +
            "  `install_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（安装）',\n" +
            "  `address_lat` varchar(50) DEFAULT NULL COMMENT '地址纬度',\n" +
            "  `address_lng` varchar(50) DEFAULT NULL COMMENT '地址经度',\n" +
            "  `survey_follow_time` datetime DEFAULT NULL COMMENT '预约勘察下次跟进时间',\n" +
            "  `install_follow_time` datetime DEFAULT NULL COMMENT '预约安装下次跟进时间',\n" +
            "  `connect_person` varchar(100) DEFAULT NULL COMMENT '首联人',\n" +
            "  `want_home_time` datetime DEFAULT NULL COMMENT '客户希望上门时间',\n" +
            "  `install_emergency_level` int(1) DEFAULT '1' COMMENT '安装紧急程度 1:一般 2:紧急',\n" +
            "  `remark` varchar(250) DEFAULT NULL COMMENT '其他说明',\n" +
            "  `is_connect` int(11) DEFAULT NULL COMMENT '是否联系上客户：0-否，1：是',\n" +
            "  `is_need_survey` int(11) DEFAULT NULL COMMENT '是否需要勘测：0-否，1：是',\n" +
            "  `shipno` varchar(50) DEFAULT NULL COMMENT '物流单号',";


    @Test
    public void testCreateClass() {
        String str = ClassInitUtil.createClass(TABLE_SQL);
        Assert.assertNotNull(str);
    }
}
