package com.boco.nbd.wios.flow;

import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.wios.BaseTest;
import com.boco.nbd.wios.flow.controller.FlowOrderController;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

/**
 * @Description 订单流程测试类
 * @Author Yu
 * @Date 2022/7/13
 */


public class FlowOrderControllerTest  extends BaseTest {

    @Autowired
    private FlowOrderController flowOrderController;


    @Test
    public void testAdd(){
        OrderPO  orderPO=new OrderPO();
        orderPO.setId("CA2023050505121212");
        orderPO.setOutOrderId("2022050505121213");
        orderPO.setUserName("测试");
        orderPO.setUserSex(1);
        orderPO.setUserPhone("13888888888");
        orderPO.setVehicleModel("车型1");
        orderPO.setInvoiceTime(new Date());
        orderPO.setOemId(97);
        orderPO.setOemAgentName("测试主机厂名称");
        orderPO.setOemAgentId(99);
        orderPO.setManuDispatchEnable(0);
        orderPO.setAddress("徽州大道和庐州大道之间(合肥南站地铁站4号入口旁)");
        orderPO.setSurveyBeforeSaleEnable(0);
        orderPO.setIsConnect(0);
        orderPO.setIsNeedSurvey(0);
        orderPO.setInstallEmergencyLevel(0);
        orderPO.setConnectPerson("测试首联人");
        orderPO.setPackType("1003901");
        orderPO.setWallboxModel("1003901");
        orderPO.setItemModel("1003901");

        ResponseMessage2<Boolean> result=flowOrderController.add(orderPO);
        Assert.assertTrue("录入成功",result.getData());
    }

}
