package com.boco.nbd.wios.flow;

import com.boco.nbd.wios.BaseTest;
import com.boco.nbd.wios.flow.entity.bo.AppointmentUserBO;
import com.boco.nbd.wios.flow.entity.bo.BusinessRefusedBO;
import com.boco.nbd.wios.flow.entity.bo.TimeConfirmBO;
import com.boco.nbd.wios.flow.entity.bo.TimeNotifyBO;
import com.boco.nbd.wios.flow.service.INoticeService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * @ClassName NoticeTest
 * @Description 短信通知单元测试
 * @Author songyanfei
 * @Email songyanfei@boco.com.cn
 * @Date 2022/10/28 15:18
 * @Version V1.0
 */
public class NoticeTest extends BaseTest {

    @Autowired
    INoticeService noticeService;

    /**
     * 测试预约用户短信模板
     */
    @Test
    public void testAppointmentUserNotice() {
        AppointmentUserBO appointmentUser = new AppointmentUserBO("2022-10-31 12:57:46", "张三", "18399998888");
        String phone = "17647396448";
        org.junit.Assert.assertTrue(noticeService.appointmentUser(appointmentUser, phone));
    }

    /**
     * 测试服务商拒单通知模板
     */
    @Test
    public void testBusinessRefusedNotice() {
        BusinessRefusedBO businessRefused = new BusinessRefusedBO();
        businessRefused.setWorkId("435138124832458");
        String phone = "17647396448";
        org.junit.Assert.assertTrue(noticeService.businessRefused(businessRefused, phone));
    }

    /**
     * 测试安装预约时间变更确认模板
     */
    @Test
    public void testAppointmentTimeConfirmNotice() {
        TimeConfirmBO timeConfirm = new TimeConfirmBO();
        timeConfirm.setBeforeTime("2022-10-31 12:57:46");
        timeConfirm.setAfterTime("2022-10-31 17:57:46");
        String phone = "17647396448";
        org.junit.Assert.assertTrue(noticeService.appointmentTimeConfirm(timeConfirm, phone));
    }

    /**
     * 测试安装预约时间变更通知模板
     */
    @Test
    public void testAppointmentTimeNotifyNotice() {
        TimeNotifyBO timeNotify = new TimeNotifyBO("2022-10-31 12:57:46", "34918545356484");
        String phone = "17647396448";
        org.junit.Assert.assertTrue(noticeService.appointmentTimeNotify(timeNotify, phone));
    }

}
